2020-02-01  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 7ef9556328fd5c2fe1c2d9203a209895b5156a33
	Update version numbers for 2.31 release

	* include/features.h: Modified.
	(__GLIBC_MINOR__): Modified.
	* version.h: Modified.
	(RELEASE): Modified.
	(VERSION): Modified.

2020-02-01  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: e7daa7fcf70543b063ce0311fbdfb259d187d314
	Add bugs fixed in 2.31 in NEWS

	* NEWS: Modified.

2020-02-01  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: df5919dfeb5424c90a1f623315abd67e87bad6a3
	Update newest tested versions of dependencies in install.texi

	* INSTALL: Modified.
	* manual/install.texi: Modified.

2020-02-01  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 711416872d59eb592921962db2a832243ba765b2
	Add more contributors to the manual

	* manual/contrib.texi: Modified.

2020-02-01  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: f1bb5499d12e0175ca69cb72e7e7471fd02457b8
	Add note to NEWS about kernel headers dependency on risc-v

	* NEWS: Modified.

2020-02-01  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 4844a8437f3e2133106a4a8639d2d1b186fa8c76
	Add Portuguese (Portugal) translation

	* po/pt.po: New file.

2020-01-31  Szabolcs Nagy  <szabolcs.nagy@arm.com>
            Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 2cd01a1df2afc16ada1ce8479fbf888a803270ea
	Add NEWS entry about 64-bit time_t syscall use on 32-bit targets

	* NEWS: Modified.

2020-01-30  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 9baa46aa7b1aa56c8fb313013bb9aecf4ed96504
	nptl: Avoid using PTHREAD_MUTEX_DEFAULT in macro definition [BZ #25271]

	* sysdeps/nptl/pthread.h: Modified.
	(PTHREAD_MUTEX_INITIALIZER): Modified.

2020-01-24  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 352bb99754ae7c83ff1b974f9c52244e974c9410
	Build raise with -fasynchronous-unwind-tables.

	* signal/Makefile: Modified.

2020-01-24  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: ef02e3c476ce76a1205744cdd396ac1eda1013d6
	Fix locale/tst-locale-locpath cross-testing when sshd sets LANG.

	* locale/tst-locale-locpath.sh: Modified.

2020-01-24  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: d01fd5f0ce11575b31bb11824ff86d8ba2117486
	Fix elf/tst-rtld-preload cross-testing.

	* elf/Makefile: Modified.
	* elf/tst-rtld-preload.sh: Modified.

2020-01-23  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 00167b531da63674d6b9ed686912de86422a5ae5
	Fix cross-testing of tst-ifunc-fault-* tests.

	* elf/Makefile: Modified.

2020-01-23  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: de077de10f0ac140fdced24781370967f9e5610f
	gitlog-to-changelog: Drop scripts in favour of gnulib version

	* scripts/gitlog_to_changelog.py: Delete file.
	* scripts/vcs_to_changelog/frontend_c.py: Delete file.
	* scripts/vcs_to_changelog/misc_util.py: Delete file.
	* scripts/vcs_to_changelog/vcs_git.py: Delete file.
	* scripts/vcs_to_changelog/vcstocl_quirks.py: Move to...
	* scripts/vcstocl_quirks.py: ... here.

2020-01-23  Dragan Mladjenovic  <dmladjenovic@wavecomp.com>
            Dragan Mladjenovic  <dmladjenovic@wavecomp.com>
            Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: ba44e5b50873ceea25884af280612e100e151746
	Add NEWS entry about the change in handling of PT_GNU_STACK on MIPS

	* NEWS: Modified.

2020-01-21  Andreas Schwab  <schwab@suse.de>

	COMMIT: d93769405996dfc11d216ddbe415946617b5a494
	Fix array overflow in backtrace on PowerPC (bug 25423)

	* debug/tst-backtrace5.c: Modified.
	(handle_signal): Modified function.
	* sysdeps/powerpc/powerpc32/backtrace.c: Modified.
	(__backtrace): Modified function.
	* sysdeps/powerpc/powerpc64/backtrace.c: Modified.
	(__backtrace): Modified function.

2020-01-20  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 8b222fa38700422b4da6731806835f0bbf40920d
	getaddrinfo: Fix resource leak after strdup failure in gethosts [BZ #25425]

	* sysdeps/posix/getaddrinfo.c: Modified.
	(gethosts): Modified.

2020-01-20  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 92ce43eef7ac844782d50a8015d977d216fbadec
	Run bench-timing-type with newly built libc.

	* benchtests/Makefile: Modified.

2020-01-20  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: aba12794dc0d1835b9652f34df722970b1bd3397
	Get rid of Werror=maybe-uninitialized in res_send.c.

	* resolv/res_send.c: Modified.
	(__res_context_send): Modified function.

2020-01-19  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 3cb57302ed6acc34409c71cfd99e4f22359d6533
	translations: Update translations

	* po/be.po: Modified.
	* po/bg.po: Modified.
	* po/ca.po: Modified.
	* po/cs.po: Modified.
	* po/da.po: Modified.
	* po/el.po: Modified.
	* po/eo.po: Modified.
	* po/es.po: Modified.
	* po/fi.po: Modified.
	* po/fr.po: Modified.
	* po/gl.po: Modified.
	* po/hr.po: Modified.
	* po/hu.po: Modified.
	* po/ia.po: Modified.
	* po/id.po: Modified.
	* po/it.po: Modified.
	* po/ja.po: Modified.
	* po/ko.po: Modified.
	* po/lt.po: Modified.
	* po/nb.po: Modified.
	* po/nl.po: Modified.
	* po/pl.po: Modified.
	* po/pt_BR.po: Modified.
	* po/ru.po: Modified.
	* po/rw.po: Modified.
	* po/sk.po: Modified.
	* po/sl.po: Modified.
	* po/tr.po: Modified.
	* po/uk.po: Modified.
	* po/vi.po: Modified.
	* po/zh_CN.po: Modified.
	* po/zh_TW.po: Modified.

2020-01-19  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: afbfe2d963a93dca25eba723003a1c8bf4297a36
	translations: Trim po files using msgattrib

	* po/Makefile: Modified.

2020-01-19  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 35869b85312137865735785187a2b4214d069e8d
	Update translations

	* po/be.po: Modified.
	* po/bg.po: Modified.
	* po/ca.po: Modified.
	* po/cs.po: Modified.
	* po/da.po: Modified.
	* po/de.po: Modified.
	* po/el.po: Modified.
	* po/eo.po: Modified.
	* po/es.po: Modified.
	* po/fi.po: Modified.
	* po/fr.po: Modified.
	* po/gl.po: Modified.
	* po/hr.po: Modified.
	* po/hu.po: Modified.
	* po/ia.po: Modified.
	* po/id.po: Modified.
	* po/it.po: Modified.
	* po/ja.po: Modified.
	* po/ko.po: Modified.
	* po/lt.po: Modified.
	* po/nb.po: Modified.
	* po/nl.po: Modified.
	* po/pl.po: Modified.
	* po/pt_BR.po: Modified.
	* po/ru.po: Modified.
	* po/rw.po: Modified.
	* po/sk.po: Modified.
	* po/sl.po: Modified.
	* po/sv.po: Modified.
	* po/tr.po: Modified.
	* po/uk.po: Modified.
	* po/vi.po: Modified.
	* po/zh_CN.po: Modified.
	* po/zh_TW.po: Modified.

2020-01-19  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 63675a927eb65d4990179c12e7e1a4805a98e7c8
	translations: Run msgmerge when downloading translations

	* po/Makefile: Modified.

2020-01-17  Matheus Castanho  <msc@linux.ibm.com>

	COMMIT: 9f8b135f76ac7943d1e108b7f6e816f526b2208c
	Fix maybe-uninitialized error on powerpc

	* sysdeps/ieee754/dbl-64/mpa.c: Modified.
	(__inv): Modified function.

2020-01-18  Andreas Schwab  <schwab@linux-m68k.org>

	COMMIT: be5c5315b95aaddcef38f1d3f4c526401076bd38
	powerpc32: Fix syntax error in __GLRO macro

	* sysdeps/powerpc/powerpc32/sysdep.h: Modified.
	[__ASSEMBLER__][! PIC](__GLRO): Modified.

2020-01-17  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 768c83b7f60d82db6677e19dc51be9f341e0f3fc
	Remove incorrect alloc_size attribute from pvalloc [BZ #25401]

	* malloc/Makefile: Modified.
	* malloc/malloc.h: Modified.
	(__wur): Modified.
	* malloc/tst-pvalloc-fortify.c: New file.

2020-01-17  Lucas A. M. Magalhaes  <lamm@linux.ibm.com>

	COMMIT: 70ba28f7ab2923d4e36ffc9d5d2e32357353b25c
	Fix tst-pkey.c pkey_alloc return checks and manual

	* manual/memory.texi: Modified.
	* sysdeps/unix/sysv/linux/tst-pkey.c: Modified.
	(do_test): Modified function.

2020-01-17  Tulio Magno Quites Machado Filho  <tuliom@linux.ibm.com>

	COMMIT: 18363b4f010da9ba459b13310b113ac0647c2fcc
	powerpc: Move cache line size to rtld_global_ro

	* elf/dl-support.c: Modified.
	[HAVE_AUX_VECTOR](_dl_aux_init): Modified function.
	(dl-auxv.h): Include file.
	* elf/dl-sysdep.c: Modified.
	(_dl_sysdep_start): Modified function.
	(dl-auxv.h): Include file.
	* sysdeps/generic/dl-auxv.h: New file.
	* sysdeps/powerpc/Makefile: Modified.
	* sysdeps/powerpc/dl-procinfo.c: Modified.
	[!IS_IN (ldconfig)][!(! PROCINFO_DECL &&  SHARED)][PROCINFO_DECL][!(! PROCINFO_DECL &&  SHARED)][PROCINFO_DECL](PROCINFO_DECL): Remove.
	[!IS_IN (ldconfig)][!(! PROCINFO_DECL &&  SHARED)][PROCINFO_DECL][!(! PROCINFO_DECL &&  SHARED)][PROCINFO_DECL](PROCINFO_CLASS): Remove.
	[!IS_IN (ldconfig)][!(! PROCINFO_DECL &&  SHARED)][PROCINFO_DECL][!(! PROCINFO_DECL &&  SHARED)][PROCINFO_DECL][!IS_IN (ldconfig)][!(! PROCINFO_DECL &&  SHARED)][! PROCINFO_DECL](_dl_cache_line_size): New.
	[!IS_IN (ldconfig)][!(! PROCINFO_DECL &&  SHARED)][PROCINFO_DECL][!(! PROCINFO_DECL &&  SHARED)][PROCINFO_DECL][!IS_IN (ldconfig)][!(! PROCINFO_DECL &&  SHARED)][PROCINFO_DECL](PROCINFO_DECL): New.
	[!IS_IN (ldconfig)][!(! PROCINFO_DECL &&  SHARED)][PROCINFO_DECL][!(! PROCINFO_DECL &&  SHARED)][PROCINFO_DECL][!IS_IN (ldconfig)][!(! PROCINFO_DECL &&  SHARED)][PROCINFO_DECL](PROCINFO_CLASS): New.
	* sysdeps/powerpc/mod-cache-ppc.c: New file.
	* sysdeps/powerpc/powerpc32/a2/memcpy.S: Modified.
	* sysdeps/powerpc/powerpc32/dl-machine.c: Modified.
	(__cache_line_size): Remove.
	(__elf_machine_runtime_setup): Modified function.
	* sysdeps/powerpc/powerpc32/memset.S: Modified.
	* sysdeps/powerpc/powerpc32/sysdep.h: Modified.
	[__ASSEMBLER__][! PIC](__GLRO): New.
	[__ASSEMBLER__][PIC][! SHARED](__GLRO): New.
	[__ASSEMBLER__][PIC][SHARED][!(IS_IN (rtld))](__GLRO): New.
	[__ASSEMBLER__][PIC][SHARED][IS_IN (rtld)](__GLRO): New.
	* sysdeps/powerpc/powerpc64/a2/memcpy.S: Modified.
	* sysdeps/powerpc/powerpc64/memset.S: Modified.
	* sysdeps/powerpc/powerpc64/sysdep.h: Modified.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][!(IS_IN (rtld))][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](OPD_ENT): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][!(IS_IN (rtld))][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](ENTRY_1): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][!(IS_IN (rtld))][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](DOT_PREFIX): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][!(IS_IN (rtld))][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](BODY_PREFIX): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][!(IS_IN (rtld))][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](ENTRY_2): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][!(IS_IN (rtld))][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](END_2): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][!(IS_IN (rtld))][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](LOCALENTRY): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][!(IS_IN (rtld))][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](OPD_ENT): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][!(IS_IN (rtld))][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](PPC64_LOAD_FUNCPTR): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][!(IS_IN (rtld))][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](DOT_PREFIX): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][!(IS_IN (rtld))][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](BODY_PREFIX): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][!(IS_IN (rtld))][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](ENTRY_2): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][!(IS_IN (rtld))][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](END_2): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][!(IS_IN (rtld))][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](LOCALENTRY): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][!(IS_IN (rtld))][_CALL_ELF != 2](PPC64_LOAD_FUNCPTR): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][!(IS_IN (rtld))](__GLRO_DEF): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][!(IS_IN (rtld))](__GLRO): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)](__GLRO_DEF): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)](__GLRO_DEF): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)](__GLRO): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](OPD_ENT): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](ENTRY_1): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](DOT_PREFIX): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](BODY_PREFIX): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](ENTRY_2): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](END_2): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](LOCALENTRY): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](OPD_ENT): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](PPC64_LOAD_FUNCPTR): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](DOT_PREFIX): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](BODY_PREFIX): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](ENTRY_2): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](END_2): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](LOCALENTRY): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][_CALL_ELF != 2](PPC64_LOAD_FUNCPTR): Remove.
	* sysdeps/powerpc/rtld-global-offsets.sym: Modified.
	* sysdeps/powerpc/tst-cache-ppc-static-dlopen.c: New file.
	* sysdeps/powerpc/tst-cache-ppc-static.c: New file.
	* sysdeps/powerpc/tst-cache-ppc.c: New file.
	* sysdeps/unix/sysv/linux/powerpc/dl-sysdep.c: Move to...
	* sysdeps/unix/sysv/linux/powerpc/dl-auxv.h: ... here.
	(config.h): Remove include.
	(__cache_line_size): Remove.
	(DL_PLATFORM_AUXV): Modified.
	(sysdeps/unix/sysv/linux/dl-sysdep.c): Remove include.
	[IS_IN (libc) && ! SHARED](GLRO): New.
	* sysdeps/unix/sysv/linux/powerpc/dl-static.c: Modified.
	[SHARED](_dl_var_init): Modified function.
	* sysdeps/unix/sysv/linux/powerpc/libc-start.c: Modified.
	(__cache_line_size): Remove.
	(__libc_start_main): Modified function.

2020-01-17  Tulio Magno Quites Machado Filho  <tuliom@linux.ibm.com>

	COMMIT: c908ae0492cb9c68736306e2bceec7244a940568
	powerpc: Initialize rtld_global_ro for static dlopen [BZ #20802]

	* sysdeps/unix/sysv/linux/powerpc/dl-static.c: Modified.
	[SHARED](_dl_var_init): Modified function.

2020-01-17  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: def9c08c94da60bfb746644d56cffbe7a9de3477
	Revert outdated translations

	* po/da.po: Modified.
	* po/el.po: Modified.
	* po/eo.po: Modified.
	* po/es.po: Modified.
	* po/gl.po: Modified.
	* po/hu.po: Modified.
	* po/ia.po: Modified.
	* po/id.po: Modified.
	* po/it.po: Modified.
	* po/ja.po: Modified.
	* po/lt.po: Modified.
	* po/nb.po: Modified.
	* po/rw.po: Modified.
	* po/sk.po: Modified.
	* po/sl.po: Modified.
	* po/zh_CN.po: Modified.

2020-01-17  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: a9ed2b274796777442b1f66a661f957daf39bb66
	vcs-to-changelog: Add quirk for __nonnull

	* scripts/vcs_to_changelog/vcstocl_quirks.py: Modified.

2020-01-16  Florian Weimer  <fweimer@redhat.com>

	COMMIT: a332bd1518af518c984fad73eba6f46dc5b2b2d4
	elf: Add elf/tst-dlopenfail-2 [BZ #25396]

	* elf/Makefile: Modified.
	* elf/tst-dlopenfail-2.c: New file.
	* elf/tst-dlopenfailmod3.c: New file.

2020-01-16  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 5177d85b0c050a2333a0c4165c938dd422013d05
	Clear GL(dl_initfirst) when freeing its link_map memory [BZ# 25396]

	* elf/dl-close.c: Modified.
	(_dl_close_worker): Modified function.

2020-01-16  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 791a08cf378db8cc99baa8c63746c9d2885e7f9a
	Update Translations

	* po/ca.po: Modified.
	* po/da.po: Modified.
	* po/de.po: Modified.
	* po/el.po: Modified.
	* po/eo.po: Modified.
	* po/es.po: Modified.
	* po/fi.po: Modified.
	* po/fr.po: Modified.
	* po/gl.po: Modified.
	* po/hr.po: Modified.
	* po/hu.po: Modified.
	* po/ia.po: Modified.
	* po/id.po: Modified.
	* po/it.po: Modified.
	* po/ja.po: Modified.
	* po/ko.po: Modified.
	* po/lt.po: Modified.
	* po/nb.po: Modified.
	* po/ru.po: Modified.
	* po/rw.po: Modified.
	* po/sk.po: Modified.
	* po/sl.po: Modified.
	* po/sv.po: Modified.
	* po/tr.po: Modified.
	* po/vi.po: Modified.
	* po/zh_CN.po: Modified.
	* po/zh_TW.po: Modified.

2020-01-13  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: a8f0fc4e5fbad300d524a3339d503c41e3182ed0
	htl: Add internal version of __pthread_mutex_timedlock

	* htl/Versions: Modified.
	* sysdeps/htl/pt-mutex-timedlock.c: Modified.
	(pthread_mutex_timedlock): Remove function.
	(__pthread_mutex_timedlock): New function.
	(strong_alias): New.
	* sysdeps/htl/pthreadP.h: Modified.
	(__pthread_mutex_timedlock): New function.
	* sysdeps/mach/hurd/htl/pt-mutex-timedlock.c: Modified.
	(pthread_mutex_timedlock): Remove function.
	(__pthread_mutex_timedlock): New function.
	(strong_alias): New.

2020-01-13  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 1d62a403734b18367eb0aa47493d0de644edd00b
	htl: Avoid crashing when passed invalid pthread_t values

	* htl/pt-internal.h: Modified.
	(__pthread_getid): Modified.
	(__pthread_max_threads): New.

2020-01-13  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: bc487d714191e91789ad420de274e789f710cac3
	Update build-many-glibcs.py for GCC move to git.

	* scripts/build-many-glibcs.py: Modified.

2020-01-13  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 3c8639b02efcbc5e8087b0f9bc63da8aeb203549
	Fix "elf: Add tst-ldconfig-ld_so_conf-update test" on 32bit.

	* elf/tst-ldconfig-ld_so_conf-update.c: Modified.
	(do_test): Modified function.

2020-01-13  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: ae793cc20d80eec6ccffc31612b635b8c1b82e89
	htl: Avoid exposing unixoid functions

	* htl/pt-create.c: Modified.
	(__pthread_create_internal): Modified function.
	* htl/pt-yield.c: Modified.
	(pthread_yield): Modified function.
	* sysdeps/htl/pt-destroy-specific.c: Modified.
	(__pthread_destroy_specific): Modified function.
	* sysdeps/mach/htl/pt-timedblock.c: Modified.
	(__pthread_timedblock): Modified function.
	* sysdeps/mach/hurd/Versions: Modified.

2020-01-13  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 196e62cbe4acdab22a95740b618c699863ed460c
	htl: Add type sizes in bits/pthreadtypes-arch.h and check them

	* sysdeps/htl/pt-attr-init.c: Modified.
	(__pthread_attr_init): Modified function.
	* sysdeps/htl/pt-barrier-init.c: Modified.
	(pthread_barrier_init): Modified function.
	* sysdeps/htl/pt-barrierattr-init.c: Modified.
	(pthread_barrierattr_init): Modified function.
	* sysdeps/htl/pt-cond-init.c: Modified.
	(__pthread_cond_init): Modified function.
	* sysdeps/htl/pt-condattr-init.c: Modified.
	(__pthread_condattr_init): Modified function.
	* sysdeps/htl/pt-mutex-init.c: Modified.
	(_pthread_mutex_init): Modified function.
	* sysdeps/htl/pt-mutexattr-init.c: Modified.
	(__pthread_mutexattr_init): Modified function.
	* sysdeps/htl/pt-once.c: Modified.
	(__pthread_once): Modified function.
	* sysdeps/htl/pt-rwlock-init.c: Modified.
	(_pthread_rwlock_init): Modified function.
	* sysdeps/htl/pt-rwlockattr-init.c: Modified.
	(pthread_rwlockattr_init): Modified function.
	* sysdeps/htl/pthreadP.h: Modified.
	(ASSERT_TYPE_SIZE): New.
	* sysdeps/i386/htl/bits/pthreadtypes-arch.h: Modified.
	(__SIZEOF_PTHREAD_MUTEX_T): New.
	(__SIZEOF_PTHREAD_ATTR_T): New.
	(__SIZEOF_PTHREAD_RWLOCK_T): New.
	(__SIZEOF_PTHREAD_BARRIER_T): New.
	(__SIZEOF_PTHREAD_MUTEXATTR_T): New.
	(__SIZEOF_PTHREAD_COND_T): New.
	(__SIZEOF_PTHREAD_CONDATTR_T): New.
	(__SIZEOF_PTHREAD_RWLOCKATTR_T): New.
	(__SIZEOF_PTHREAD_BARRIERATTR_T): New.
	(__SIZEOF_PTHREAD_ONCE_T): New.
	(__LOCK_ALIGNMENT): New.
	(__ONCE_ALIGNMENT): New.
	* sysdeps/mach/hurd/htl/pt-mutex-init.c: Modified.
	(_pthread_mutex_init): Modified function.
	* sysdeps/mach/hurd/htl/pt-mutexattr-init.c: Modified.
	(__pthread_mutexattr_init): Modified function.

2020-01-13  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: e404be33feaa586231fe30e3bdf6d380a79c2679
	htl: Add internal versions of functions used by C11 threads

	* htl/pt-join.c: Modified.
	(pthread_join): Remove function.
	(__pthread_join): New function.
	(strong_alias): New function.
	* sysdeps/htl/libc-lockP.h: Modified.
	(__pthread_key_delete): New function.
	* sysdeps/htl/pt-key-delete.c: Modified.
	(pthread_key_delete): Remove function.
	(__pthread_key_delete): New function.
	(strong_alias): New.
	* sysdeps/htl/pthreadP.h: Modified.
	(__pthread_join): New function.

2020-01-09  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: e1195b207c057ccc61bd5e9334da5c2b361f8b2a
	Update timezone/README

	* timezone/README: Modified.
	* timezone/version: New file.

2020-01-09  Alexandra Hájková  <ahajkova@redhat.com>

	COMMIT: 591236f1a33f11cc65ccf009d997071ba853e186
	elf: Add tst-ldconfig-ld_so_conf-update test

	* elf/Makefile: Modified.
	* elf/tst-ldconfig-ld-mod.c: New file.
	* elf/tst-ldconfig-ld_so_conf-update.c: New file.
	* elf/tst-ldconfig-ld_so_conf-update.root/postclean.req: New file.
	* elf/tst-ldconfig-ld_so_conf-update.root/tst-ldconfig-ld_so_conf-update.script: New file.

2020-01-09  Zack Weinberg  <zackw@panix.com>

	COMMIT: 521c7fc65f1f9e49dc2994d22d79e71e76a6c0c2
	Revise NEWS description of changes to gettimeofday etc.

	* NEWS: Modified.

2020-01-09  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 97ff54d2fcd0857756038d82e02f1a75accbaa66
	Drop dependency of dist target on ChangeLog

	* Makefile: Modified.
	* NEWS: Modified.

2020-01-08  Zack Weinberg  <zackw@panix.com>

	COMMIT: 4988e26b94a9397d934e43f9116b0d33b3a454b2
	MIPS: Fix circular definition of __LDBL_MANT_DIG__ in ieee754.h

	* sysdeps/mips/ieee754/ieee754.h: Modified.
	[! __LDBL_MANT_DIG__](__LDBL_MANT_DIG__): Modified.

2020-01-08  Rafał Lużyński  <digitalfreak@lingonborough.com>

	COMMIT: 135540285cb44f820dac41c2b95531db33658f9f
	sl_SI locale: Use "." as the thousands separator (bug 25233)

	* localedata/locales/sl_SI: Modified.

2020-01-07  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: d006e84d5df24c9da1c71fe57790626d44deaeed
	Fix formatting of ChangeLog ouput

	* scripts/vcs_to_changelog/vcs_git.py: Modified.

2020-01-05  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: cbce69e70dc4b04fefcc7257e593733b8b03856c
	hurd: Fix message reception for timer_thread

	* sysdeps/mach/hurd/setitimer.c: Modified.
	(timer_thread): Modified function.

2020-01-04  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 25c084e0a7b5e8d604d0f86b55f343acadf7af5d
	htl: Add __errno_location and __h_errno_location

	* htl/Makefile: Modified.
	* htl/Versions: Modified.
	* htl/herrno.c: New file.
	* sysdeps/htl/Makefile: Modified.
	* sysdeps/mach/hurd/i386/libpthread.abilist: Modified.

2020-01-04  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 50a78baa8e385fac36d54d51800dc5c61ef7f139
	htl: Move pthread_atfork to libc_nonshared.a

	* htl/Makefile: Modified.
	* sysdeps/htl/Makeconfig: Modified.
	* sysdeps/htl/pt-atfork.c: Modified.
	(pthread_atfork): Remove function.
	(__pthread_atfork): New function.
	(weak_alias): New.

2020-01-04  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 12e166dd80bd3056f667930719572017d25a79c4
	htl: Drop common tcbhead_t definition

	* htl/pt-internal.h: Modified.
	[!(IS_IN (libpthread))](tcbhead_t): Remove.
	(tls.h): Include file.

2020-01-04  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: af7be496c9f1a1ca340ccd95152d46e8464490a1
	htl: Use dso_handle.h

	* sysdeps/htl/pt-atfork.c: Modified.
	(__visibility__): Remove.
	(pthread_atfork): Modified function.
	(dso_handle.h): Include file.

2020-01-03  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 92b963699aae2da1e25f47edc7a0408bf3aee4d2
	linux: Optimize fallback 32-bit clock_getres

	* sysdeps/unix/sysv/linux/clock_getres.c: Modified.
	(__clock_getres64): Modified function.

2020-01-03  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 0dc1a378b135ec46fcc451d96c4a3a64c08e2ace
	linux: Add support for clock_getres64 vDSO

	* sysdeps/unix/sysv/linux/aarch64/sysdep.h: Modified.
	[! __ASSEMBLER__](HAVE_CLOCK_GETRES_VSYSCALL): Remove.
	[! __ASSEMBLER__](HAVE_CLOCK_GETRES64_VSYSCALL): New.
	* sysdeps/unix/sysv/linux/clock_getres.c: Modified.
	(__clock_getres64): Modified function.
	* sysdeps/unix/sysv/linux/dl-vdso-setup.c: Modified.
	[PROCINFO_DECL || ! SHARED][HAVE_CLOCK_GETRES64_VSYSCALL](RELRO): New.
	* sysdeps/unix/sysv/linux/dl-vdso-setup.h: Modified.
	(setup_vdso_pointers): Modified function.
	* sysdeps/unix/sysv/linux/powerpc/sysdep.h: Modified.
	[!((__PPC64__) || (__powerpc64__))](HAVE_CLOCK_GETRES_VSYSCALL): New.
	[(__PPC64__) || (__powerpc64__)](HAVE_CLOCK_GETRES64_VSYSCALL): New.
	(HAVE_CLOCK_GETRES_VSYSCALL): Remove.
	* sysdeps/unix/sysv/linux/riscv/sysdep.h: Modified.
	[! __ASSEMBLER__](HAVE_CLOCK_GETRES_VSYSCALL): Remove.
	[! __ASSEMBLER__](HAVE_CLOCK_GETRES64_VSYSCALL): New.
	* sysdeps/unix/sysv/linux/s390/sysdep.h: Modified.
	[! __s390x__](HAVE_CLOCK_GETRES_VSYSCALL): New.
	[__s390x__](HAVE_CLOCK_GETRES64_VSYSCALL): New.
	(HAVE_CLOCK_GETRES_VSYSCALL): Remove.
	* sysdeps/unix/sysv/linux/x86_64/sysdep.h: Modified.
	[! __ASSEMBLER__](HAVE_CLOCK_GETRES_VSYSCALL): Remove.
	[! __ASSEMBLER__](HAVE_CLOCK_GETRES64_VSYSCALL): New.

2020-01-03  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: cdae973b6a7eb95b1caf1e1ecfc93de720ac6b44
	linux: Enable vDSO clock_gettime64 for mips

	* sysdeps/unix/sysv/linux/mips/sysdep.h: Modified.
	[_MIPS_SIM != _ABI64](HAVE_CLOCK_GETTIME64_VSYSCALL): New.
	(sgidefs.h): Include file.

2020-01-03  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 93e4db49b424fefd38db6459baa2cc258f4e89b9
	linux: Enable vDSO clock_gettime64 for arm

	* sysdeps/unix/sysv/linux/arm/sysdep.h: Modified.
	[! __ASSEMBLER__](HAVE_CLOCK_GETTIME64_VSYSCALL): New.

2020-01-03  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 2d77a447510c18ec0255546b7016e47677296e00
	linux: Enable vDSO clock_gettime64 for i386

	* sysdeps/unix/sysv/linux/i386/sysdep.h: Modified.
	[! __ASSEMBLER__](HAVE_CLOCK_GETTIME64_VSYSCALL): New.

2020-01-03  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: a9091a12444d551977adb6d8b45b2007881f1b8b
	linux: Optimize fallback 32-bit clock_gettime

	* sysdeps/unix/sysv/linux/clock_gettime.c: Modified.
	(__clock_gettime64): Modified function.

2020-01-03  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: ff500a623d1bf9fb24f30fa80451897b534549e1
	linux: Add support for clock_gettime64 vDSO

	* sysdeps/unix/sysv/linux/aarch64/sysdep.h: Modified.
	[! __ASSEMBLER__](HAVE_CLOCK_GETTIME_VSYSCALL): Remove.
	[! __ASSEMBLER__](HAVE_CLOCK_GETTIME64_VSYSCALL): New.
	* sysdeps/unix/sysv/linux/clock_gettime.c: Modified.
	(__clock_gettime64): Modified function.
	* sysdeps/unix/sysv/linux/dl-vdso-setup.c: Modified.
	[PROCINFO_DECL || ! SHARED][HAVE_CLOCK_GETTIME64_VSYSCALL](RELRO): New.
	* sysdeps/unix/sysv/linux/dl-vdso-setup.h: Modified.
	(setup_vdso_pointers): Modified function.
	* sysdeps/unix/sysv/linux/powerpc/sysdep.h: Modified.
	[!((__PPC64__) || (__powerpc64__))](HAVE_CLOCK_GETTIME_VSYSCALL): New.
	[(__PPC64__) || (__powerpc64__)](HAVE_CLOCK_GETTIME64_VSYSCALL): New.
	(HAVE_CLOCK_GETTIME_VSYSCALL): Remove.
	* sysdeps/unix/sysv/linux/riscv/sysdep.h: Modified.
	[! __ASSEMBLER__](HAVE_CLOCK_GETTIME_VSYSCALL): Remove.
	[! __ASSEMBLER__](HAVE_CLOCK_GETTIME64_VSYSCALL): New.
	* sysdeps/unix/sysv/linux/s390/sysdep.h: Modified.
	(HAVE_CLOCK_GETTIME_VSYSCALL): Remove.
	[! __s390x__](HAVE_CLOCK_GETTIME_VSYSCALL): New.
	[__s390x__](HAVE_CLOCK_GETTIME64_VSYSCALL): New.
	* sysdeps/unix/sysv/linux/sparc/sysdep.h: Modified.
	[! __ASSEMBLER__](HAVE_CLOCK_GETTIME_VSYSCALL): Remove.
	[! __ASSEMBLER__][! __arch64__](HAVE_CLOCK_GETTIME_VSYSCALL): New.
	[! __ASSEMBLER__][__arch64__](HAVE_CLOCK_GETTIME64_VSYSCALL): New.
	* sysdeps/unix/sysv/linux/x86_64/sysdep.h: Modified.
	[! __ASSEMBLER__](HAVE_CLOCK_GETTIME_VSYSCALL): Remove.
	[! __ASSEMBLER__](HAVE_CLOCK_GETTIME64_VSYSCALL): New.

2020-01-03  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 1bdda52fe92fd01b424cd6fbb63e3df96a95015c
	elf: Move vDSO setup to rtld (BZ#24967)

	* csu/init-first.c: Modified.
	(_init): Modified function.
	* elf/dl-support.c: Modified.
	[! HAVE_AUX_VECTOR](__rtld_lock_define_initialized_recursive): Modified function.
	(__rtld_lock_define_initialized_recursive): Modified function.
	(dl-vdso.h): Include file.
	(dl-vdso-setup.h): Include file.
	(dl-vdso-setup.c): Include file.
	* elf/rtld.c: Modified.
	(setup-vdso.h): Modified.
	(dl_main): Modified function.
	(dl-vdso.h): Include file.
	(dl-vdso-setup.h): Include file.
	* malloc/tst-interpose-aux.c: Modified.
	(malloc_internal): Modified function.
	(time.h): Include file.
	(ts): New.
	* sysdeps/generic/dl-vdso-setup.c: New file.
	* sysdeps/generic/dl-vdso-setup.h: New file.
	* sysdeps/generic/dl-vdso.h: New file.
	* sysdeps/generic/ldsodefs.h: Modified.
	[SHARED](rtld_global_ro): Modified.
	* sysdeps/powerpc/powerpc32/backtrace.c: Modified.
	(is_sigtramp_address): Modified function.
	(is_sigtramp_address_rt): Modified function.
	* sysdeps/powerpc/powerpc64/backtrace.c: Modified.
	(is_sigtramp_address): Modified function.
	* sysdeps/unix/sysv/linux/aarch64/Makefile: Modified.
	* sysdeps/unix/sysv/linux/arm/Makefile: Modified.
	* sysdeps/unix/sysv/linux/dl-vdso-setup.c: New file.
	* sysdeps/unix/sysv/linux/dl-vdso-setup.h: New file.
	* sysdeps/unix/sysv/linux/dl-vdso.c: Delete file.
	* sysdeps/unix/sysv/linux/dl-vdso.h: Modified.
	(_dl_vdso_vsym): Remove.
	(get_vdso_symbol): Remove function.
	(get_vdso_mangle_symbol): Remove function.
	(dl_vdso_vsym): New function.
	* sysdeps/unix/sysv/linux/gettimeofday.c: Modified.
	[USE_IFUNC_GETTIMEOFDAY][SHARED](libc-vdso.h): Include file.
	* sysdeps/unix/sysv/linux/init-first.c: Delete file.
	* sysdeps/unix/sysv/linux/libc-vdso.h: Modified.
	[! VDSO_IFUNC_RET](VDSO_IFUNC_RET): Remove.
	[HAVE_CLOCK_GETRES_VSYSCALL](int): Remove.
	[HAVE_CLOCK_GETTIME64_VSYSCALL](int): Remove.
	[HAVE_CLOCK_GETTIME_VSYSCALL](int): Remove.
	[HAVE_GETCPU_VSYSCALL](int): Remove.
	[HAVE_GETTIMEOFDAY_VSYSCALL](int): Remove.
	[HAVE_TIME_VSYSCALL](time_t): Remove.
	(VDSO_SYMBOL): Remove.
	(VDSO_IFUNC_RET): New.
	* sysdeps/unix/sysv/linux/mips/Makefile: Modified.
	* sysdeps/unix/sysv/linux/powerpc/Makefile: Modified.
	* sysdeps/unix/sysv/linux/powerpc/get_timebase_freq.c: Modified.
	(libc-vdso.h): Remove include.
	(__get_timebase_freq): Modified function.
	(sysdep-vdso.h): Include file.
	* sysdeps/unix/sysv/linux/powerpc/init-first.c: Delete file.
	* sysdeps/unix/sysv/linux/powerpc/libc-vdso.h: Modified.
	[!((__PPC64__) || (__powerpc64__))](VDSO_SYMBOL): Remove.
	[!((__PPC64__) || (__powerpc64__))](VDSO_SYMBOL): Remove.
	[(__PPC64__) || (__powerpc64__)](VDSO_SYMBOL): Remove.
	(_next <libc-vdso.h): Remove include.
	(long): Remove.
	* sysdeps/unix/sysv/linux/riscv/Makefile: Modified.
	* sysdeps/unix/sysv/linux/riscv/flush-icache.c: Modified.
	(__lookup_riscv_flush_icache): Modified function.
	* sysdeps/unix/sysv/linux/s390/Makefile: Modified.
	* sysdeps/unix/sysv/linux/sparc/Makefile: Modified.
	* sysdeps/unix/sysv/linux/sysdep-vdso.h: Modified.
	(dl-vdso.h): Remove include.
	(libc-vdso.h): Remove include.
	(INLINE_VSYSCALL): Modified.
	(ldsodefs.h): Include file.
	* sysdeps/unix/sysv/linux/time.c: Modified.
	[USE_IFUNC_TIME][SHARED](libc-vdso.h): Include file.
	* sysdeps/unix/sysv/linux/x86/Makefile: Modified.

2020-01-03  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 57013650f7e796428ac2c0b7512757e99327bfc9
	elf: Enable relro for static build

	* elf/dl-support.c: Modified.
	[! HAVE_AUX_VECTOR](__rtld_lock_define_initialized_recursive): Modified function.
	(__rtld_lock_define_initialized_recursive): Modified function.

2020-01-03  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: e760874ee3315ca3a8a2978b5f8e4dba1e336197
	linux: Consolidate time implementation

	* sysdeps/unix/sysv/linux/powerpc/time.c: Modified.
	[! SHARED](time): Remove.
	[SHARED](dl-vdso.h): Remove.
	[SHARED](libc-vdso.h): Remove.
	[SHARED](INIT_ARCH): Remove.
	[SHARED](libc_ifunc): Remove.
	(time.h): Remove include.
	(sysdep.h): Remove include.
	(sysdep-vdso.h): Remove include.
	(time_vsyscall): Remove function.
	(USE_IFUNC_TIME): New.
	(sysdeps/unix/sysv/linux/time.c): Include file.
	* sysdeps/unix/sysv/linux/time.c: New file.
	* sysdeps/unix/sysv/linux/x86/time.c: Modified.
	[! SHARED](time): Remove.
	[SHARED](dl-vdso.h): Remove.
	[SHARED](libc-vdso.h): Remove.
	[SHARED](INIT_ARCH): Remove.
	[SHARED](libc_ifunc): Remove.
	(time.h): Remove include.
	(sysdep.h): Remove include.
	(sysdep-vdso.h): Remove include.
	(time_vsyscall): Remove function.
	(USE_IFUNC_TIME): New.
	(sysdeps/unix/sysv/linux/time.c): Include file.

2020-01-03  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: c701bcc6f4b0077e544ac100338343ac6cc4cb8a
	linux: Consolidate Linux gettimeofday

	* sysdeps/unix/sysv/linux/aarch64/gettimeofday.c: Modified.
	[! SHARED](__gettimeofday): Remove.
	[SHARED](dl-vdso.h): Remove.
	[SHARED](sysdep-vdso.h): Remove.
	[SHARED](INIT_ARCH): Remove.
	[SHARED](libc_ifunc): Remove.
	(time.h): Remove include.
	(sysdep.h): Remove include.
	(sysdep-vdso.h): Remove include.
	(__gettimeofday_vsyscall): Remove function.
	(weak_alias): Remove.
	(USE_IFUNC_GETTIMEOFDAY): New.
	(sysdeps/unix/sysv/linux/gettimeofday.c): Include file.
	* sysdeps/unix/sysv/linux/gettimeofday.c: New file.
	* sysdeps/unix/sysv/linux/powerpc/gettimeofday.c: Modified.
	[! SHARED](__gettimeofday): Remove.
	[SHARED](dl-vdso.h): Remove.
	[SHARED](libc-vdso.h): Remove.
	[SHARED](INIT_ARCH): Remove.
	[SHARED](libc_ifunc): Remove.
	(time.h): Remove include.
	(sysdep.h): Remove include.
	(sysdep-vdso.h): Remove include.
	(__gettimeofday_syscall): Remove function.
	(weak_alias): Remove.
	(USE_IFUNC_GETTIMEOFDAY): New.
	(sysdeps/unix/sysv/linux/gettimeofday.c): Include file.
	* sysdeps/unix/sysv/linux/x86/gettimeofday.c: Modified.
	[! SHARED](__gettimeofday): Remove.
	[SHARED](dl-vdso.h): Remove.
	[SHARED](libc-vdso.h): Remove.
	[SHARED](INIT_ARCH): Remove.
	[SHARED](libc_ifunc): Remove.
	(time.h): Remove include.
	(sysdep.h): Remove include.
	(sysdep-vdso.h): Remove include.
	(__gettimeofday_syscall): Remove function.
	(weak_alias): Remove.
	(USE_IFUNC_GETTIMEOFDAY): New.
	(sysdeps/unix/sysv/linux/gettimeofday.c): Include file.

2020-01-03  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 7bcaf77574ae654974979c8c6d5f6a170c644a6e
	linux: Update mips vDSO symbols

	* sysdeps/unix/sysv/linux/mips/sysdep.h: Modified.
	(HAVE_CLOCK_GETRES_VSYSCALL): New.

2020-01-03  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: eca6aec6a30f5b21987000ccd0a0ead642592e18
	linux: Update x86 vDSO symbols

	* sysdeps/unix/sysv/linux/i386/sysdep.h: Modified.
	[! __ASSEMBLER__](HAVE_TIME_VSYSCALL): New.
	[! __ASSEMBLER__](HAVE_CLOCK_GETRES_VSYSCALL): New.
	* sysdeps/unix/sysv/linux/x86/time.c: Modified.
	(time_vsyscall): Modified function.
	* sysdeps/unix/sysv/linux/x86_64/sysdep.h: Modified.
	[! __ASSEMBLER__](HAVE_TIME_VSYSCALL): New.
	[! __ASSEMBLER__](HAVE_CLOCK_GETRES_VSYSCALL): New.

2020-01-03  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 2822aaf4f7426289a7e29086a4ee430f683e4b55
	Remove vDSO support from make-syscall.sh

	* sysdeps/unix/make-syscalls.sh: Modified.

2020-01-03  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: bc36727be9a45d018e9f4bfad6b707eafb009bac
	x86: Make x32 use x86 time implementation

	* sysdeps/unix/sysv/linux/x86_64/x32/gettimeofday.c: Delete file.
	* sysdeps/unix/sysv/linux/x86_64/x32/syscalls.list: Modified.

2020-01-03  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: d0def09ff6bbf1537beec305fdfe96a21174fb31
	linux: Fix vDSO macros build with time64 interfaces

	* sysdeps/unix/sysv/linux/aarch64/gettimeofday.c: Modified.
	[HAVE_GETTIMEOFDAY_VSYSCALL](HAVE_VSYSCALL): Remove.
	* sysdeps/unix/sysv/linux/clock_getres.c: Modified.
	[HAVE_CLOCK_GETRES_VSYSCALL](HAVE_VSYSCALL): Remove.
	[__TIMESIZE != 64](__clock_getres): Modified function.
	(__clock_getres64): Modified function.
	* sysdeps/unix/sysv/linux/clock_gettime.c: Modified.
	[HAVE_CLOCK_GETTIME_VSYSCALL](HAVE_VSYSCALL): Remove.
	(__clock_gettime64): Modified function.
	* sysdeps/unix/sysv/linux/getcpu.c: Modified.
	[HAVE_GETCPU_VSYSCALL](HAVE_VSYSCALL): Remove.
	(__getcpu): Modified function.
	* sysdeps/unix/sysv/linux/powerpc/gettimeofday.c: Modified.
	[HAVE_GETTIMEOFDAY_VSYSCALL](HAVE_VSYSCALL): Remove.
	* sysdeps/unix/sysv/linux/powerpc/time.c: Modified.
	[HAVE_TIME_VSYSCALL](HAVE_VSYSCALL): Remove.
	* sysdeps/unix/sysv/linux/sched_getcpu.c: Modified.
	[HAVE_GETCPU_VSYSCALL](HAVE_VSYSCALL): Remove.
	(sched_getcpu): Modified function.
	* sysdeps/unix/sysv/linux/sysdep-vdso.h: Modified.
	[! HAVE_VSYSCALL](INLINE_VSYSCALL): Remove.
	[! HAVE_VSYSCALL](INTERNAL_VSYSCALL): Remove.
	[HAVE_VSYSCALL](libc-vdso.h): Remove.
	[HAVE_VSYSCALL](INLINE_VSYSCALL): Remove.
	[HAVE_VSYSCALL](INTERNAL_VSYSCALL): Remove.
	(libc-vdso.h): Include file.
	(INLINE_VSYSCALL): New.
	* sysdeps/unix/sysv/linux/x86/gettimeofday.c: Modified.
	[HAVE_GETTIMEOFDAY_VSYSCALL](HAVE_VSYSCALL): Remove.
	* sysdeps/unix/sysv/linux/x86/time.c: Modified.
	[HAVE_TIME_VSYSCALL](HAVE_VSYSCALL): Remove.
	(time_vsyscall): Modified function.

2020-01-03  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: b03688bfbb072f42970747bc2e6362c24b4b7ee8
	Linux: Fix clock_nanosleep time64 check

	* sysdeps/unix/sysv/linux/clock_nanosleep.c: Modified.
	(__clock_nanosleep_time64): Modified function.

2020-01-03  Wilco Dijkstra  <Wilco.Dijkstra@arm.com>
            Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 220622dde5704c95a100c2792a280f18f3deba73
	Add libm_alias_finite for _finite symbols

	* Suppressing diff as too many files differ.

2020-01-02  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: cf4dfd461725b6dbe6f27fbd16913f2c6c5cf7c5
	Update libc.pot for 2.31 release

	* po/libc.pot: Modified.

2020-01-02  Rafał Lużyński  <digitalfreak@lingonborough.com>

	COMMIT: 75ba929987f6950dd008ef0f6270f1b21e9af511
	Multiple locales: Add date_fmt (bug 24054)

	* Suppressing diff as too many files differ.

2020-01-02  Florian Weimer  <fweimer@redhat.com>

	COMMIT: cc47d5c5f53f6d845ac54698ae8929af15662c44
	build-many-glibcs.py: Fix “glibcs i686-gnu --strip”

	* scripts/build-many-glibcs.py: Modified.

2020-01-02  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 0933a4678c7d6afcd21ad1868a6de3a49a065b2e
	Linux: Remove pread/pread64, pwrite/pwrite64 kludges from <sysdep.h>

	* sysdeps/unix/sysv/linux/alpha/sysdep.h: Modified.
	[! __NR_pread &&  __NR_pread64](__NR_pread): Remove.
	[! __NR_pwrite &&  __NR_pwrite64](__NR_pwrite): Remove.
	* sysdeps/unix/sysv/linux/ia64/sysdep.h: Modified.
	[! __NR_pread &&  __NR_pread64](__NR_pread): Remove.
	[! __NR_pwrite &&  __NR_pwrite64](__NR_pwrite): Remove.
	* sysdeps/unix/sysv/linux/sparc/sparc64/sysdep.h: Modified.
	[! __NR_pread &&  __NR_pread64](__NR_pread): Remove.
	[! __NR_pwrite &&  __NR_pwrite64](__NR_pwrite): Remove.
	* sysdeps/unix/sysv/linux/x86_64/sysdep.h: Modified.
	[! __NR_pread &&  __NR_pread64](__NR_pread): Remove.
	[! __NR_pwrite &&  __NR_pwrite64](__NR_pwrite): Remove.

2020-01-02  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 07a44d239263beae387e3cb73a5db58c5256d87f
	build-many-glibcs.py: Implement update-syscalls command

	* scripts/build-many-glibcs.py: Modified.

2020-01-02  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 857c7d739794981b764471d5b97f8eac16ee011c
	build-many-glibcs.py: Introduce glibc build policy classes

	* scripts/build-many-glibcs.py: Modified.

2020-01-02  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 65b6c9b02b49a421648f7fe03e6da49576b5c476
	build-many-glibcs.py: Introduce LinuxHeadersPolicyForBuild

	* scripts/build-many-glibcs.py: Modified.

2020-01-02  Florian Weimer  <fweimer@redhat.com>

	COMMIT: a1bd5f86739926469bbe0054b93305ff5905b070
	Linux: Use system call tables during build

	* NEWS: Modified.
	* sysdeps/ia64/start.S: Modified.
	* sysdeps/microblaze/backtrace_linux.c: Modified.
	(asm/unistd.h): Remove include.
	(sys/syscall.h): Include file.
	* sysdeps/unix/sysv/linux/alpha/kernel-features.h: Modified.
	[! __NR_shmat](__NR_shmat): Remove.
	* sysdeps/unix/sysv/linux/alpha/sysdep.h: Modified.
	[! __NR_osf_shmat](__NR_osf_shmat): Remove.
	[! __NR_semtimedop](__NR_semtimedop): Remove.
	(__NR_getpid): Remove.
	(__NR_getuid): Remove.
	(__NR_getgid): Remove.
	(SYS_getpid): Remove.
	(SYS_getuid): Remove.
	(SYS_getgid): Remove.
	(__NR_osf_sigprocmask): Remove.
	(__NR_osf_getsysinfo): Remove.
	(__NR_osf_setsysinfo): Remove.
	* sysdeps/unix/sysv/linux/arm/dl-machine.h: Modified.
	[! dl_machine_h](CLEAR_CACHE): Modified.
	* sysdeps/unix/sysv/linux/arm/sysdep.h: Modified.
	[! __ASSEMBLER__](INTERNAL_SYSCALL_ARM): Remove.
	* sysdeps/unix/sysv/linux/arm/tls.h: Modified.
	[! __ASSEMBLER__](TLS_INIT_TP): Modified.
	* sysdeps/unix/sysv/linux/hppa/clone.S: Modified.
	* sysdeps/unix/sysv/linux/ia64/brk.S: Modified.
	* sysdeps/unix/sysv/linux/ia64/clone2.S: Modified.
	* sysdeps/unix/sysv/linux/ia64/syscall.S: Modified.
	* sysdeps/unix/sysv/linux/ia64/sysdep.S: Modified.
	* sysdeps/unix/sysv/linux/ia64/sysdep.h: Modified.
	[! __ASSEMBLER__][! IA64_USE_NEW_STUB](DO_INLINE_SYSCALL_NCS): Modified.
	[__ASSEMBLER__](DO_CALL_VIA_BREAK): Modified.
	(asm/break.h): Include file.
	* sysdeps/unix/sysv/linux/include/sys/syscall.h: New file.
	* sysdeps/unix/sysv/linux/mips/vfork.S: Modified.
	* sysdeps/unix/sysv/linux/nios2/sysdep.h: Modified.
	(asm/unistd.h): Remove include.
	* sysdeps/unix/sysv/linux/riscv/flush-icache.c: Modified.
	(sys/syscall.h): Include file.
	* sysdeps/unix/sysv/linux/sparc/sparc32/clone.S: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/clone.S: Modified.
	* sysdeps/unix/sysv/linux/sys/syscall.h: Modified.
	[! _LIBC](bits/syscall.h): Remove.
	(bits/syscall.h): Include file.

2020-01-02  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 4cf0d223052dabb9caed29e1e91e1d61933e14fb
	Linux: Add tables with system call numbers

	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/aarch64/arch-syscall.h: New file.
	* sysdeps/unix/sysv/linux/alpha/arch-syscall.h: New file.
	* sysdeps/unix/sysv/linux/arm/arch-syscall.h: New file.
	* sysdeps/unix/sysv/linux/arm/fixup-asm-unistd.h: New file.
	* sysdeps/unix/sysv/linux/csky/arch-syscall.h: New file.
	* sysdeps/unix/sysv/linux/fixup-asm-unistd.h: New file.
	* sysdeps/unix/sysv/linux/glibcsyscalls.py: New file.
	* sysdeps/unix/sysv/linux/hppa/arch-syscall.h: New file.
	* sysdeps/unix/sysv/linux/i386/arch-syscall.h: New file.
	* sysdeps/unix/sysv/linux/ia64/arch-syscall.h: New file.
	* sysdeps/unix/sysv/linux/m68k/arch-syscall.h: New file.
	* sysdeps/unix/sysv/linux/microblaze/arch-syscall.h: New file.
	* sysdeps/unix/sysv/linux/mips/mips32/arch-syscall.h: New file.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/arch-syscall.h: New file.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/arch-syscall.h: New file.
	* sysdeps/unix/sysv/linux/nios2/arch-syscall.h: New file.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/arch-syscall.h: New file.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/arch-syscall.h: New file.
	* sysdeps/unix/sysv/linux/riscv/rv64/arch-syscall.h: New file.
	* sysdeps/unix/sysv/linux/s390/s390-32/arch-syscall.h: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/arch-syscall.h: New file.
	* sysdeps/unix/sysv/linux/sh/arch-syscall.h: New file.
	* sysdeps/unix/sysv/linux/sparc/sparc32/arch-syscall.h: New file.
	* sysdeps/unix/sysv/linux/sparc/sparc64/arch-syscall.h: New file.
	* sysdeps/unix/sysv/linux/tst-glibcsyscalls.py: New file.
	* sysdeps/unix/sysv/linux/tst-mman-consts.py: Modified.
	* sysdeps/unix/sysv/linux/update-syscall-lists.py: New file.
	* sysdeps/unix/sysv/linux/x86_64/64/arch-syscall.h: New file.
	* sysdeps/unix/sysv/linux/x86_64/x32/arch-syscall.h: New file.

2020-01-01  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 5f72f9800b250410cad3abfeeb09469ef12b2438
	Update copyright dates not handled by scripts/update-copyrights.

	* NEWS: Modified.
	* catgets/gencat.c: Modified.
	(print_version): Modified function.
	* csu/version.c: Modified.
	(banner): Modified.
	* debug/catchsegv.sh: Modified.
	* debug/pcprofiledump.c: Modified.
	(print_version): Modified function.
	* debug/xtrace.sh: Modified.
	* elf/ldconfig.c: Modified.
	(print_version): Modified function.
	* elf/ldd.bash.in: Modified.
	* elf/pldd.c: Modified.
	(print_version): Modified function.
	* elf/sotruss.sh: Modified.
	* elf/sprof.c: Modified.
	(print_version): Modified function.
	* iconv/iconv_prog.c: Modified.
	(print_version): Modified function.
	* iconv/iconvconfig.c: Modified.
	(print_version): Modified function.
	* locale/programs/locale.c: Modified.
	(print_version): Modified function.
	* locale/programs/localedef.c: Modified.
	(print_version): Modified function.
	* login/programs/pt_chown.c: Modified.
	(print_version): Modified function.
	* malloc/memusage.sh: Modified.
	* malloc/memusagestat.c: Modified.
	(print_version): Modified function.
	* malloc/mtrace.pl: Modified.
	* nptl/version.c: Modified.
	(banner): Modified.
	* nscd/nscd.c: Modified.
	(print_version): Modified function.
	* nss/getent.c: Modified.
	(print_version): Modified function.
	* nss/makedb.c: Modified.
	(print_version): Modified function.
	* posix/getconf.c: Modified.
	(main): Modified function.
	* scripts/test-installation.pl: Modified.
	* sysdeps/unix/sysv/linux/lddlibc4.c: Modified.
	(main): Modified function.
	* sysdeps/unix/sysv/linux/powerpc/bits/termios-c_lflag.h: Modified.

2020-01-01  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: d614a7539657941a9201c236b2f15afac18e1213
	Update copyright dates with scripts/update-copyrights.

	* Suppressing diff as too many files differ.

2019-12-30  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 09153638cfef9166586b0c21e852ea0d6f15a0fd
	alpha: Set wait4 as cancellation entrypoint

	* sysdeps/unix/sysv/linux/alpha/syscalls.list: Modified.
	* sysdeps/unix/sysv/linux/alpha/wait4.c: New file.

2019-12-30  Rafał Lużyński  <digitalfreak@lingonborough.com>

	COMMIT: d99b500e3da713416ee8bff8f3f9799411c811a2
	lv_LV locale: Correct the time part of d_t_fmt (bug 25324)

	* localedata/locales/lv_LV: Modified.

2019-12-30  Rafał Lużyński  <digitalfreak@lingonborough.com>

	COMMIT: 20a740b2b27b6d486985fa9c89011ab301ac16a6
	km_KH locale: Use "%M" instead of "m" in d_t_fmt (bug 25323)

	* localedata/locales/km_KH: Modified.

2019-12-29  Jeremie Koenig  <jk@jk.fr.eu.org>

	COMMIT: 653d74f12abea144219af00400ed1f1ac5dfa79f
	hurd: Global signal disposition

	* hurd/Versions: Modified.
	* hurd/ctty-input.c: Modified.
	(_hurd_ctty_input): Modified function.
	* hurd/ctty-output.c: Modified.
	(_hurd_ctty_output): Modified function.
	* hurd/hurd/signal.h: Modified.
	[__USE_EXTERN_INLINES &&  _LIBC][IS_IN (libc)](_hurd_critical_section_unlock): Modified function.
	(_hurd_sigthread): Remove.
	(_hurd_global_sigstate): New.
	(_hurd_sigstate_set_global_rcv): New function.
	(_hurd_sigstate_lock): New function.
	(_hurd_sigstate_actions): New function.
	(_hurd_sigstate_pending): New function.
	(_hurd_sigstate_unlock): New function.
	(_hurd_sigstate_delete): New function.
	* hurd/hurdexec.c: Modified.
	(_hurd_exec_paths): Modified function.
	* hurd/hurdmsg.c: Modified.
	(get_int): Modified function.
	(set_int): Modified function.
	* hurd/hurdsig.c: Modified.
	(_hurd_sigthread): Remove.
	(_hurd_thread_sigstate): Modified function.
	(abort_thread): Modified function.
	(_hurdsig_abort_rpcs): Modified function.
	(post_signal): Modified function.
	(pending_signals): Modified function.
	(post_pending): Modified function.
	(post_all_pending_signals): Modified function.
	(_hurd_internal_post_signal): Modified function.
	(_S_msg_sig_post): Modified function.
	(_S_msg_sig_post_untraced): Modified function.
	(_hurdsig_init): Modified function.
	(_hurd_global_sigstate): New.
	(_hurd_sigstate_delete): New function.
	(_hurd_sigstate_set_global_rcv): New function.
	(sigstate_is_global_rcv): New function.
	(libc_hidden_def): New.
	(_hurd_sigstate_lock): New function.
	(_hurd_sigstate_unlock): New function.
	(libc_hidden_def): New.
	(_hurd_sigstate_pending): New function.
	(sigstate_clear_pending): New function.
	(libc_hidden_def): New.
	(libc_hidden_def): New.
	(_hurd_sigstate_actions): New function.
	(libc_hidden_def): New.
	* sysdeps/hurd/include/hurd/signal.h: Modified.
	[! _ISOMAC](libc_hidden_proto): New.
	[! _ISOMAC](libc_hidden_proto): New.
	[! _ISOMAC](libc_hidden_proto): New.
	[! _ISOMAC](libc_hidden_proto): New.
	[! _ISOMAC](libc_hidden_proto): New.
	* sysdeps/mach/hurd/Makefile: Modified.
	* sysdeps/mach/hurd/fork.c: Modified.
	(__fork): Modified function.
	* sysdeps/mach/hurd/htl/pt-sigstate-destroy.c: Modified.
	(__pthread_sigstate_destroy): Modified function.
	(hurd/signal.h): Include file.
	* sysdeps/mach/hurd/htl/pt-sigstate-init.c: Modified.
	(__pthread_sigstate_init): Modified function.
	* sysdeps/mach/hurd/htl/pt-sigstate.c: Modified.
	(__pthread_sigstate): Modified function.
	(hurd/msg.h): Include file.
	* sysdeps/mach/hurd/i386/sigreturn.c: Modified.
	(__sigreturn2): Modified function.
	(__sigreturn): Modified function.
	* sysdeps/mach/hurd/i386/trampoline.c: Modified.
	(_hurd_setup_sighandler): Modified function.
	* sysdeps/mach/hurd/sigaction.c: Modified.
	(__sigaction): Modified function.
	* sysdeps/mach/hurd/sigpending.c: Modified.
	(sigpending): Modified function.
	* sysdeps/mach/hurd/sigprocmask.c: Modified.
	(__sigprocmask): Modified function.
	* sysdeps/mach/hurd/sigsuspend.c: Modified.
	(__sigsuspend): Modified function.
	* sysdeps/mach/hurd/sigwait.c: Modified.
	(__sigwait): Modified function.
	* sysdeps/mach/hurd/spawni.c: Modified.
	(__spawni): Modified function.

2019-12-29  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: eb87a46c5630580d9556907dc8a61b298b462919
	hurd sendmsg: Fix warning on calling CMSG_*HDR

	* sysdeps/mach/hurd/sendmsg.c: Modified.
	(__libc_sendmsg): Modified function.

2019-12-29  Jeremie Koenig  <jk@jk.fr.eu.org>

	COMMIT: 4288c548da30c5b70d3b531e425d271cf12c51d3
	hurd: Signal code refactoring

	* hurd/hurdsig.c: Modified.
	(_hurd_internal_post_signal): Modified function.
	(wake_sigsuspend): New function.
	(post_signal): New function.
	(pending_signals): New function.
	(post_pending): New function.
	(post_all_pending_signals): New function.

2019-12-29  Thomas Schwinge  <thomas@codesourcery.com>

	COMMIT: a678c13b8f9fa67c6cffe6ecf4ba1d5e53479e1b
	hurd: Add getcontext, makecontext, setcontext, swapcontext

	* sysdeps/mach/hurd/i386/Makefile: Modified.
	* sysdeps/mach/hurd/i386/getcontext.S: New file.
	* sysdeps/mach/hurd/i386/makecontext.S: New file.
	* sysdeps/mach/hurd/i386/setcontext.S: New file.
	* sysdeps/mach/hurd/i386/swapcontext.S: New file.
	* sysdeps/mach/hurd/i386/ucontext_i.sym: New file.

2019-12-29  Emilio Pozuelo Monfort  <pochu27@gmail.com>

	COMMIT: 344e755248ce02c0f8d095d11cc49e340703d926
	hurd: Support sending file descriptors over Unix sockets

	* sysdeps/mach/hurd/recvmsg.c: Modified.
	(__libc_recvmsg): Modified function.
	* sysdeps/mach/hurd/sendmsg.c: Modified.
	(__libc_sendmsg): Modified function.

2019-12-27  Gabriel F. T. Gomes  <gabrielftg@linux.ibm.com>

	COMMIT: 9ae967bf45aaa190687ae219a589e0c542669a51
	ldbl-128ibm-compat: Do not mix -mabi=*longdouble and -mlong-double-128

	* sysdeps/ieee754/ldbl-128ibm-compat/Makefile: Modified.

2019-12-27  Tulio Magno Quites Machado Filho  <tuliom@linux.ibm.com>

	COMMIT: 5d73c96f64e66732bcf1598f2832c9837075f13e
	ldbl-128ibm-compat: Compiler flags for stdio functions

	* sysdeps/ieee754/ldbl-128ibm-compat/Makefile: Modified.

2019-12-27  Tulio Magno Quites Machado Filho  <tuliom@linux.ibm.com>
            Gabriel F. T. Gomes  <gabrielftg@linux.ibm.com>

	COMMIT: 1ef9b6e0bf1268050e74087c4f6bd056263a28c7
	Do not redirect calls to __GI_* symbols, when redirecting to *ieee128

	* bits/long-double.h: Modified.
	(__NO_LONG_DOUBLE_MATH): Remove.
	[! __NO_LONG_DOUBLE_MATH](__NO_LONG_DOUBLE_MATH): New.
	(__LONG_DOUBLE_USES_FLOAT128): New.
	* include/stdio.h: Modified.
	[! _ISOMAC][!__GLIBC_USE (DEPRECATED_SCANF)](sscanf): Remove.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Remove.
	[! _ISOMAC](libc_hidden_proto): Remove.
	[! _ISOMAC](libc_hidden_proto): Remove.
	[! _ISOMAC](libc_hidden_proto): Remove.
	[! _ISOMAC](libc_hidden_proto): Remove.
	[! _ISOMAC](libc_hidden_proto): Remove.
	[! _ISOMAC][!__GLIBC_USE (DEPRECATED_SCANF)  && __LONG_DOUBLE_USES_FLOAT128 == 0](sscanf): New.
	[! _ISOMAC][__LONG_DOUBLE_USES_FLOAT128 == 0](libc_hidden_proto): New.
	[! _ISOMAC][__LONG_DOUBLE_USES_FLOAT128 == 0](libc_hidden_proto): New.
	[! _ISOMAC][__LONG_DOUBLE_USES_FLOAT128 == 0](libc_hidden_proto): New.
	[! _ISOMAC][__LONG_DOUBLE_USES_FLOAT128 == 0](libc_hidden_proto): New.
	[! _ISOMAC][__LONG_DOUBLE_USES_FLOAT128 == 0](libc_hidden_proto): New.
	[! _ISOMAC][__LONG_DOUBLE_USES_FLOAT128 == 0](libc_hidden_proto): New.
	* include/stdlib.h: Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Remove.
	[! _ISOMAC][__LONG_DOUBLE_USES_FLOAT128 == 0](libc_hidden_proto): New.
	[! _ISOMAC](bits/floatn.h): Include file.
	* sysdeps/ieee754/ldbl-128/bits/long-double.h: Modified.
	(__LONG_DOUBLE_USES_FLOAT128): New.
	* sysdeps/ieee754/ldbl-128ibm-compat/bits/long-double.h: New file.
	* sysdeps/ieee754/ldbl-96/bits/long-double.h: Modified.
	(__LONG_DOUBLE_USES_FLOAT128): New.
	* sysdeps/ieee754/ldbl-opt/bits/long-double.h: Modified.
	[! __LONG_DOUBLE_128__](__NO_LONG_DOUBLE_MATH): Remove.
	(__LONG_DOUBLE_MATH_OPTIONAL): Remove.
	[! __NO_LONG_DOUBLE_MATH][! __LONG_DOUBLE_128__](__NO_LONG_DOUBLE_MATH): New.
	[! __NO_LONG_DOUBLE_MATH](__LONG_DOUBLE_MATH_OPTIONAL): New.
	(__LONG_DOUBLE_USES_FLOAT128): New.
	* sysdeps/mips/ieee754/bits/long-double.h: Modified.
	(__LONG_DOUBLE_USES_FLOAT128): New.
	* sysdeps/unix/sysv/linux/sparc/sparc32/bits/long-double.h: Modified.
	(__LONG_DOUBLE_USES_FLOAT128): New.
	* sysdeps/unix/sysv/linux/sparc/sparc64/bits/long-double.h: Modified.
	(__LONG_DOUBLE_USES_FLOAT128): New.

2019-12-27  Xuelei Zhang  <zhangxuelei4@huawei.com>

	COMMIT: 863d775c481704baaa41855fc93e5a1ca2dc6bf6
	aarch64: add default memcpy version for kunpeng920

	* sysdeps/aarch64/multiarch/memcpy.c: Modified.
	(libc_ifunc): Modified.

2019-12-27  Xuelei Zhang  <zhangxuelei4@huawei.com>

	COMMIT: 10df95cdaf049e77fa84a71359e210e74901057d
	aarch64: ifunc rename for kunpeng

	* sysdeps/aarch64/multiarch/memset.c: Modified.
	* sysdeps/aarch64/multiarch/strlen.c: Modified.
	(libc_ifunc): Modified.
	* sysdeps/unix/sysv/linux/aarch64/cpu-features.c: Modified.
	* sysdeps/unix/sysv/linux/aarch64/cpu-features.h: Modified.
	(IS_KUNPENG): Remove.
	(IS_KUNPENG920): New.

2019-12-27  Xuelei Zhang  <zhangxuelei4@huawei.com>

	COMMIT: 64297d49b37f637a82faedd16bf8860e0ab31606
	aarch64: Modify error-shown comments for strcpy

	* sysdeps/aarch64/strcpy.S: Modified.

2019-12-27  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: dc8619947730bbff50fdc3f05761af71c46b641b
	linux: Consolidate sigprocmask

	* sysdeps/unix/sysv/linux/alpha/sigprocmask.c: Delete file.
	* sysdeps/unix/sysv/linux/ia64/sigprocmask.c: Delete file.
	* sysdeps/unix/sysv/linux/s390/s390-64/sigprocmask.c: Delete file.
	* sysdeps/unix/sysv/linux/sigprocmask.c: Modified.
	(errno.h): Remove include.
	(string.h): Remove include.
	(unistd.h): Remove include.
	(sysdep.h): Remove include.
	(sys/syscall.h): Remove include.
	(__sigprocmask): Modified function.
	* sysdeps/unix/sysv/linux/sparc/sparc64/sigprocmask.c: Delete file.
	* sysdeps/unix/sysv/linux/x86_64/sigprocmask.c: Delete file.

2019-12-27  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 58bd592536cbf491ff6f89b73b5c95beb4859e42
	Fix return code for __libc_signal_* functions

	* sysdeps/generic/internal-signals.h: Modified.
	(__libc_signal_block_all): Modified function.
	(__libc_signal_block_app): Modified function.
	(__libc_signal_restore_set): Modified function.
	* sysdeps/unix/sysv/linux/internal-signals.h: Modified.
	(__libc_signal_block_all): Modified function.
	(__libc_signal_block_app): Modified function.
	(__libc_signal_restore_set): Modified function.

2019-12-26  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 11519fd0c908df2dad50f36a48eb4d0d12ea83a8
	nptl: Remove duplicate internal __SIZEOF_PTHREAD_MUTEX_T (BZ#25241)

	* sysdeps/x86/nptl/bits/pthreadtypes-arch.h: Modified.

2019-12-23  Rafał Lużyński  <digitalfreak@lingonborough.com>

	COMMIT: b8c210bcc74840d24c61d39bde15bea9daf3e271
	mnw_MM, my_MM, and shn_MM locales: Do not use %Op

	* localedata/locales/mnw_MM: Modified.
	* localedata/locales/my_MM: Modified.
	* localedata/locales/shn_MM: Modified.

2019-12-23  Gabriel F. T. Gomes  <gabrielftg@linux.ibm.com>

	COMMIT: f8cd1020817fd6b69446b4308b496de999934ef8
	Avoid compat symbols for totalorder in powerpc64le IEEE long double

	* sysdeps/ieee754/ldbl-128/s_totalorderl.c: Modified.
	[SHLIB_COMPAT (libm, GLIBC_2_25, GLIBC_2_31)](libm_alias_float128_other_r_ldbl): New.
	* sysdeps/ieee754/ldbl-128/s_totalordermagl.c: Modified.
	[SHLIB_COMPAT (libm, GLIBC_2_25, GLIBC_2_31)](libm_alias_float128_other_r_ldbl): New.

2019-12-23  Gabriel F. T. Gomes  <gabrielftg@linux.ibm.com>

	COMMIT: 3021e781783d6fe12de4697b0d98957bc911cad3
	ldbl-128ibm-compat: Add *cvt functions

	* misc/efgcvt-template.c: Modified.
	(__GCVT): Modified function.
	[! SPRINTF](SPRINTF): New.
	* misc/efgcvt_r-template.c: Modified.
	(__FCVT_R): Modified function.
	[! SNPRINTF](SNPRINTF): New.
	* sysdeps/ieee754/ldbl-128ibm-compat/Makefile: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/Versions: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-qefgcvt.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-qefgcvt_r.c: New file.

2019-12-23  Gabriel F. T. Gomes  <gabrielftg@linux.ibm.com>

	COMMIT: dce425341171ec5784c87165e23883630971bd97
	Refactor *cvt functions implementation (2/2)

	* misc/efgcvt-template.c: Modified.
	(__APPEND): Remove.
	(__APPEND2): Remove.
	(__APPEND): Remove function.
	(__APPEND): Remove function.
	(__APPEND): Remove function.
	(__FCVT): New function.
	(__ECVT): New function.
	(__GCVT): New function.
	* misc/efgcvt.c: Modified.
	[!(LONG_DOUBLE_COMPAT (libc, GLIBC_2_0))](cvt_symbol): Modified.
	[LONG_DOUBLE_COMPAT (libc, GLIBC_2_0)](cvt_symbol): Modified.
	(cvt_symbol): Modified.
	(cvt_symbol): Modified.
	(cvt_symbol): Modified.
	(ECVT): New.
	(FCVT): New.
	(GCVT): New.
	(__ECVT): New.
	(__FCVT): New.
	(__GCVT): New.
	(__ECVT_R): New.
	(__FCVT_R): New.
	* misc/efgcvt_r-template.c: Modified.
	(__APPEND): Remove.
	(__APPEND2): Remove.
	(__APPEND): Remove function.
	(__APPEND): Remove function.
	(__FCVT_R): New function.
	(__ECVT_R): New function.
	* misc/efgcvt_r.c: Modified.
	[!(LONG_DOUBLE_COMPAT (libc, GLIBC_2_0))](cvt_symbol): Modified.
	[!(LONG_DOUBLE_COMPAT (libc, GLIBC_2_0))](cvt_symbol_1): Remove.
	[LONG_DOUBLE_COMPAT (libc, GLIBC_2_0)](cvt_symbol): Modified.
	(cvt_symbol): Modified.
	(cvt_symbol): Modified.
	(ECVT_R): New.
	(FCVT_R): New.
	(__ECVT_R): New.
	(__FCVT_R): New.
	* misc/qefgcvt.c: Modified.
	[!(LONG_DOUBLE_COMPAT (libc, GLIBC_2_0))](cvt_symbol): Modified.
	[LONG_DOUBLE_COMPAT (libc, GLIBC_2_0)](cvt_symbol): Modified.
	[LONG_DOUBLE_COMPAT (libc, GLIBC_2_0)](cvt_symbol_1): Remove.
	(cvt_symbol): Modified.
	(cvt_symbol): Modified.
	(cvt_symbol): Modified.
	(ECVT): New.
	(FCVT): New.
	(GCVT): New.
	(__ECVT): New.
	(__FCVT): New.
	(__GCVT): New.
	(__ECVT_R): New.
	(__FCVT_R): New.
	* misc/qefgcvt_r.c: Modified.
	[!(LONG_DOUBLE_COMPAT (libc, GLIBC_2_0))](cvt_symbol): Modified.
	[!(LONG_DOUBLE_COMPAT (libc, GLIBC_2_0))](cvt_symbol_1): Remove.
	[LONG_DOUBLE_COMPAT (libc, GLIBC_2_0)](cvt_symbol): Modified.
	[LONG_DOUBLE_COMPAT (libc, GLIBC_2_0)](cvt_symbol_1): Remove.
	(cvt_symbol): Modified.
	(cvt_symbol): Modified.
	(ECVT_R): New.
	(FCVT_R): New.
	(__ECVT_R): New.
	(__FCVT_R): New.

2019-12-23  Gabriel F. T. Gomes  <gabrielftg@linux.ibm.com>

	COMMIT: e18a305777adf60c2378ac864a350319269a29fa
	Refactor *cvt functions implementation (1/2)

	* misc/efgcvt-dbl-macros.h: New file.
	* misc/efgcvt-ldbl-macros.h: New file.
	* misc/efgcvt-template.c: New file.
	* misc/efgcvt.c: Modified.
	[! FLOAT_TYPE][DBL_MANT_DIG != 56](NDIGIT_MAX must be precomputed"): Remove.
	[! FLOAT_TYPE][DBL_MANT_DIG != 56](NDIGIT_MAX): Remove.
	[! FLOAT_TYPE][DBL_MANT_DIG == 24](NDIGIT_MAX): Remove.
	[! FLOAT_TYPE][DBL_MANT_DIG == 53](NDIGIT_MAX): Remove.
	[! FLOAT_TYPE][DBL_MANT_DIG == 56](NDIGIT_MAX): Remove.
	[! FLOAT_TYPE](FLOAT_TYPE): Remove.
	[! FLOAT_TYPE](FUNC_PREFIX): Remove.
	[! FLOAT_TYPE](FLOAT_FMT_FLAG): Remove.
	[! FLOAT_TYPE](MAXDIG): Remove.
	[! FLOAT_TYPE](FCVT_MAXDIG): Remove.
	[FLOAT_TYPE](LONG_DOUBLE_CVT): Remove.
	[LONG_DOUBLE_COMPAT (libc, GLIBC_2_0)][! LONG_DOUBLE_CVT](cvt_symbol): Remove.
	[LONG_DOUBLE_COMPAT (libc, GLIBC_2_0)][! LONG_DOUBLE_CVT](cvt_symbol_1): Remove.
	[LONG_DOUBLE_COMPAT (libc, GLIBC_2_0)][LONG_DOUBLE_CVT](cvt_symbol): Remove.
	[LONG_DOUBLE_COMPAT (libc, GLIBC_2_0)][LONG_DOUBLE_CVT](cvt_symbol_1): Remove.
	[LONG_DOUBLE_COMPAT (libc, GLIBC_2_0)](cvt_symbol): New.
	[LONG_DOUBLE_COMPAT (libc, GLIBC_2_0)](cvt_symbol_1): New.
	(math.h): Remove include.
	(stdio.h): Remove include.
	(stdlib.h): Remove include.
	(sys/param.h): Remove include.
	(float.h): Remove include.
	(libc-lock.h): Remove include.
	(math_ldbl_opt.h): Remove include.
	(APPEND): Remove.
	(APPEND2): Remove.
	(__APPEND): Remove.
	(__APPEND2): Remove.
	(FCVT_BUFFER): Remove.
	(FCVT_BUFPTR): Remove.
	(ECVT_BUFFER): Remove.
	(FCVT_BUFFER): Remove.
	(ECVT_BUFFER): Remove.
	(libc_freeres_ptr): Remove.
	(__APPEND): Remove function.
	(__APPEND): Remove function.
	(__APPEND): Remove function.
	(efgcvt-dbl-macros.h): Include file.
	(efgcvt-template.c): Include file.
	* misc/efgcvt_r-template.c: New file.
	* misc/efgcvt_r.c: Modified.
	[! FLOAT_TYPE][!(DBL_MIN_10_EXP == -4931)](FLOAT_MIN_10_NORM must be precomputed"): Remove.
	[! FLOAT_TYPE][!(DBL_MIN_10_EXP == -4931)](FLOAT_MIN_10_NORM): Remove.
	[! FLOAT_TYPE][DBL_MANT_DIG != 56](NDIGIT_MAX must be precomputed"): Remove.
	[! FLOAT_TYPE][DBL_MANT_DIG != 56](NDIGIT_MAX): Remove.
	[! FLOAT_TYPE][DBL_MANT_DIG == 24](NDIGIT_MAX): Remove.
	[! FLOAT_TYPE][DBL_MANT_DIG == 53](NDIGIT_MAX): Remove.
	[! FLOAT_TYPE][DBL_MANT_DIG == 56](NDIGIT_MAX): Remove.
	[! FLOAT_TYPE][DBL_MIN_10_EXP == -307](FLOAT_MIN_10_NORM): Remove.
	[! FLOAT_TYPE][DBL_MIN_10_EXP == -37](FLOAT_MIN_10_NORM): Remove.
	[! FLOAT_TYPE][DBL_MIN_10_EXP == -4931](FLOAT_MIN_10_NORM): Remove.
	[! FLOAT_TYPE](FLOAT_TYPE): Remove.
	[! FLOAT_TYPE](FUNC_PREFIX): Remove.
	[! FLOAT_TYPE](FLOAT_FMT_FLAG): Remove.
	[! FLOAT_TYPE](FLOAT_NAME_EXT): Remove.
	[! FLOAT_TYPE](FLOAT_MIN_10_EXP): Remove.
	[FLOAT_TYPE](LONG_DOUBLE_CVT): Remove.
	[LONG_DOUBLE_COMPAT (libc, GLIBC_2_0)][! LONG_DOUBLE_CVT](cvt_symbol): Remove.
	[LONG_DOUBLE_COMPAT (libc, GLIBC_2_0)][! LONG_DOUBLE_CVT](cvt_symbol_1): Remove.
	[LONG_DOUBLE_COMPAT (libc, GLIBC_2_0)][LONG_DOUBLE_CVT](cvt_symbol): Remove.
	[LONG_DOUBLE_COMPAT (libc, GLIBC_2_0)][LONG_DOUBLE_CVT](cvt_symbol_1): Remove.
	[LONG_DOUBLE_COMPAT (libc, GLIBC_2_0)](cvt_symbol): New.
	[LONG_DOUBLE_COMPAT (libc, GLIBC_2_0)](cvt_symbol_1): New.
	(errno.h): Remove include.
	(float.h): Remove include.
	(stdio.h): Remove include.
	(string.h): Remove include.
	(ctype.h): Remove include.
	(math.h): Remove include.
	(stdlib.h): Remove include.
	(sys/param.h): Remove include.
	(math_ldbl_opt.h): Remove include.
	(APPEND): Remove.
	(APPEND2): Remove.
	(__APPEND): Remove.
	(__APPEND2): Remove.
	(FLOOR): Remove.
	(FABS): Remove.
	(LOG10): Remove.
	(EXP): Remove.
	(__APPEND): Remove function.
	(__APPEND): Remove function.
	(efgcvt-dbl-macros.h): Include file.
	(efgcvt_r-template.c): Include file.
	* misc/qefgcvt.c: Modified.
	[LDBL_MANT_DIG != 56](NDIGIT_MAX must be precomputed"): Remove.
	[LDBL_MANT_DIG != 56](NDIGIT_MAX): Remove.
	[LDBL_MANT_DIG == 106](NDIGIT_MAX): Remove.
	[LDBL_MANT_DIG == 113](NDIGIT_MAX): Remove.
	[LDBL_MANT_DIG == 53](NDIGIT_MAX): Remove.
	[LDBL_MANT_DIG == 56](NDIGIT_MAX): Remove.
	[LDBL_MANT_DIG == 64](NDIGIT_MAX): Remove.
	(float.h): Remove include.
	(FLOAT_TYPE): Remove.
	(FUNC_PREFIX): Remove.
	(FLOAT_FMT_FLAG): Remove.
	(MAXDIG): Remove.
	(FCVT_MAXDIG): Remove.
	(efgcvt.c): Remove include.
	[!(LONG_DOUBLE_COMPAT (libc, GLIBC_2_0))](cvt_symbol): New.
	[LONG_DOUBLE_COMPAT (libc, GLIBC_2_0)](cvt_symbol): New.
	[LONG_DOUBLE_COMPAT (libc, GLIBC_2_0)](cvt_symbol_1): New.
	(efgcvt-ldbl-macros.h): Include file.
	(efgcvt-template.c): Include file.
	(cvt_symbol): New function.
	(cvt_symbol): New function.
	(cvt_symbol): New function.
	* misc/qefgcvt_r.c: Modified.
	[!(LDBL_MIN_10_EXP == -4931)](FLOAT_MIN_10_NORM must be precomputed"): Remove.
	[!(LDBL_MIN_10_EXP == -4931)](FLOAT_MIN_10_NORM): Remove.
	[LDBL_MANT_DIG != 56](NDIGIT_MAX must be precomputed"): Remove.
	[LDBL_MANT_DIG != 56](NDIGIT_MAX): Remove.
	[LDBL_MANT_DIG == 106](NDIGIT_MAX): Remove.
	[LDBL_MANT_DIG == 113](NDIGIT_MAX): Remove.
	[LDBL_MANT_DIG == 53](NDIGIT_MAX): Remove.
	[LDBL_MANT_DIG == 56](NDIGIT_MAX): Remove.
	[LDBL_MANT_DIG == 64](NDIGIT_MAX): Remove.
	[LDBL_MIN_10_EXP == -291](FLOAT_MIN_10_NORM): Remove.
	[LDBL_MIN_10_EXP == -307](FLOAT_MIN_10_NORM): Remove.
	[LDBL_MIN_10_EXP == -37](FLOAT_MIN_10_NORM): Remove.
	[LDBL_MIN_10_EXP == -4931](FLOAT_MIN_10_NORM): Remove.
	(float.h): Remove include.
	(FLOAT_TYPE): Remove.
	(FUNC_PREFIX): Remove.
	(FLOAT_FMT_FLAG): Remove.
	(FLOAT_NAME_EXT): Remove.
	(FLOAT_MIN_10_EXP): Remove.
	(efgcvt_r.c): Remove include.
	[!(LONG_DOUBLE_COMPAT (libc, GLIBC_2_0))](cvt_symbol): New.
	[!(LONG_DOUBLE_COMPAT (libc, GLIBC_2_0))](cvt_symbol_1): New.
	[LONG_DOUBLE_COMPAT (libc, GLIBC_2_0)](cvt_symbol): New.
	[LONG_DOUBLE_COMPAT (libc, GLIBC_2_0)](cvt_symbol_1): New.
	(efgcvt-ldbl-macros.h): Include file.
	(efgcvt_r-template.c): Include file.
	(cvt_symbol): New function.
	(cvt_symbol): New function.

2019-12-20  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 57e687c6d459edba77efe360014d4adec97d1a5c
	Add exception-based flags for wait4

	* posix/Makefile: Modified.

2019-12-19  Xuelei Zhang  <zhangxuelei4@huawei.com>

	COMMIT: 525de033a9d19bc79ce353745d14927a793dd4e8
	aarch64: Optimized memset for Kunpeng processor.

	* sysdeps/aarch64/multiarch/Makefile: Modified.
	* sysdeps/aarch64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/aarch64/multiarch/memset.c: Modified.
	(__memset_kunpeng): New.
	* sysdeps/aarch64/multiarch/memset_kunpeng.S: New file.

2019-12-19  Xuelei Zhang  <zhangxuelei4@huawei.com>

	COMMIT: c2150769d015dca1805334af7743829f1e4c0b6a
	aarch64: Optimized strlen for strlen_asimd

	* sysdeps/aarch64/multiarch/strlen.c: Modified.
	(libc_ifunc): Modified.
	* sysdeps/aarch64/multiarch/strlen_asimd.S: Modified.

2019-12-19  Xuelei Zhang  <zhangxuelei4@huawei.com>

	COMMIT: 0db8e7b36665fa90c53161742dedab21d786924c
	aarch64: Add Huawei Kunpeng to tunable cpu list

	* manual/tunables.texi: Modified.
	* sysdeps/unix/sysv/linux/aarch64/cpu-features.c: Modified.
	* sysdeps/unix/sysv/linux/aarch64/cpu-features.h: Modified.
	(IS_KUNPENG): New.

2019-12-19  Xuelei Zhang  <zhangxuelei4@huawei.com>

	COMMIT: a7611806d5f4163656a2f5d21d349b5e7c4170e0
	aarch64: Optimized implementation of memrchr

	* sysdeps/aarch64/memrchr.S: New file.

2019-12-19  Xuelei Zhang  <zhangxuelei4@huawei.com>

	COMMIT: 2911cb68ed3d6c515ad1979237e74e1fefab3674
	aarch64: Optimized implementation of strnlen

	* sysdeps/aarch64/strnlen.S: Modified.

2019-12-19  Xuelei Zhang  <zhangxuelei4@huawei.com>

	COMMIT: 0237b61526e716fa9597f521643908a4fda3b46a
	aarch64: Optimized implementation of strcpy

	* sysdeps/aarch64/strcpy.S: Modified.

2019-12-19  Xuelei Zhang  <zhangxuelei4@huawei.com>

	COMMIT: 233efd433d847e69480fe587c4c29a32fe554174
	aarch64: Optimized implementation of memcmp

	* sysdeps/aarch64/memcmp.S: Modified.

2019-12-19  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 442d9c9c677804287a54b10d5fa5e58a9cdd338d
	Consolidate wait3 implementations

	* posix/wait3.c: Modified.
	(errno.h): Remove include.
	(__wait3): Modified function.
	(weak_alias): New.
	* sysdeps/posix/wait3.c: Delete file.
	* sysdeps/unix/bsd/wait3.c: Delete file.
	* sysdeps/unix/sysv/linux/wait3.c: Delete file.

2019-12-19  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 848791557bc4dbf783b03f2b8af77f71c909ed57
	Implement waitpid in terms of wait4

	* include/sys/wait.h: Modified.
	[! _ISOMAC](libc_hidden_proto): New function.
	* posix/wait4.c: Modified.
	* posix/waitpid.c: Modified.
	(sys/types.h): Remove include.
	(__waitpid): Modified function.
	(stdlib.h): Include file.
	* sysdeps/mach/hurd/wait4.c: Modified.
	(libc_hidden_def): New.
	* sysdeps/unix/bsd/waitpid.c: Delete file.
	* sysdeps/unix/sysv/linux/wait4.c: Modified.
	(libc_hidden_def): New function.
	* sysdeps/unix/sysv/linux/waitpid.c: Delete file.

2019-12-19  Adhemerval Zanella  <adhemerval.zanella@linaro.org>
            Alistair Francis  <alistair.francis@wdc.com>

	COMMIT: 9b2cf9482a9397c4711c9e7f42f8d718b6306bdc
	linux: Use waitid on wait4 if __NR_wait4 is not defined

	* sysdeps/unix/sysv/linux/kernel-features.h: Modified.
	[__LINUX_KERNEL_VERSION >= 0x050400](__ASSUME_WAITID_PID0_P_PGID): New.
	* sysdeps/unix/sysv/linux/syscalls.list: Modified.
	* sysdeps/unix/sysv/linux/wait4.c: New file.

2019-12-19  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: c5cbdacb8acec54e140c879393c8c7dd658c3488
	Implement wait in terms of waitpid

	* posix/wait.c: Modified.
	(errno.h): Remove include.
	(__wait): Modified function.
	(weak_alias): New.
	* sysdeps/posix/wait.c: Delete file.
	* sysdeps/unix/bsd/wait.c: Delete file.
	* sysdeps/unix/sysv/linux/wait.c: Delete file.

2019-12-19  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: b633cdff2cd7259baea4d115cce0a818542f6f98
	nptl: Move waitpid implementation to libc

	* nptl/Makefile: Modified.
	* nptl/Versions: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libpthread.abilist: Modified.

2019-12-19  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: c97f9a5979e6c8dd4d005a01e5b1254ae4007362
	nptl: Move wait implementation to libc

	* nptl/Makefile: Modified.
	* nptl/Versions: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libpthread.abilist: Modified.

2019-12-19  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 478f70780f28a270205ddbe8cb6ec29cb41d586e
	Remove __waitpid_nocancel

	* libio/iopopen.c: Modified.
	(_IO_new_proc_close): Modified function.
	* sysdeps/generic/not-cancel.h: Modified.
	(__waitpid_nocancel): Remove.
	* sysdeps/posix/system.c: Modified.
	[(_LIBC_REENTRANT) && (SIGCANCEL)](cancel_handler): Modified function.
	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/not-cancel.h: Modified.
	[IS_IN (libc) || IS_IN (rtld)](hidden_proto): Modified.
	[IS_IN (libc) || IS_IN (rtld)](hidden_proto): Remove.
	(__waitpid_nocancel): Remove.
	* sysdeps/unix/sysv/linux/waitpid_nocancel.c: Delete file.

2019-12-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 6a265e577e8d7c9c950a793139df19b2d050ce5b
	Fix test isolation for elf/tst-ifunc-fault-lazy, elf/tst-ifunc-fault-bindnow

	* elf/Makefile: Modified.

2019-12-19  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 1b132d55e2d3a4eb421c0f77f63b67b5022c22e3
	Fix __libc_signal_block_all on sparc64

	* sysdeps/unix/sysv/linux/internal-signals.h: Modified.
	(SIGALL_SET): Remove.
	(__libc_signal_block_all): Modified function.
	(__libc_signal_block_app): Modified function.
	(limits.h): Include file.
	(sigall_set): New.

2019-12-19  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 0331bffe1be698d32c3b4a93b6e7f02d1f1b47fb
	powerpc: Do not run IFUNC resolvers for LD_DEBUG=unused [BZ #24214]

	* sysdeps/powerpc/powerpc32/dl-machine.c: Modified.
	(__process_machine_rela): Modified function.
	* sysdeps/powerpc/powerpc32/dl-machine.h: Modified.
	[RESOLVE_MAP](__process_machine_rela): Modified.
	[RESOLVE_MAP](elf_machine_rela): Modified function.

2019-12-18  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 3dcad8158f43d71d5b8f6f317f82952ddf3468f3
	hurd: Do not make sigprocmask available in ld.so

	* sysdeps/mach/hurd/Versions: Modified.
	* sysdeps/mach/hurd/dl-sysdep.c: Modified.
	(check_no_hidden): Remove.
	(__sigprocmask): Remove function.
	* sysdeps/mach/hurd/i386/localplt.data: Modified.

2019-12-18  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 3aec0c3912859bcf0432c700a8fbdcb23b45545f
	build-many-glibcs.py: Do not build C++ PCHs by default

	* scripts/build-many-glibcs.py: Modified.

2019-12-17  James Clarke  <jrtc27@jrtc27.com>

	COMMIT: a45244ce127763872ff0b5743fb4ac8299ee9b28
	hurd: Make getrandom honour GRND_NONBLOCK

	* sysdeps/mach/hurd/getrandom.c: Modified.
	(__getrandom): Modified function.

2019-12-16  DJ Delorie  <dj@redhat.com>

	COMMIT: a059f9505bbef1f22c6f52798a74184632929145
	tunables: report sbrk() failure

	* elf/dl-tunables.c: Modified.
	[TUNABLES_FRONTEND == TUNABLES_FRONTEND_valstring](tunables_strdup): Modified function.

2019-12-16  Dragan Mladjenovic  <dmladjenovic@wavecomp.com>

	COMMIT: a2e487ce1c59d19345d9ecacc58de79febd869e4
	build-many-glibcs.py: Add mipsisa64r6el-linux-gnu target

	* scripts/build-many-glibcs.py: Modified.

2019-12-16  Dragan Mladjenovic  <dmladjenovic@wavecomp.com>

	COMMIT: 020b2a97bb15f807c0482f0faee2184ed05bcad8
	mips: Do not include hi and lo in __SYSCALL_CLOBBERS for R6

	* sysdeps/unix/sysv/linux/mips/mips32/sysdep.h: Modified.
	[! __ASSEMBLER__](__SYSCALL_CLOBBERS): Remove.
	[! __ASSEMBLER__](PTR_MANGLE): Remove.
	[! __ASSEMBLER__](PTR_DEMANGLE): Remove.
	[! __ASSEMBLER__][!(__mips_isa_rev >= 6)](__SYSCALL_CLOBBERS): New.
	[! __ASSEMBLER__][!(__mips_isa_rev >= 6)](PTR_MANGLE): New.
	[! __ASSEMBLER__][!(__mips_isa_rev >= 6)](PTR_DEMANGLE): New.
	[! __ASSEMBLER__][__mips_isa_rev >= 6](__SYSCALL_CLOBBERS): New.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/sysdep.h: Modified.
	[! __ASSEMBLER__](__SYSCALL_CLOBBERS): Remove.
	[! __ASSEMBLER__][!(__mips_isa_rev >= 6)](__SYSCALL_CLOBBERS): New.
	[! __ASSEMBLER__][__mips_isa_rev >= 6](__SYSCALL_CLOBBERS): New.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/sysdep.h: Modified.
	[! __ASSEMBLER__](__SYSCALL_CLOBBERS): Remove.
	[! __ASSEMBLER__][!(__mips_isa_rev >= 6)](__SYSCALL_CLOBBERS): New.
	[! __ASSEMBLER__][__mips_isa_rev >= 6](__SYSCALL_CLOBBERS): New.

2019-12-13  Gabriel F. T. Gomes  <gabrielftg@linux.ibm.com>

	COMMIT: f1a0eb5b6762b315517469da47735c51bde6f4ad
	ldbl-128ibm-compat: Add ISO C99 versions of scanf functions

	* sysdeps/ieee754/ldbl-128ibm-compat/Makefile: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/Versions: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-isoc99_fscanf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-isoc99_fwscanf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-isoc99_scanf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-isoc99_sscanf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-isoc99_swscanf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-isoc99_vfscanf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-isoc99_vfwscanf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-isoc99_vscanf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-isoc99_vsscanf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-isoc99_vswscanf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-isoc99_vwscanf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-isoc99_wscanf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-isoc99-scanf-ibm128.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-isoc99-scanf-ieee128.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-isoc99-wscanf-ibm128.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-isoc99-wscanf-ieee128.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-scanf-ldbl-compat-template.c: Modified.
	(CLEAR): Remove.
	(CLEAR_VALUE): Modified.
	(CHECK): Remove.
	(CHECK_VALUE): Modified.
	(do_test_call): Modified function.
	(do_test): Modified function.
	(CLEAR_VARGS): New.
	(CHECK_VARGS): New.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-scanf-ldbl-compat.c: Modified.
	(L): Modified.
	(Lx): New.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-scanf-ldbl-compat.sh: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-wscanf-ldbl-compat.c: Modified.
	(L): Modified.
	(Lx): New.

2019-12-13  Gabriel F. T. Gomes  <gabrielftg@linux.ibm.com>
            Zack Weinberg  <zackw@panix.com>

	COMMIT: 348787f06902b971d76dbab3f05d54c0b5c36131
	ldbl-128ibm-compat: Fix selection of GNU and ISO C99 scanf

	* sysdeps/ieee754/ldbl-128ibm-compat/Makefile: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-scanf-ldbl-compat.c: Modified.
	(libio/stdio.h): Include file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-wscanf-ldbl-compat.c: Modified.
	(libio/stdio.h): Include file.

2019-12-13  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 8eaf34eda256ba3647ed6e7ed5c7c9aa19955d17
	hurd: Fix local PLT

	* include/sys/random.h: Modified.
	[! _ISOMAC](__wur): New.
	[! _ISOMAC](libc_hidden_proto): New.
	* stdlib/getrandom.c: Modified.
	(getrandom): Remove function.
	(__getrandom): New function.
	* sysdeps/mach/hurd/getentropy.c: Modified.
	(getentropy): Modified function.
	* sysdeps/mach/hurd/getrandom.c: Modified.
	(getrandom): Remove function.
	(__getrandom): New function.
	(libc_hidden_def): New.
	(weak_alias): New.
	* sysdeps/unix/sysv/linux/getrandom.c: Modified.
	[! __NR_getrandom](getrandom): Remove function.
	[! __NR_getrandom](__getrandom): New function.
	[__NR_getrandom](getrandom): Remove function.
	[__NR_getrandom](__getrandom): New function.
	(libc_hidden_def): New.
	(weak_alias): New.

2019-12-13  Florian Weimer  <fweimer@redhat.com>

	COMMIT: f7649d5780aa4682393b9daedd653e4d9c12784c
	dlopen: Do not block signals

	* elf/dl-open.c: Modified.
	(internal-signals.h): Remove include.
	(dl_open_args): Modified.
	(dl_open_worker): Modified function.
	(_dl_open): Modified function.

2019-12-13  Florian Weimer  <fweimer@redhat.com>

	COMMIT: f8ed116aa574435c6e28260f21963233682d3b57
	dlopen: Rework handling of pending NODELETE status

	* elf/dl-close.c: Modified.
	(_dl_close_worker): Modified function.
	(_dl_close): Modified function.
	* elf/dl-lookup.c: Modified.
	(do_lookup_unique): Modified function.
	(add_dependency): Modified function.
	(mark_nodelete): New function.
	(is_nodelete): New function.
	* elf/dl-open.c: Modified.
	(activate_nodelete): Modified function.
	(dl_open_worker): Modified function.
	* elf/get-dynamic-info.h: Modified.
	[! RESOLVE_MAP](elf_get_dynamic_info): Modified function.
	[RESOLVE_MAP](elf_get_dynamic_info): Modified function.
	* include/link.h: Modified.
	[! _ISOMAC](link_map_nodelete): Remove.
	[! _ISOMAC](link_map): Modified.

2019-12-13  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 365624e2d2a342cdb693b4cc35d2312169959e28
	dlopen: Fix issues related to NODELETE handling and relocations

	* elf/Makefile: Modified.
	* elf/dl-lookup.c: Modified.
	(do_lookup_unique): Modified function.
	* elf/dl-open.c: Modified.
	(activate_nodelete): Modified function.
	(dl_open_worker): Modified function.
	* elf/tst-dlopen-nodelete-reloc-mod1.c: New file.
	* elf/tst-dlopen-nodelete-reloc-mod10.c: New file.
	* elf/tst-dlopen-nodelete-reloc-mod11.cc: New file.
	* elf/tst-dlopen-nodelete-reloc-mod12.cc: New file.
	* elf/tst-dlopen-nodelete-reloc-mod13.cc: New file.
	* elf/tst-dlopen-nodelete-reloc-mod13.h: New file.
	* elf/tst-dlopen-nodelete-reloc-mod14.cc: New file.
	* elf/tst-dlopen-nodelete-reloc-mod15.cc: New file.
	* elf/tst-dlopen-nodelete-reloc-mod16.c: New file.
	* elf/tst-dlopen-nodelete-reloc-mod17.c: New file.
	* elf/tst-dlopen-nodelete-reloc-mod2.c: New file.
	* elf/tst-dlopen-nodelete-reloc-mod3.c: New file.
	* elf/tst-dlopen-nodelete-reloc-mod4.c: New file.
	* elf/tst-dlopen-nodelete-reloc-mod5.c: New file.
	* elf/tst-dlopen-nodelete-reloc-mod6.cc: New file.
	* elf/tst-dlopen-nodelete-reloc-mod7.cc: New file.
	* elf/tst-dlopen-nodelete-reloc-mod8.c: New file.
	* elf/tst-dlopen-nodelete-reloc-mod9.cc: New file.
	* elf/tst-dlopen-nodelete-reloc.c: New file.
	* elf/tst-dlopen-nodelete-reloc.h: New file.

2019-12-13  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 186e119bbd4a10895429ffe405ae96dc5c5634b8
	hurd: Fix __close_nocancel_nostatus availability

	* sysdeps/mach/hurd/Makefile: Modified.
	* sysdeps/mach/hurd/Versions: Modified.
	* sysdeps/mach/hurd/close_nocancel_nostatus.c: New file.
	* sysdeps/mach/hurd/not-cancel.h: Modified.
	(__close_nocancel_nostatus): Remove function.
	[IS_IN (libc) || IS_IN (rtld)](hidden_proto): New.
	(__close_nocancel_nostatus): New function.

2019-12-13  Andrew Eggenberger  <andrew.eggenberger@gmail.com>

	COMMIT: fe75ee0ca65536352fcdaebfbf39aac9bee271f0
	hurd: add getrandom and getentropy implementations

	* sysdeps/mach/hurd/getentropy.c: New file.
	* sysdeps/mach/hurd/getrandom.c: New file.

2019-12-13  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: c1f25758c353fcb16076512aba62746bff2e0d2d
	hurd: Implement __close_nocancel_nostatus

	* sysdeps/mach/hurd/not-cancel.h: New file.

2019-12-11  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: ef4e158c736d067304164c3daa763e4f425af248
	manual: clarify fopen with the x flag

	* manual/stdio.texi: Modified.

2019-12-11  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: fcee34cc373daee6aa5320a6e1897cdf2005ab53
	S390: Use sysdeps/ieee754/dbl-64/wordsize-64 on s390x.

	* sysdeps/s390/s390-64/Implies: Modified.

2019-12-11  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 2763d3145a326aa9afa613fe9e1b444cf912a883
	S390: Implement roundtoint and converttoint and define TOINT_INTRINSICS.

	* sysdeps/s390/fpu/math_private.h: New file.

2019-12-11  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 433a2ba68cd91842546e0f0d43d65835634d570d
	S390: Implement math-barriers math_opt_barrier and math_force_eval.

	* sysdeps/s390/fpu/math-barriers.h: New file.

2019-12-11  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 238adf59db85646ebae47876819bd896dae597bc
	S390: Use libc_fe* macros in fe* functions.

	* sysdeps/s390/fpu/fegetround.c: Modified.
	(fenv_libc.h): Remove include.
	(fpu_control.h): Remove include.
	(__fegetround): Modified function.
	(get-rounding-mode.h): Include file.
	* sysdeps/s390/fpu/feholdexcpt.c: Modified.
	(fenv_libc.h): Remove include.
	(fpu_control.h): Remove include.
	(__feholdexcept): Modified function.
	(fenv_private.h): Include file.
	* sysdeps/s390/fpu/fesetenv.c: Modified.
	(fenv_libc.h): Remove include.
	(fpu_control.h): Remove include.
	(stddef.h): Remove include.
	(unistd.h): Remove include.
	(__fesetenv): Modified function.
	(fenv_private.h): Include file.
	* sysdeps/s390/fpu/fesetround.c: Modified.
	(fenv_libc.h): Remove include.
	(fpu_control.h): Remove include.
	(__fesetround): Modified function.
	(fenv_private.h): Include file.
	* sysdeps/s390/fpu/fetestexceptflag.c: Delete file.
	* sysdeps/s390/fpu/feupdateenv.c: Modified.
	(fenv_libc.h): Remove include.
	(fpu_control.h): Remove include.
	(__feupdateenv): Modified function.
	(fenv_private.h): Include file.
	* sysdeps/s390/fpu/fgetexcptflg.c: Modified.
	(fenv_libc.h): Remove include.
	(fpu_control.h): Remove include.
	(fegetexceptflag): Modified function.
	(fenv_private.h): Include file.
	* sysdeps/s390/fpu/fsetexcptflg.c: Modified.
	(fesetexceptflag): Modified function.
	* sysdeps/s390/fpu/ftestexcept.c: Modified.
	(fenv_libc.h): Remove include.
	(fpu_control.h): Remove include.
	(fetestexcept): Modified function.
	(fenv_private.h): Include file.

2019-12-11  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 7c94d036c17dfd352d11e9bf98e5d84122c1f95e
	S390: Implement libc_fe* macros.

	* sysdeps/s390/fpu/fenv_private.h: New file.

2019-12-11  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 7d42d614fdc2c9d9f6ad46111bd6130501d50460
	S390: Use convert-to-fixed instruction for llround functions.

	* sysdeps/s390/fpu/s_llround.c: New file.
	* sysdeps/s390/fpu/s_llroundf.c: New file.
	* sysdeps/s390/fpu/s_llroundl.c: New file.

2019-12-11  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 9d9f3527daf65fdca0eb46eaa324b81b8f94d88c
	S390: Use convert-to-fixed instruction for lround functions.

	* sysdeps/s390/fpu/s_lround.c: New file.
	* sysdeps/s390/fpu/s_lroundf.c: New file.
	* sysdeps/s390/fpu/s_lroundl.c: New file.

2019-12-11  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: f10c1654fe13d797d2fd347dc47f72f93c58cf62
	S390: Use convert-to-fixed instruction for llrint functions.

	* sysdeps/s390/fpu/s_llrint.c: New file.
	* sysdeps/s390/fpu/s_llrintf.c: New file.
	* sysdeps/s390/fpu/s_llrintl.c: New file.

2019-12-11  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: e3f07622209c1b4436ef364b134dfd2cd4ca9976
	S390: Use convert-to-fixed instruction for lrint functions.

	* sysdeps/s390/fpu/s_lrint.c: New file.
	* sysdeps/s390/fpu/s_lrintf.c: New file.
	* sysdeps/s390/fpu/s_lrintl.c: New file.

2019-12-11  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 4399b163376b331773e43917dcf56ce68e43e6a0
	S390: Use load-fp-integer instruction for roundeven functions.

	* sysdeps/s390/fpu/s_roundeven.c: New file.
	* sysdeps/s390/fpu/s_roundevenf.c: New file.
	* sysdeps/s390/fpu/s_roundevenl.c: New file.

2019-12-11  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 1902d5d5ff04771f16b67648789c75a18af06222
	Adjust s_copysignl.c regarding code style.

	* sysdeps/ieee754/ldbl-128/s_copysignl.c: Modified.
	(__copysignl): Modified function.

2019-12-11  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 171d23d7cbce7b6f175a6690e625ccf80b647d23
	Adjust s_ceilf.c and s_ceill.c regarding code style.

	* sysdeps/ieee754/flt-32/s_ceilf.c: Modified.
	(__ceilf): Modified function.
	* sysdeps/ieee754/ldbl-128/s_ceill.c: Modified.
	(__ceill): Modified function.

2019-12-11  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: d3a0409ab615e133ff3ea27b492de75a607cff4a
	Adjust s_floorf.c and s_floorl.c regarding code style.

	* sysdeps/ieee754/flt-32/s_floorf.c: Modified.
	(__floorf): Modified function.
	* sysdeps/ieee754/ldbl-128/s_floorl.c: Modified.
	(__floorl): Modified function.

2019-12-11  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 99b39a83e72f4b58e2f284fd844622df26b3b5fe
	Adjust s_rintf.c and s_rintl.c regarding code style.

	* sysdeps/ieee754/flt-32/s_rintf.c: Modified.
	(__rintf): Modified function.
	* sysdeps/ieee754/ldbl-128/s_rintl.c: Modified.
	(__rintl): Modified function.

2019-12-11  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 6a3866dae98cccc8cd7a0a4c1fb409dba9192a83
	Adjust s_nearbyintf.c and s_nearbyintl.c regarding code style.

	* sysdeps/ieee754/flt-32/s_nearbyintf.c: Modified.
	(__nearbyintf): Modified function.
	* sysdeps/ieee754/ldbl-128/s_nearbyintl.c: Modified.
	(__nearbyintl): Modified function.

2019-12-11  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: f818afdd3b29d7eef2010448457c9f5c16e684cd
	Use GCC builtins for copysign functions if desired.

	* sysdeps/generic/math-use-builtins.h: Modified.
	[!(__GNUC_PREREQ (7, 0))](USE_COPYSIGNF128_BUILTIN): New.
	[__GNUC_PREREQ (7, 0)](USE_COPYSIGNF128_BUILTIN): New.
	(features.h): Include file.
	(USE_COPYSIGNL_BUILTIN): New.
	* sysdeps/ieee754/dbl-64/s_copysign.c: Modified.
	(math_private.h): Remove include.
	(__copysign): Modified function.
	* sysdeps/ieee754/float128/float128_private.h: Modified.
	(USE_COPYSIGNL_BUILTIN): New.
	* sysdeps/ieee754/flt-32/s_copysignf.c: Modified.
	(math_private.h): Remove include.
	(__copysignf): Modified function.
	* sysdeps/ieee754/ldbl-128/s_copysignl.c: Modified.
	(__copysignl): Modified function.
	(math-use-builtins.h): Include file.
	* sysdeps/s390/fpu/math-use-builtins.h: Modified.
	[!(__GNUC_PREREQ (7, 0))](USE_COPYSIGNF128_BUILTIN): New.
	[__GNUC_PREREQ (7, 0)](USE_COPYSIGNF128_BUILTIN): New.
	(USE_COPYSIGNL_BUILTIN): New.

2019-12-11  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: f82996f8159981619ac7ed8a4c1838c2ad72ab61
	Use GCC builtins for round functions if desired.

	* sysdeps/generic/math-use-builtins.h: Modified.
	(USE_ROUND_BUILTIN): New.
	(USE_ROUNDF_BUILTIN): New.
	(USE_ROUNDL_BUILTIN): New.
	(USE_ROUNDF128_BUILTIN): New.
	* sysdeps/ieee754/dbl-64/s_round.c: Modified.
	(__round): Modified function.
	(math-use-builtins.h): Include file.
	* sysdeps/ieee754/float128/float128_private.h: Modified.
	(USE_ROUNDL_BUILTIN): New.
	(__builtin_roundl): New.
	* sysdeps/ieee754/flt-32/s_roundf.c: Modified.
	(__roundf): Modified function.
	(math-use-builtins.h): Include file.
	* sysdeps/ieee754/ldbl-128/s_roundl.c: Modified.
	(__roundl): Modified function.
	(math-use-builtins.h): Include file.
	* sysdeps/s390/fpu/math-use-builtins.h: Modified.
	[! HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT](USE_ROUND_BUILTIN): New.
	[! HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT](USE_ROUNDF_BUILTIN): New.
	[! HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT](USE_ROUNDL_BUILTIN): New.
	[! HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT](USE_ROUNDF128_BUILTIN): New.
	[HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT][!(__GNUC_PREREQ (8, 0))](USE_ROUNDF128_BUILTIN): New.
	[HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT][__GNUC_PREREQ (8, 0)](USE_ROUNDF128_BUILTIN): New.
	[HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT](USE_ROUND_BUILTIN): New.
	[HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT](USE_ROUNDF_BUILTIN): New.
	[HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT](USE_ROUNDL_BUILTIN): New.

2019-12-11  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 1ac9c1cf87216bf9f8ac4f7c9754d025d9f2c4ae
	Use GCC builtins for trunc functions if desired.

	* sysdeps/generic/math-use-builtins.h: Modified.
	(USE_TRUNC_BUILTIN): New.
	(USE_TRUNCF_BUILTIN): New.
	(USE_TRUNCL_BUILTIN): New.
	(USE_TRUNCF128_BUILTIN): New.
	* sysdeps/ieee754/dbl-64/s_trunc.c: Modified.
	(__trunc): Modified function.
	(math-use-builtins.h): Include file.
	* sysdeps/ieee754/float128/float128_private.h: Modified.
	(USE_TRUNCL_BUILTIN): New.
	(__builtin_truncl): New.
	* sysdeps/ieee754/flt-32/s_truncf.c: Modified.
	(__truncf): Modified function.
	(math-use-builtins.h): Include file.
	* sysdeps/ieee754/ldbl-128/s_truncl.c: Modified.
	(__truncl): Modified function.
	(math-use-builtins.h): Include file.
	* sysdeps/s390/fpu/math-use-builtins.h: Modified.
	[! HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT](USE_TRUNC_BUILTIN): New.
	[! HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT](USE_TRUNCF_BUILTIN): New.
	[! HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT](USE_TRUNCL_BUILTIN): New.
	[! HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT](USE_TRUNCF128_BUILTIN): New.
	[HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT][!(__GNUC_PREREQ (8, 0))](USE_TRUNCF128_BUILTIN): New.
	[HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT][__GNUC_PREREQ (8, 0)](USE_TRUNCF128_BUILTIN): New.
	[HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT](USE_TRUNC_BUILTIN): New.
	[HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT](USE_TRUNCF_BUILTIN): New.
	[HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT](USE_TRUNCL_BUILTIN): New.

2019-12-11  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 62560ee84095274bab1050817f42e782df226a17
	Use GCC builtins for ceil functions if desired.

	* sysdeps/generic/math-use-builtins.h: Modified.
	(USE_CEIL_BUILTIN): New.
	(USE_CEILF_BUILTIN): New.
	(USE_CEILL_BUILTIN): New.
	(USE_CEILF128_BUILTIN): New.
	* sysdeps/ieee754/dbl-64/s_ceil.c: Modified.
	(__ceil): Modified function.
	(math-use-builtins.h): Include file.
	* sysdeps/ieee754/float128/float128_private.h: Modified.
	(USE_CEILL_BUILTIN): New.
	(__builtin_ceill): New.
	* sysdeps/ieee754/flt-32/s_ceilf.c: Modified.
	(__ceilf): Modified function.
	(math-use-builtins.h): Include file.
	* sysdeps/ieee754/ldbl-128/s_ceill.c: Modified.
	(__ceill): Modified function.
	(math-use-builtins.h): Include file.
	* sysdeps/s390/fpu/math-use-builtins.h: Modified.
	[! HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT](USE_CEIL_BUILTIN): New.
	[! HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT](USE_CEILF_BUILTIN): New.
	[! HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT](USE_CEILL_BUILTIN): New.
	[! HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT](USE_CEILF128_BUILTIN): New.
	[HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT][!(__GNUC_PREREQ (8, 0))](USE_CEILF128_BUILTIN): New.
	[HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT][__GNUC_PREREQ (8, 0)](USE_CEILF128_BUILTIN): New.
	[HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT](USE_CEIL_BUILTIN): New.
	[HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT](USE_CEILF_BUILTIN): New.
	[HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT](USE_CEILL_BUILTIN): New.

2019-12-11  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 6c1b6a5e8cd91e0e1965509ad91e627e60eb00a3
	Use GCC builtins for floor functions if desired.

	* sysdeps/generic/math-use-builtins.h: Modified.
	(USE_FLOOR_BUILTIN): New.
	(USE_FLOORF_BUILTIN): New.
	(USE_FLOORL_BUILTIN): New.
	(USE_FLOORF128_BUILTIN): New.
	* sysdeps/ieee754/dbl-64/s_floor.c: Modified.
	(__floor): Modified function.
	(math-use-builtins.h): Include file.
	* sysdeps/ieee754/float128/float128_private.h: Modified.
	(USE_FLOORL_BUILTIN): New.
	(__builtin_floorl): New.
	* sysdeps/ieee754/flt-32/s_floorf.c: Modified.
	(__floorf): Modified function.
	(math-use-builtins.h): Include file.
	* sysdeps/ieee754/ldbl-128/s_floorl.c: Modified.
	(__floorl): Modified function.
	(math-use-builtins.h): Include file.
	* sysdeps/s390/fpu/math-use-builtins.h: Modified.
	[! HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT](USE_FLOOR_BUILTIN): New.
	[! HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT](USE_FLOORF_BUILTIN): New.
	[! HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT](USE_FLOORL_BUILTIN): New.
	[! HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT](USE_FLOORF128_BUILTIN): New.
	[HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT][!(__GNUC_PREREQ (8, 0))](USE_FLOORF128_BUILTIN): New.
	[HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT][__GNUC_PREREQ (8, 0)](USE_FLOORF128_BUILTIN): New.
	[HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT](USE_FLOOR_BUILTIN): New.
	[HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT](USE_FLOORF_BUILTIN): New.
	[HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT](USE_FLOORL_BUILTIN): New.

2019-12-11  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: a2a9b004297b777758420c952cb6eea5985d37fe
	Use GCC builtins for rint functions if desired.

	* sysdeps/generic/math-use-builtins.h: Modified.
	(USE_RINT_BUILTIN): New.
	(USE_RINTF_BUILTIN): New.
	(USE_RINTL_BUILTIN): New.
	(USE_RINTF128_BUILTIN): New.
	* sysdeps/ieee754/dbl-64/s_rint.c: Modified.
	(TWO52): Remove.
	(__rint): Modified function.
	(math-use-builtins.h): Include file.
	* sysdeps/ieee754/float128/float128_private.h: Modified.
	(USE_RINTL_BUILTIN): New.
	(__builtin_rintl): New.
	* sysdeps/ieee754/flt-32/s_rintf.c: Modified.
	(TWO23): Remove.
	(__rintf): Modified function.
	(math-use-builtins.h): Include file.
	* sysdeps/ieee754/ldbl-128/s_rintl.c: Modified.
	(TWO112): Remove.
	(__rintl): Modified function.
	(math-use-builtins.h): Include file.
	* sysdeps/s390/fpu/math-use-builtins.h: Modified.
	[! HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT](USE_RINT_BUILTIN): New.
	[! HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT](USE_RINTF_BUILTIN): New.
	[! HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT](USE_RINTL_BUILTIN): New.
	[! HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT](USE_RINTF128_BUILTIN): New.
	[HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT][!(__GNUC_PREREQ (8, 0))](USE_RINTF128_BUILTIN): New.
	[HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT][__GNUC_PREREQ (8, 0)](USE_RINTF128_BUILTIN): New.
	[HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT](USE_RINT_BUILTIN): New.
	[HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT](USE_RINTF_BUILTIN): New.
	[HAVE_S390_MIN_Z196_ZARCH_ASM_SUPPORT](USE_RINTL_BUILTIN): New.

2019-12-11  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: ae3577f607b50bf3ce9b0877e43ad2508c9da61b
	Use GCC builtins for nearbyint functions if desired.

	* sysdeps/generic/math-use-builtins.h: New file.
	* sysdeps/ieee754/dbl-64/s_nearbyint.c: Modified.
	(TWO52): Remove.
	(__nearbyint): Modified function.
	(math-use-builtins.h): Include file.
	* sysdeps/ieee754/float128/float128_private.h: Modified.
	(math-use-builtins.h): Include file.
	(USE_NEARBYINTL_BUILTIN): New.
	(__builtin_nearbyintl): New.
	* sysdeps/ieee754/flt-32/s_nearbyintf.c: Modified.
	(TWO23): Remove.
	(__nearbyintf): Modified function.
	(math-use-builtins.h): Include file.
	* sysdeps/ieee754/ldbl-128/s_nearbyintl.c: Modified.
	(TWO112): Remove.
	(__nearbyintl): Modified function.
	(math-use-builtins.h): Include file.
	* sysdeps/s390/fpu/math-use-builtins.h: New file.

2019-12-11  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 36e9acbd5cb2c330c0d53195db4a0ee31f2c3097
	Always use wordsize-64 version of s_round.c.

	* sysdeps/ieee754/dbl-64/s_round.c: Modified.
	(__round): Modified function.
	(stdint.h): Include file.
	* sysdeps/ieee754/dbl-64/wordsize-64/s_round.c: Delete file.

2019-12-11  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 1c94bf0f0a50ce66c808e2ea9b7e417785798b73
	Always use wordsize-64 version of s_trunc.c.

	* sysdeps/ieee754/dbl-64/s_trunc.c: Modified.
	(__trunc): Modified function.
	* sysdeps/ieee754/dbl-64/wordsize-64/s_trunc.c: Delete file.
	* sysdeps/sparc/sparc64/fpu/multiarch/s_trunc-generic.c: Modified.
	(sysdeps/ieee754/dbl-64/wordsize-64/s_trunc.c): Remove include.
	(sysdeps/ieee754/dbl-64/s_trunc.c): Include file.
	* sysdeps/sparc/sparc64/fpu/multiarch/s_trunc-vis3.c: Modified.
	(sysdeps/ieee754/dbl-64/wordsize-64/s_trunc.c): Remove include.
	(sysdeps/ieee754/dbl-64/s_trunc.c): Include file.
	* sysdeps/x86_64/fpu/multiarch/s_trunc-c.c: Modified.
	(sysdeps/ieee754/dbl-64/wordsize-64/s_trunc.c): Remove include.
	(sysdeps/ieee754/dbl-64/s_trunc.c): Include file.

2019-12-11  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 9f234eafe8698fd9a441ca2309a299d0bd771156
	Always use wordsize-64 version of s_ceil.c.

	* sysdeps/ieee754/dbl-64/s_ceil.c: Modified.
	(__ceil): Modified function.
	* sysdeps/ieee754/dbl-64/wordsize-64/s_ceil.c: Delete file.
	* sysdeps/sparc/sparc64/fpu/multiarch/s_ceil-generic.c: Modified.
	(sysdeps/ieee754/dbl-64/wordsize-64/s_ceil.c): Remove include.
	(sysdeps/ieee754/dbl-64/s_ceil.c): Include file.
	* sysdeps/sparc/sparc64/fpu/multiarch/s_ceil-vis3.c: Modified.
	(sysdeps/ieee754/dbl-64/wordsize-64/s_ceil.c): Remove include.
	(sysdeps/ieee754/dbl-64/s_ceil.c): Include file.
	* sysdeps/x86_64/fpu/multiarch/s_ceil-c.c: Modified.
	(sysdeps/ieee754/dbl-64/wordsize-64/s_ceil.c): Remove include.
	(sysdeps/ieee754/dbl-64/s_ceil.c): Include file.

2019-12-11  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 95b0c2c431510013eb2f7385fc078ee2498f83bf
	Always use wordsize-64 version of s_floor.c.

	* sysdeps/ieee754/dbl-64/s_floor.c: Modified.
	(__floor): Modified function.
	(stdint.h): Include file.
	* sysdeps/ieee754/dbl-64/wordsize-64/s_floor.c: Delete file.
	* sysdeps/sparc/sparc64/fpu/multiarch/s_floor-generic.c: Modified.
	(sysdeps/ieee754/dbl-64/wordsize-64/s_floor.c): Remove include.
	(sysdeps/ieee754/dbl-64/s_floor.c): Include file.
	* sysdeps/sparc/sparc64/fpu/multiarch/s_floor-vis3.c: Modified.
	(sysdeps/ieee754/dbl-64/wordsize-64/s_floor.c): Remove include.
	(sysdeps/ieee754/dbl-64/s_floor.c): Include file.
	* sysdeps/x86_64/fpu/multiarch/s_floor-c.c: Modified.
	(sysdeps/ieee754/dbl-64/wordsize-64/s_floor.c): Remove include.
	(sysdeps/ieee754/dbl-64/s_floor.c): Include file.

2019-12-11  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: ab48bdd098a675dddb360faafc497a61c4bd4334
	Always use wordsize-64 version of s_rint.c.

	* sysdeps/ieee754/dbl-64/s_rint.c: Modified.
	(__rint): Modified function.
	* sysdeps/ieee754/dbl-64/wordsize-64/s_rint.c: Delete file.
	* sysdeps/x86_64/fpu/multiarch/s_rint-c.c: Modified.
	(sysdeps/ieee754/dbl-64/wordsize-64/s_rint.c): Remove include.
	(sysdeps/ieee754/dbl-64/s_rint.c): Include file.

2019-12-11  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: af123aa95091d3d2d1b4ff027cf806ca1721d29d
	Always use wordsize-64 version of s_nearbyint.c.

	* sysdeps/ieee754/dbl-64/s_nearbyint.c: Modified.
	[(LIBM_SCCS) && ! lint](rcsid): Remove.
	(__nearbyint): Modified function.
	* sysdeps/ieee754/dbl-64/wordsize-64/s_nearbyint.c: Delete file.
	* sysdeps/x86_64/fpu/multiarch/s_nearbyint-c.c: Modified.
	(sysdeps/ieee754/dbl-64/wordsize-64/s_nearbyint.c): Remove include.
	(sysdeps/ieee754/dbl-64/s_nearbyint.c): Include file.

2019-12-11  Florian Weimer  <fweimer@redhat.com>

	COMMIT: b5a1271c76ad03a2e0ee044ecb46af03d771e40a
	ldconfig: Do not print a warning for a missing ld.so.conf file

	* elf/ldconfig.c: Modified.
	(parse_conf): Modified function.

2019-12-11  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: e46efff89550a8e693a3362976f85070762c5cb8
	hurd: Fix using altstack while in an RPC call to be aborted

	* sysdeps/mach/hurd/i386/trampoline.c: Modified.
	(_hurd_setup_sighandler): Modified function.

2019-12-10  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 83fe078130f62c35fcceab7133fa4b1512925951
	Fix failure when CFLAGS contains -DNDEBUG (Bug 25251)

	* assert/tst-assert-c++.cc: Modified.

2019-12-09  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 0487ebed2278b20971af4cabf186fd3681adccf0
	nptl: Add more missing placeholder abi symbol from nanosleep move

	* include/shlib-compat.h: Modified.
	[! SHARED](compat_symbol_unique): New.
	[SHARED](__compat_symbol_unique_concat): New.
	[SHARED](_compat_symbol_unique_concat): New.
	[SHARED](_compat_symbol_unique_alias): New.
	[SHARED](_compat_symbol_unique): New.
	[SHARED](compat_symbol_unique): New.
	* nptl/libpthread-compat.c: Modified.
	[(SHLIB_COMPAT (libpthread, GLIBC_2_1_2, GLIBC_2_2_6))](__libpthread_version_placeholder): Remove.
	[(SHLIB_COMPAT (libpthread, GLIBC_2_1_2, GLIBC_2_2_6))](compat_symbol): Remove.
	[(SHLIB_COMPAT (libpthread, GLIBC_2_1_2, GLIBC_2_2))](compat_symbol_unique): New.
	[(SHLIB_COMPAT (libpthread, GLIBC_2_2_6, GLIBC_2_3))](compat_symbol_unique): New.
	[SHARED](__libpthread_version_placeholder): New.
	(sys/cdefs.h): Include file.
	* sysdeps/unix/sysv/linux/alpha/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libpthread.abilist: Modified.

2019-12-09  Andreas Schwab  <schwab@suse.de>

	COMMIT: 7badf7b06fe796b3f549663d0d65d3012a7e0457
	sysdeps/riscv/start.S: rename .Lload_gp to load_gp (bug 24376)

	* sysdeps/riscv/start.S: Modified.

2019-12-05  Lukasz Majewski  <lukma@denx.de>

	COMMIT: cae1635a70aff76117e3b4d6cead86606662b0fc
	y2038: linux: Provide __timer_settime64 implementation

	* include/time.h: Modified.
	[! _ISOMAC][__TIMESIZE != 64](__timer_settime64): New function.
	[! _ISOMAC][__TIMESIZE != 64](libc_hidden_proto): New function.
	[! _ISOMAC][__TIMESIZE == 64](__timer_settime64): New.
	* sysdeps/unix/sysv/linux/timer_settime.c: Modified.
	(timer_settime): Remove function.
	[__TIMESIZE != 64](__timer_settime): New.
	(kernel-features.h): Include file.
	(__timer_settime64): New function.
	(weak_alias): New.
	(libc_hidden_def): New.

2019-12-05  Lukasz Majewski  <lukma@denx.de>

	COMMIT: 562cdc19c761b6749ae31845156366d4b319e200
	y2038: linux: Provide __timer_gettime64 implementation

	* include/time.h: Modified.
	[! _ISOMAC][__TIMESIZE != 64](__timer_gettime64): New function.
	[! _ISOMAC][__TIMESIZE != 64](libc_hidden_proto): New function.
	[! _ISOMAC][__TIMESIZE == 64](__timer_gettime64): New.
	* sysdeps/unix/sysv/linux/timer_gettime.c: Modified.
	(timer_gettime): Remove function.
	[__TIMESIZE != 64](__timer_gettime): New.
	(kernel-features.h): Include file.
	(__timer_gettime64): New function.
	(weak_alias): New.
	(libc_hidden_def): New.

2019-12-05  Lukasz Majewski  <lukma@denx.de>

	COMMIT: ab65136e7233183a1f35c7d36867b5937844b368
	timer: Decouple x86_64 specific timer_settime from generic Linux implementation

	* sysdeps/unix/sysv/linux/timer_settime.c: Modified.
	[timer_settime_alias](timer_settime): Remove.
	(timer_settime): Modified function.
	* sysdeps/unix/sysv/linux/x86_64/timer_settime.c: Modified.
	(timer_settime_alias): Remove.
	(sysdeps/unix/sysv/linux/timer_settime.c): Remove include.
	(timer_settime): Remove.
	(sysdep.h): Include file.
	(kernel-posix-timers.h): Include file.
	(__timer_settime_new): New function.

2019-12-05  Lukasz Majewski  <lukma@denx.de>

	COMMIT: 115959290f01f6c0674e16e0de5d8a16f79d19de
	timer: Decouple x86_64 specific timer_gettime from generic Linux implementation

	* sysdeps/unix/sysv/linux/timer_gettime.c: Modified.
	[timer_gettime_alias](timer_gettime): Remove.
	(timer_gettime): Modified function.
	* sysdeps/unix/sysv/linux/x86_64/timer_gettime.c: Modified.
	(timer_gettime_alias): Remove.
	(sysdeps/unix/sysv/linux/timer_gettime.c): Remove include.
	(timer_gettime): Remove.
	(sysdep.h): Include file.
	(kernel-posix-timers.h): Include file.
	(__timer_gettime_new): New function.

2019-12-05  Lukasz Majewski  <lukma@denx.de>

	COMMIT: 4b135425d889cb18b0fb3c3d166e115927042dda
	time: Introduce glibc's internal struct __itimerspec64

	* include/time.h: Modified.
	[! _ISOMAC][__TIMESIZE != 64](__itimerspec64): New.
	[! _ISOMAC][__TIMESIZE == 64](__itimerspec64): New.

2019-12-05  DJ Delorie  <dj@redhat.com>

	COMMIT: 16554464bcd9d77b07c6ff419dc54f00e394fa50
	Correct range checking in mallopt/mxfast/tcache [BZ #25194]

	* malloc/malloc.c: Modified.
	[USE_TCACHE](do_set_tcache_max): Modified function.
	[USE_TCACHE](do_set_tcache_count): Modified function.
	(do_set_mxfast): Modified function.
	(__libc_mallopt): Modified function.

2019-12-05  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 1f7525d924b608a3e43b10fcfb3d46b8a6e9e4f9
	misc/test-errno-linux: Handle EINVAL from quotactl

	* sysdeps/unix/sysv/linux/test-errno-linux.c: Modified.
	(do_test): Modified function.

2019-12-05  Kamlesh Kumar  <kamleshbhalui@gmail.com>

	COMMIT: 953ceff17a4a15b10cfdd5edc3c8cae4884c8ec3
	<string.h>: Define __CORRECT_ISO_CPP_STRING_H_PROTO for Clang [BZ #25232]

	* string/string.h: Modified.
	[__cplusplus && __GNUC_PREREQ (4, 4)](__CORRECT_ISO_CPP_STRING_H_PROTO): Remove.
	[__cplusplus && (__GNUC_PREREQ (4, 4)  || __glibc_clang_prereq (3, 5))](__CORRECT_ISO_CPP_STRING_H_PROTO): New.

2019-12-05  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 066d80a7cdfa5ab7b2dd66cb51e8abeed60227e5
	build-many-glibcs.py: Move sparcv8 to extra_glibcs

	* scripts/build-many-glibcs.py: Modified.

2019-12-04  Alistair Francis  <alistair.francis@wdc.com>

	COMMIT: ec138c67cbda8b5826a0a2a7ba456408117996dc
	sysdeps/clock_gettime: Use clock_gettime64 if avaliable

	* include/time.h: Modified.
	[! _ISOMAC][__TIMESIZE != 64](__clock_gettime64): New function.
	[! _ISOMAC][__TIMESIZE != 64](libc_hidden_proto): New.
	[! _ISOMAC][__TIMESIZE == 64](__clock_gettime64): New.
	* sysdeps/unix/sysv/linux/clock_gettime.c: Modified.
	(__clock_gettime): Remove function.
	[__TIMESIZE != 64](__clock_gettime): New.
	(kernel-features.h): Include file.
	(__clock_gettime64): New function.

2019-12-04  Alistair Francis  <alistair.francis@wdc.com>

	COMMIT: f6fbce7dd72145ed9272ac8ef3ea6123c390a72b
	sysdeps: Add clock_gettime64 vDSO

	* sysdeps/unix/sysv/linux/init-first.c: Modified.
	(__libc_vdso_platform_setup): Modified function.
	[HAVE_CLOCK_GETTIME64_VSYSCALL](int): New.
	* sysdeps/unix/sysv/linux/libc-vdso.h: Modified.
	[HAVE_CLOCK_GETTIME64_VSYSCALL](int): New.

2019-12-04  Gabriel F. T. Gomes  <gabrielftg@linux.ibm.com>

	COMMIT: d0bc5b725dac852764b98b9b3e0560c003bd000a
	Do not use ld.so to open statically linked programs in debugglibc.sh

	* Makefile: Modified.

2019-12-04  Gabriel F. T. Gomes  <gabrielftg@linux.ibm.com>

	COMMIT: 6ef1bab699eb82ad24d52a4a045bceb4f7533a5b
	Attach to test in container from debugglibc.sh

	* Makefile: Modified.

2019-12-03  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 8b196ac4b8d1be6021a3974f28bba5e947b37db8
	Expand $(as-needed) and $(no-as-needed) throughout the build system

	* Makeconfig: Modified.
	* Makerules: Modified.
	* elf/Makefile: Modified.
	* nptl/Makefile: Modified.
	* stdlib/Makefile: Modified.
	* sysdeps/powerpc/powerpc64/le/Makefile: Modified.

2019-12-03  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 9fb8139079ef0bb1aa33a4ae418cbb113b9b9da7
	x86: Assume --enable-cet if GCC defaults to CET [BZ #25225]

	* configure: Modified.
	* configure.ac: Modified.

2019-12-03  Gabriel F. T. Gomes  <gabrielftg@linux.ibm.com>
            Rajalakshmi Srinivasaraghavan  <raji@linux.vnet.ibm.com>

	COMMIT: 39c977b23e3e547e70d199a679b37bdf9c3223f6
	ldbl-128ibm-compat: Add tests for strfroml, strtold, and wcstold

	* sysdeps/ieee754/ldbl-128ibm-compat/Makefile: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-strfrom-ibm128.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-strfrom-ieee128.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-strfrom-ldbl-compat.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-wcstold-ibm128.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-wcstold-ieee128.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-wcstold-ldbl-compat.c: New file.

2019-12-03  Gabriel F. T. Gomes  <gabrielftg@linux.ibm.com>

	COMMIT: 80a19b003e2836abda4ad96721a40c6f7a32ab4c
	ldbl-128ibm-compat: Add tests for strfmon and strfmon_l

	* sysdeps/ieee754/ldbl-128ibm-compat/Makefile: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-strfmon-ibm128.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-strfmon-ieee128.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-strfmon-ldbl-compat.c: New file.

2019-12-03  Rajalakshmi Srinivasaraghavan  <raji@linux.vnet.ibm.com>

	COMMIT: 66fa30828a1eb3d96cb92c080fa0b7376bda9b11
	ldbl-128ibm-compat: Add strfmon_l with IEEE long double format

	* include/monetary.h: Modified.
	[! _ISOMAC](STRFMON_LDBL_USES_FLOAT128): New.
	* stdlib/strfmon_l.c: Modified.
	(__vstrfmon_l_internal): Modified function.
	(bits/floatn.h): Include file.
	* sysdeps/ieee754/ldbl-128ibm-compat/Makefile: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/Versions: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-strfmon.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-strfmon_l.c: New file.

2019-12-03  Gabriel F. T. Gomes  <gabrielftg@linux.ibm.com>

	COMMIT: 5d39f37b260a98cfcc5ac312817ce8de534c00b1
	ldbl-128ibm-compat: Replace http with https in new files

	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-argp-help.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-asprintf.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-asprintf_chk.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-dprintf.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-dprintf_chk.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-err.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-error.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-fprintf.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-fprintf_chk.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-fscanf.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-fwprintf.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-fwprintf_chk.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-fwscanf.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-obprintf.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-obstack_chk.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-printf.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-printf_chk.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-scanf.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-snprintf.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-snprintf_chk.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-sprintf.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-sprintf_chk.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-sscanf.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-swprintf.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-swprintf_chk.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-swscanf.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-syslog.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vasprintf.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vasprintf_chk.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vdprintf.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vdprintf_chk.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vfprintf.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vfprintf_chk.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vfscanf.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vfwprintf.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vfwprintf_chk.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vfwscanf.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vobstack_chk.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vprintf.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vprintf_chk.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vscanf.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vsnprintf.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vsnprintf_chk.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vsprintf.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vsprintf_chk.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vsscanf.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vswprintf.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vswprintf_chk.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vswscanf.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vwprintf.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vwprintf_chk.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vwscanf.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-wprintf.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-wprintf_chk.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-wscanf.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-obstack-ldbl-compat-template.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-printf-chk-ldbl-compat.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-printf-ldbl-compat.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-scanf-ldbl-compat-template.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-scanf-ldbl-compat.sh: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-syslog-ldbl-compat-template.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-wprintf-chk-ldbl-compat.c: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-wprintf-ldbl-compat.c: Modified.

2019-12-02  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 4db71d2f9897c6ca7a9d0cadc1fc4067557a4eb3
	elf: Do not run IFUNC resolvers for LD_DEBUG=unused [BZ #24214]

	* elf/Makefile: Modified.
	* elf/tst-ifunc-fault-bindnow.c: New file.
	* elf/tst-ifunc-fault-lazy.c: New file.
	* sysdeps/aarch64/dl-machine.h: Modified.
	[RESOLVE_MAP](elf_machine_rela): Modified function.
	* sysdeps/arm/dl-machine.h: Modified.
	[RESOLVE_MAP][! RTLD_BOOTSTRAP](elf_machine_rela): Modified function.
	[RESOLVE_MAP](elf_machine_rel): Modified function.
	* sysdeps/i386/dl-machine.h: Modified.
	[RESOLVE_MAP][! RTLD_BOOTSTRAP](elf_machine_rela): Modified function.
	[RESOLVE_MAP](elf_machine_rel): Modified function.
	* sysdeps/sparc/sparc32/dl-machine.h: Modified.
	[RESOLVE_MAP](elf_machine_rela): Modified function.
	* sysdeps/sparc/sparc64/dl-machine.h: Modified.
	[RESOLVE_MAP](elf_machine_rela): Modified function.
	* sysdeps/x86_64/dl-machine.h: Modified.
	[RESOLVE_MAP](elf_machine_rela): Modified function.

2019-12-02  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 61a7c9df71ee4e6f94b56c20f0d37c6e17d5f284
	elf/tst-dlopenfail: Disable --no-as-needed for tst-dlopenfailmod1.so

	* elf/Makefile: Modified.

2019-12-01  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: dd67928700bc9b5954c93b29a6e0b0c4b279d454
	hurd: Fix ld.so __access override from libc

	* include/unistd.h: Modified.
	[! _ISOMAC](__access): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): New.
	* io/access.c: Modified.
	(libc_hidden_def): New.
	* sysdeps/mach/hurd/Versions: Modified.
	* sysdeps/mach/hurd/access.c: Modified.
	(libc_hidden_def): New.
	* sysdeps/mach/hurd/i386/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/access.c: Modified.
	(libc_hidden_def): New.

2019-12-01  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: db25266c9202a1235ce2e2f8a4f84cfb86254196
	hurd: Fix ld.so __getcwd override from libc

	* include/unistd.h: Modified.
	[! _ISOMAC](__getcwd): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): New.
	* io/getcwd.c: Modified.
	(libc_hidden_def): New.
	* sysdeps/mach/hurd/Versions: Modified.
	* sysdeps/mach/hurd/getcwd.c: Modified.
	(libc_hidden_def): New.
	* sysdeps/mach/hurd/i386/localplt.data: Modified.
	* sysdeps/posix/getcwd.c: Modified.
	[_LIBC && ! __getcwd](libc_hidden_def): New.
	* sysdeps/unix/sysv/linux/getcwd.c: Modified.
	(libc_hidden_def): New.

2019-12-01  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 892badc9bbcd4a6f8c2eb6c8a99be3aa22517532
	hurd: Make __sigprocmask GLIBC_PRIVATE

	* sysdeps/mach/hurd/Versions: Modified.
	* sysdeps/mach/hurd/i386/ld.abilist: Modified.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.

2019-12-01  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: d51ca7d6ad1ab41ee8c86680cc82a3b75cbb6fd3
	hurd: Fix renameat2 error

	* sysdeps/mach/hurd/renameat2.c: Modified.
	(__renameat2): Modified function.

2019-12-01  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 563202976e5786ecef491d45e6c0fada2b8d0fdb
	hurd: make strerror(0) coherent with other ports

	* mach/err_kern.sub: Modified.

2019-12-01  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: d5ed9ba29a3c818b3433a1784862494968abda45
	hurd: Fix ld.so link

	* sysdeps/mach/hurd/Versions: Modified.
	* sysdeps/mach/hurd/dl-sysdep.c: Modified.
	(check_no_hidden): New function.
	(__sigprocmask): New function.
	* sysdeps/mach/hurd/i386/ld.abilist: Modified.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/localplt.data: Modified.

2019-11-29  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 26e14efdb88e512b36fe4a8310dc95da521477e3
	Update kernel version to 5.4 in tst-mman-consts.py.

	* sysdeps/unix/sysv/linux/tst-mman-consts.py: Modified.

2019-11-29  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 96958e2700f5b4f4d1183a0606b2b9848a53ea44
	Update SOMAXCONN value from Linux 5.4.

	* sysdeps/unix/sysv/linux/bits/socket.h: Modified.
	(SOMAXCONN): Modified.

2019-11-28  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: a331150af65477fc3fa72ab341eed5e0b2daf7f3
	Update syscall-names.list for Linux 5.4.

	* sysdeps/unix/sysv/linux/syscall-names.list: Modified.

2019-11-28  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: cdf203668eedb50db09f66cff494d44178d37131
	Fix syntax error in build-many-glibcs.py.

	* scripts/build-many-glibcs.py: Modified.

2019-11-28  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: aa9452a3b19e414678062c65ff7a2133482d62c3
	Define MADV_COLD and MADV_PAGEOUT from Linux 5.4.

	* sysdeps/unix/sysv/linux/bits/mman-linux.h: Modified.
	[__USE_MISC](MADV_COLD): New.
	[__USE_MISC](MADV_PAGEOUT): New.

2019-11-27  Florian Weimer  <fweimer@redhat.com>

	COMMIT: e37c2cf299b61ce18f62852f6c5624c27829b610
	Move _dl_open_check to its original place in dl_open_worker

	* elf/dl-open.c: Modified.
	(dl_open_worker): Modified function.

2019-11-27  Florian Weimer  <fweimer@redhat.com>

	COMMIT: a2e8aa0d9ea648068d8be52dd7b15f1b6a008e23
	Block signals during the initial part of dlopen

	* elf/dl-open.c: Modified.
	(dl_open_args): Modified.
	(dl_open_worker): Modified function.
	(_dl_open): Modified function.
	(internal-signals.h): Include file.

2019-11-27  Florian Weimer  <fweimer@redhat.com>

	COMMIT: f63b73814f74032c0e5d0a83300e3d864ef905e5
	Remove all loaded objects if dlopen fails, ignoring NODELETE [BZ #20839]

	* elf/Makefile: Modified.
	* elf/dl-close.c: Modified.
	(_dl_close_worker): Modified function.
	(_dl_close): Modified function.
	* elf/dl-lookup.c: Modified.
	(do_lookup_unique): Modified function.
	(do_lookup_x): Modified function.
	(add_dependency): Modified function.
	* elf/dl-open.c: Modified.
	(dl_open_worker): Modified function.
	(activate_nodelete): New function.
	* elf/get-dynamic-info.h: Modified.
	[! RESOLVE_MAP](elf_get_dynamic_info): Modified function.
	[RESOLVE_MAP](elf_get_dynamic_info): Modified function.
	* elf/tst-dlopenfail.c: New file.
	* elf/tst-dlopenfaillinkmod.c: New file.
	* elf/tst-dlopenfailmod1.c: New file.
	* elf/tst-dlopenfailmod2.c: New file.
	* include/link.h: Modified.
	[! _ISOMAC](link_map): Modified.
	[! _ISOMAC](link_map_nodelete): New.

2019-11-27  Florian Weimer  <fweimer@redhat.com>

	COMMIT: a509eb117fac1d764b15eba64993f4bdb63d7f3c
	Avoid late dlopen failure due to scope, TLS slotinfo updates [BZ #25112]

	* elf/dl-open.c: Modified.
	(dl_open_worker): Modified function.
	(array_length.h): Include file.
	(scope_has_map): New function.
	(scope_size): New function.
	(resize_scopes): New function.
	(update_scopes): New function.
	(resize_tls_slotinfo): New function.
	(update_tls_slotinfo): New function.
	* elf/dl-tls.c: Modified.
	(_dl_add_to_slotinfo): Modified function.
	* elf/rtld.c: Modified.
	(dl_main): Modified function.
	* sysdeps/generic/ldsodefs.h: Modified.
	[IS_IN (rtld)](_dl_add_to_slotinfo): Modified.

2019-11-27  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 440b7f8653e4ed8f6e1425145208050b795e9a6c
	Avoid late failure in dlopen in global scope update [BZ #25112]

	* elf/dl-open.c: Modified.
	(dl_open_args): Modified.
	(add_to_global): Remove function.
	(dl_open_worker): Modified function.
	(_dl_open): Modified function.
	(add_to_global_resize_failure): New function.
	(add_to_global_resize): New function.
	(add_to_global_update): New function.
	* sysdeps/generic/ldsodefs.h: Modified.
	[SHARED](rtld_global): Modified.

2019-11-27  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 79e0cd7b3c997e211fad44a81fd839dc5b2546e8
	Lazy binding failures during dlopen/dlclose must be fatal [BZ #24304]

	* NEWS: Modified.
	* elf/Makefile: Modified.
	* elf/dl-close.c: Modified.
	(_dl_close_worker): Modified function.
	(call_destructors): New function.
	* elf/dl-open.c: Modified.
	(dl_open_worker): Modified function.
	(dl_init_args): New.
	(call_dl_init): New function.
	* elf/tst-finilazyfailmod.c: New file.
	* elf/tst-initfinilazyfail.c: New file.
	* elf/tst-initlazyfailmod.c: New file.

2019-11-27  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 446997ff1433d33452b81dfa9e626b8dccf101a4
	resolv: Implement trust-ad option for /etc/resolv.conf [BZ #20358]

	* NEWS: Modified.
	* resolv/Makefile: Modified.
	* resolv/res_debug.c: Modified.
	[SHLIB_COMPAT (libresolv, GLIBC_2_0, GLIBC_2_26)](p_option): Modified function.
	* resolv/res_init.c: Modified.
	(res_setoptions): Modified function.
	* resolv/res_mkquery.c: Modified.
	(__res_context_mkquery): Modified function.
	* resolv/res_send.c: Modified.
	(__res_context_send): Modified function.
	(mask_ad_bit): New function.
	* resolv/resolv.h: Modified.
	(RES_TRUSTAD): New.
	* resolv/tst-resolv-res_init-skeleton.c: Modified.
	(print_resp): Modified function.
	(test_file_contents): Modified function.
	(name): New.
	(conf): New.
	* resolv/tst-resolv-trustad.c: New file.
	* support/resolv_test.c: Modified.
	(resolv_response_init): Modified function.
	* support/resolv_test.h: Modified.
	(resolv_response_flags): Modified.

2019-11-27  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 4a2ab5843a5cc4a5db1b3b79916a520ea8b115dc
	dlsym: Do not determine caller link map if not needed

	* elf/dl-sym.c: Modified.
	(do_sym): Modified function.
	(find_caller_link_map): New function.

2019-11-27  Florian Weimer  <fweimer@redhat.com>

	COMMIT: cb61630ed712d033f54295f776967532d3f4b46a
	libio: Disable vtable validation for pre-2.1 interposed handles [BZ #25203]

	* libio/oldstdfiles.c: Modified.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_1)][__GNUC__ && __GNUC__ >= 2](_IO_check_libio): Modified function.

2019-11-27  Gabriel F. T. Gomes  <gabrielftg@linux.ibm.com>

	COMMIT: 381b76d7a3511e152675018457bd432fa2657928
	ldbl-128ibm-compat: Add syslog functions

	* sysdeps/ieee754/ldbl-128ibm-compat/Makefile: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/Versions: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-syslog.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-syslog-chk-ibm128.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-syslog-chk-ieee128.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-syslog-chk-ldbl-compat.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-syslog-ibm128.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-syslog-ieee128.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-syslog-ldbl-compat-template.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-syslog-ldbl-compat.c: New file.

2019-11-27  Gabriel F. T. Gomes  <gabrielftg@linux.ibm.com>

	COMMIT: 590ef889bc7afe42d4feec94e1c4fbd4ddd65226
	ldbl-128ibm-compat: Add obstack printing functions

	* sysdeps/ieee754/ldbl-128ibm-compat/Makefile: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/Versions: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-obprintf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-obstack_chk.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vobstack_chk.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-obstack-chk-ibm128.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-obstack-chk-ieee128.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-obstack-chk-ldbl-compat.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-obstack-ibm128.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-obstack-ieee128.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-obstack-ldbl-compat-template.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-obstack-ldbl-compat.c: New file.

2019-11-27  Gabriel F. T. Gomes  <gabrielftg@linux.ibm.com>

	COMMIT: ff3cb5accb80471df69fac2c0dded9cab794220a
	ldbl-128ibm-compat: Reuse tests for err.h and error.h functions

	* sysdeps/ieee754/ldbl-128ibm-compat/Makefile: Modified.

2019-11-27  Gabriel F. T. Gomes  <gabrielftg@linux.ibm.com>

	COMMIT: 9f25935dda6973292e989302752d11e720e23c0c
	ldbl-128ibm-compat: Add error.h functions

	* sysdeps/ieee754/ldbl-128ibm-compat/Makefile: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/Versions: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-error.c: New file.

2019-11-27  Gabriel F. T. Gomes  <gabrielftg@linux.ibm.com>

	COMMIT: a23ed314630aeb762dad274d2b446a39e26a8c0d
	ldbl-128ibm-compat: Add err.h functions

	* sysdeps/ieee754/ldbl-128ibm-compat/Makefile: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/Versions: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-err.c: New file.

2019-11-27  Gabriel F. T. Gomes  <gabrielftg@linux.ibm.com>

	COMMIT: 77607e7d44e255f83e4df55d55ecb52867a86f03
	ldbl-128ibm-compat: Add argp_error and argp_failure

	* sysdeps/ieee754/ldbl-128ibm-compat/Makefile: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/Versions: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-argp-help.c: New file.

2019-11-27  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 3b5ebe85aabfa44583a18a7ef51bc4d387e362c1
	sparc: Use atomic compiler builtins on sparc

	* sysdeps/sparc/Makefile: Modified.
	* sysdeps/sparc/atomic-machine.h: New file.
	* sysdeps/sparc/sparc64/cpu_relax.c: Move to...
	* sysdeps/sparc/cpu_relax.c: ... here.
	(__cpu_relax_generic): Remove function.
	(__cpu_relax_pause): Remove function.
	[__sparc_v9__](__cpu_relax_generic): New.
	[__sparc_v9__](__cpu_relax_pause): New.
	* sysdeps/sparc/sparc32/atomic-machine.h: Delete file.
	* sysdeps/sparc/sparc32/configure: Modified.
	* sysdeps/sparc/sparc32/configure.ac: Modified.
	* sysdeps/sparc/sparc32/lowlevellock.c: Delete file.
	* sysdeps/sparc/sparc32/pthread_barrier_wait.c: Delete file.
	* sysdeps/sparc/sparc32/sem_post.c: Delete file.
	* sysdeps/sparc/sparc32/sem_waitcommon.c: Delete file.
	* sysdeps/sparc/sparc32/sparcv9/Makefile: Modified.
	* sysdeps/sparc/sparc32/sparcv9/atomic-machine.h: Delete file.
	* sysdeps/sparc/sparc32/sparcv9/cpu_relax.c: Delete file.
	* sysdeps/sparc/sparc64/Makefile: Modified.
	* sysdeps/sparc/sparc64/atomic-machine.h: Delete file.
	* sysdeps/unix/sysv/linux/sparc/lowlevellock.h: Delete file.

2019-11-27  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 5d9b7b9fa734c5381e0295c85c0e40520d9f6063
	Remove 32 bit sparc v7 support

	* NEWS: Modified.
	* scripts/build-many-glibcs.py: Modified.
	* sysdeps/sparc/preconfigure: Modified.
	* sysdeps/sparc/sparc32/Makefile: Modified.
	* sysdeps/sparc/sparc32/addmul_1.S: Modified.
	* sysdeps/sparc/sparc32/configure: New file.
	* sysdeps/sparc/sparc32/configure.ac: New file.
	* sysdeps/sparc/sparc32/divrem.m4: Delete file.
	* sysdeps/sparc/sparc32/dotmul.S: Modified.
	* sysdeps/sparc/sparc32/mul_1.S: Modified.
	* sysdeps/sparc/sparc32/rem.S: Modified.
	* sysdeps/sparc/sparc32/sdiv.S: Modified.
	* sysdeps/sparc/sparc32/sparcv8/Makefile: Delete file.
	* sysdeps/sparc/sparc32/sparcv8/addmul_1.S: Delete file.
	* sysdeps/sparc/sparc32/sparcv8/dotmul.S: Delete file.
	* sysdeps/sparc/sparc32/sparcv8/mul_1.S: Delete file.
	* sysdeps/sparc/sparc32/sparcv8/rem.S: Delete file.
	* sysdeps/sparc/sparc32/sparcv8/sdiv.S: Delete file.
	* sysdeps/sparc/sparc32/sparcv8/submul_1.S: Delete file.
	* sysdeps/sparc/sparc32/sparcv8/udiv.S: Delete file.
	* sysdeps/sparc/sparc32/sparcv8/umul.S: Delete file.
	* sysdeps/sparc/sparc32/sparcv8/urem.S: Delete file.
	* sysdeps/sparc/sparc32/submul_1.S: Modified.
	* sysdeps/sparc/sparc32/udiv.S: Modified.
	* sysdeps/sparc/sparc32/umul.S: Modified.
	* sysdeps/sparc/sparc32/urem.S: Modified.

2019-11-27  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: bfdb731438206b0f70fe7afa890681155c30b419
	S390: Fix handling of needles crossing a page in strstr z15 ifunc-variant. [BZ #25226]

	* string/test-strstr.c: Modified.
	(check2): Modified function.
	* sysdeps/s390/strstr-arch13.S: Modified.

2019-11-26  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: acfe409119f5db9429a2a2235fd2ad1242940cac
	nptl: Fix __PTHREAD_MUTEX_INITIALIZER for !__PTHREAD_MUTEX_HAVE_PREV

	* sysdeps/nptl/bits/struct_mutex.h: Modified.
	[__PTHREAD_MUTEX_HAVE_PREV != 1](__PTHREAD_MUTEX_INITIALIZER): Modified.

2019-11-26  Sandra Loosemore  <sandra@codesourcery.com>

	COMMIT: c72e5cd87dcb075782f9b6beea024b984f2e1130
	Compile elf/rtld.c with -fno-tree-loop-distribute-patterns.

	* elf/Makefile: Modified.

2019-11-26  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: cc0e0b097c3e2176b51c32c09a76766e890cd2d4
	hppa: Remove unrequired nptl headers

	* sysdeps/unix/sysv/linux/hppa/pthread.h: Delete file.

2019-11-26  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 7ddac7f265d3db6888c68b04b86e265d15859ce5
	nptl: Add default pthread-offsets.h

	* sysdeps/aarch64/nptl/pthread-offsets.h: Delete file.
	* sysdeps/alpha/nptl/pthread-offsets.h: Delete file.
	* sysdeps/arm/nptl/pthread-offsets.h: Delete file.
	* sysdeps/csky/nptl/pthread-offsets.h: Delete file.
	* sysdeps/ia64/nptl/pthread-offsets.h: Delete file.
	* sysdeps/m68k/nptl/pthread-offsets.h: Delete file.
	* sysdeps/microblaze/nptl/pthread-offsets.h: Delete file.
	* sysdeps/nios2/nptl/pthread-offsets.h: Delete file.
	* sysdeps/nptl/pthread-offsets.h: New file.
	* sysdeps/riscv/nptl/pthread-offsets.h: Delete file.
	* sysdeps/sh/nptl/pthread-offsets.h: Delete file.
	* sysdeps/sparc/nptl/pthread-offsets.h: Delete file.

2019-11-26  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 94a62cc55a3175fd375081d9b4366479371ed2ab
	nptl: Add default pthreadtypes-arch.h

	* sysdeps/alpha/nptl/bits/pthreadtypes-arch.h: Delete file.
	* sysdeps/arm/nptl/bits/pthreadtypes-arch.h: Delete file.
	* sysdeps/csky/nptl/bits/pthreadtypes-arch.h: Delete file.
	* sysdeps/ia64/nptl/bits/pthreadtypes-arch.h: Delete file.
	* sysdeps/microblaze/nptl/bits/pthreadtypes-arch.h: Delete file.
	* sysdeps/s390/nptl/bits/pthreadtypes-arch.h: Move to...
	* sysdeps/nptl/bits/pthreadtypes-arch.h: ... here.
	* sysdeps/powerpc/nptl/bits/pthreadtypes-arch.h: Delete file.
	* sysdeps/sh/nptl/bits/pthreadtypes-arch.h: Delete file.
	* sysdeps/sparc/nptl/bits/pthreadtypes-arch.h: Delete file.

2019-11-26  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 7df8af43ad1cd8ce527444de50bee6f35eebe071
	nptl: Add struct_rwlock.h

	* nptl/Makefile: Modified.
	* sysdeps/aarch64/nptl/bits/pthreadtypes-arch.h: Modified.
	(__pthread_rwlock_arch_t): Remove.
	* sysdeps/aarch64/nptl/bits/struct_rwlock.h: New file.
	* sysdeps/alpha/nptl/bits/pthreadtypes-arch.h: Modified.
	(__pthread_rwlock_arch_t): Remove.
	* sysdeps/alpha/nptl/bits/struct_rwlock.h: New file.
	* sysdeps/arm/nptl/bits/pthreadtypes-arch.h: Modified.
	(__pthread_rwlock_arch_t): Remove.
	* sysdeps/csky/nptl/bits/pthreadtypes-arch.h: Modified.
	(__pthread_rwlock_arch_t): Remove.
	* sysdeps/hppa/nptl/bits/pthreadtypes-arch.h: Modified.
	(__pthread_rwlock_arch_t): Remove.
	* sysdeps/hppa/nptl/bits/struct_rwlock.h: New file.
	* sysdeps/ia64/nptl/bits/pthreadtypes-arch.h: Modified.
	(__pthread_rwlock_arch_t): Remove.
	* sysdeps/ia64/nptl/bits/struct_rwlock.h: New file.
	* sysdeps/m68k/nptl/bits/pthreadtypes-arch.h: Modified.
	(__pthread_rwlock_arch_t): Remove.
	* sysdeps/microblaze/nptl/bits/pthreadtypes-arch.h: Modified.
	(__pthread_rwlock_arch_t): Remove.
	* sysdeps/mips/nptl/bits/pthreadtypes-arch.h: Modified.
	(__pthread_rwlock_arch_t): Remove.
	* sysdeps/mips/nptl/bits/struct_rwlock.h: New file.
	* sysdeps/nios2/nptl/bits/pthreadtypes-arch.h: Modified.
	(__pthread_rwlock_arch_t): Remove.
	* sysdeps/nptl/bits/struct_rwlock.h: New file.
	* sysdeps/nptl/bits/thread-shared-types.h: Modified.
	(bits/struct_rwlock.h): Include file.
	* sysdeps/nptl/pthread.h: Modified.
	[__USE_UNIX98 ||  __USE_XOPEN2K][! __PTHREAD_RWLOCK_INT_FLAGS_SHARED][__WORDSIZE == 64](__PTHREAD_RWLOCK_INT_FLAGS_SHARED): Remove.
	[__USE_UNIX98 ||  __USE_XOPEN2K][__USE_GNU][! __PTHREAD_RWLOCK_INT_FLAGS_SHARED][__BYTE_ORDER != __LITTLE_ENDIAN](PTHREAD_RWLOCK_WRITER_NONRECURSIVE_INITIALIZER_NP): Remove.
	[__USE_UNIX98 ||  __USE_XOPEN2K][__USE_GNU][! __PTHREAD_RWLOCK_INT_FLAGS_SHARED][__BYTE_ORDER == __LITTLE_ENDIAN](PTHREAD_RWLOCK_WRITER_NONRECURSIVE_INITIALIZER_NP): Remove.
	[__USE_UNIX98 ||  __USE_XOPEN2K][__USE_GNU][__PTHREAD_RWLOCK_INT_FLAGS_SHARED](PTHREAD_RWLOCK_WRITER_NONRECURSIVE_INITIALIZER_NP): Remove.
	[__USE_UNIX98 ||  __USE_XOPEN2K][__USE_GNU](PTHREAD_RWLOCK_WRITER_NONRECURSIVE_INITIALIZER_NP): New.
	[__USE_UNIX98 ||  __USE_XOPEN2K](PTHREAD_RWLOCK_INITIALIZER): Modified.
	* sysdeps/powerpc/nptl/bits/pthreadtypes-arch.h: Modified.
	(__pthread_rwlock_arch_t): Remove.
	* sysdeps/powerpc/nptl/bits/struct_rwlock.h: New file.
	* sysdeps/riscv/nptl/bits/pthreadtypes-arch.h: Modified.
	(__pthread_rwlock_arch_t): Remove.
	* sysdeps/riscv/nptl/bits/struct_rwlock.h: New file.
	* sysdeps/s390/nptl/bits/pthreadtypes-arch.h: Modified.
	(__pthread_rwlock_arch_t): Remove.
	* sysdeps/s390/nptl/bits/struct_rwlock.h: New file.
	* sysdeps/sh/nptl/bits/pthreadtypes-arch.h: Modified.
	(__pthread_rwlock_arch_t): Remove.
	* sysdeps/sparc/nptl/bits/pthreadtypes-arch.h: Modified.
	(__pthread_rwlock_arch_t): Remove.
	* sysdeps/sparc/nptl/bits/struct_rwlock.h: New file.
	* sysdeps/unix/sysv/linux/hppa/pthread.h: Modified.
	[__USE_UNIX98 ||  __USE_XOPEN2K][! __PTHREAD_RWLOCK_INT_FLAGS_SHARED][__WORDSIZE == 64](__PTHREAD_RWLOCK_INT_FLAGS_SHARED): Remove.
	[__USE_UNIX98 ||  __USE_XOPEN2K][__USE_GNU](PTHREAD_RWLOCK_WRITER_NONRECURSIVE_INITIALIZER_NP): Modified.
	[__USE_UNIX98 ||  __USE_XOPEN2K](PTHREAD_RWLOCK_INITIALIZER): Modified.
	* sysdeps/x86/nptl/bits/pthreadtypes-arch.h: Modified.
	(__pthread_rwlock_arch_t): Remove.
	* sysdeps/x86/nptl/bits/struct_rwlock.h: New file.

2019-11-26  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 1c3f9acf1f1f75faa7a28bf39af64afda93839ac
	nptl: Add struct_mutex.h

	* nptl/Makefile: Modified.
	* sysdeps/aarch64/nptl/bits/pthreadtypes-arch.h: Modified.
	(__PTHREAD_COMPAT_PADDING_MID): Remove.
	(__PTHREAD_COMPAT_PADDING_END): Remove.
	(__PTHREAD_MUTEX_LOCK_ELISION): Remove.
	(__PTHREAD_MUTEX_NUSERS_AFTER_KIND): Remove.
	(__PTHREAD_MUTEX_USE_UNION): Remove.
	* sysdeps/alpha/nptl/bits/pthreadtypes-arch.h: Modified.
	(__PTHREAD_COMPAT_PADDING_MID): Remove.
	(__PTHREAD_COMPAT_PADDING_END): Remove.
	(__PTHREAD_MUTEX_LOCK_ELISION): Remove.
	(__PTHREAD_MUTEX_NUSERS_AFTER_KIND): Remove.
	(__PTHREAD_MUTEX_USE_UNION): Remove.
	* sysdeps/arm/nptl/bits/pthreadtypes-arch.h: Modified.
	(__PTHREAD_COMPAT_PADDING_MID): Remove.
	(__PTHREAD_COMPAT_PADDING_END): Remove.
	(__PTHREAD_MUTEX_LOCK_ELISION): Remove.
	(__PTHREAD_MUTEX_NUSERS_AFTER_KIND): Remove.
	(__PTHREAD_MUTEX_USE_UNION): Remove.
	* sysdeps/csky/nptl/bits/pthreadtypes-arch.h: Modified.
	(__PTHREAD_COMPAT_PADDING_MID): Remove.
	(__PTHREAD_COMPAT_PADDING_END): Remove.
	(__PTHREAD_MUTEX_LOCK_ELISION): Remove.
	(__PTHREAD_MUTEX_NUSERS_AFTER_KIND): Remove.
	(__PTHREAD_MUTEX_USE_UNION): Remove.
	* sysdeps/hppa/nptl/bits/pthreadtypes-arch.h: Modified.
	(__PTHREAD_COMPAT_PADDING_MID): Remove.
	(__PTHREAD_COMPAT_PADDING_END): Remove.
	(__PTHREAD_MUTEX_LOCK_ELISION): Remove.
	(__PTHREAD_MUTEX_NUSERS_AFTER_KIND): Remove.
	(__PTHREAD_MUTEX_USE_UNION): Remove.
	* sysdeps/hppa/nptl/bits/struct_mutex.h: New file.
	* sysdeps/ia64/nptl/bits/pthreadtypes-arch.h: Modified.
	(__PTHREAD_COMPAT_PADDING_MID): Remove.
	(__PTHREAD_COMPAT_PADDING_END): Remove.
	(__PTHREAD_MUTEX_LOCK_ELISION): Remove.
	(__PTHREAD_MUTEX_NUSERS_AFTER_KIND): Remove.
	(__PTHREAD_MUTEX_USE_UNION): Remove.
	* sysdeps/m68k/nptl/bits/pthreadtypes-arch.h: Modified.
	(__PTHREAD_COMPAT_PADDING_MID): Remove.
	(__PTHREAD_COMPAT_PADDING_END): Remove.
	(__PTHREAD_MUTEX_LOCK_ELISION): Remove.
	(__PTHREAD_MUTEX_NUSERS_AFTER_KIND): Remove.
	(__PTHREAD_MUTEX_USE_UNION): Remove.
	* sysdeps/microblaze/nptl/bits/pthreadtypes-arch.h: Modified.
	(__PTHREAD_COMPAT_PADDING_MID): Remove.
	(__PTHREAD_COMPAT_PADDING_END): Remove.
	(__PTHREAD_MUTEX_LOCK_ELISION): Remove.
	(__PTHREAD_MUTEX_NUSERS_AFTER_KIND): Remove.
	(__PTHREAD_MUTEX_USE_UNION): Remove.
	* sysdeps/mips/nptl/bits/pthreadtypes-arch.h: Modified.
	(__PTHREAD_COMPAT_PADDING_MID): Remove.
	(__PTHREAD_COMPAT_PADDING_END): Remove.
	(__PTHREAD_MUTEX_LOCK_ELISION): Remove.
	(__PTHREAD_MUTEX_NUSERS_AFTER_KIND): Remove.
	(__PTHREAD_MUTEX_USE_UNION): Remove.
	* sysdeps/mips/nptl/bits/struct_mutex.h: New file.
	* sysdeps/nios2/nptl/bits/pthreadtypes-arch.h: Modified.
	(__PTHREAD_COMPAT_PADDING_MID): Remove.
	(__PTHREAD_COMPAT_PADDING_END): Remove.
	(__PTHREAD_MUTEX_LOCK_ELISION): Remove.
	(__PTHREAD_MUTEX_NUSERS_AFTER_KIND): Remove.
	(__PTHREAD_MUTEX_USE_UNION): Remove.
	* sysdeps/nptl/bits/struct_mutex.h: New file.
	* sysdeps/nptl/bits/thread-shared-types.h: Modified.
	[! __PTHREAD_MUTEX_LOCK_ELISION](__PTHREAD_SPINS_DATA): Remove.
	[! __PTHREAD_MUTEX_LOCK_ELISION](__PTHREAD_SPINS): Remove.
	[!__PTHREAD_MUTEX_USE_UNION](__pthread_internal_list): Remove.
	[__PTHREAD_MUTEX_LOCK_ELISION][!__PTHREAD_MUTEX_USE_UNION](__PTHREAD_SPINS_DATA): Remove.
	[__PTHREAD_MUTEX_LOCK_ELISION][!__PTHREAD_MUTEX_USE_UNION](__PTHREAD_SPINS): Remove.
	[__PTHREAD_MUTEX_LOCK_ELISION][__PTHREAD_MUTEX_USE_UNION](__PTHREAD_SPINS_DATA): Remove.
	[__PTHREAD_MUTEX_LOCK_ELISION][__PTHREAD_MUTEX_USE_UNION](__PTHREAD_SPINS): Remove.
	[__PTHREAD_MUTEX_LOCK_ELISION][__PTHREAD_MUTEX_USE_UNION](__spins): Remove.
	[__PTHREAD_MUTEX_LOCK_ELISION][__PTHREAD_MUTEX_USE_UNION](__elision): Remove.
	[__PTHREAD_MUTEX_USE_UNION](__pthread_internal_slist): Remove.
	(__pthread_mutex_s): Remove.
	(__pthread_internal_list): New.
	(__pthread_internal_slist): New.
	(bits/struct_mutex.h): Include file.
	* sysdeps/nptl/pthread.h: Modified.
	[! __PTHREAD_MUTEX_HAVE_PREV][__USE_GNU](PTHREAD_RECURSIVE_MUTEX_INITIALIZER_NP): Remove.
	[! __PTHREAD_MUTEX_HAVE_PREV][__USE_GNU](PTHREAD_ERRORCHECK_MUTEX_INITIALIZER_NP): Remove.
	[! __PTHREAD_MUTEX_HAVE_PREV][__USE_GNU](PTHREAD_ADAPTIVE_MUTEX_INITIALIZER_NP): Remove.
	[! __PTHREAD_MUTEX_HAVE_PREV](PTHREAD_MUTEX_INITIALIZER): Remove.
	[__PTHREAD_MUTEX_HAVE_PREV][__USE_GNU](PTHREAD_RECURSIVE_MUTEX_INITIALIZER_NP): Remove.
	[__PTHREAD_MUTEX_HAVE_PREV][__USE_GNU](PTHREAD_ERRORCHECK_MUTEX_INITIALIZER_NP): Remove.
	[__PTHREAD_MUTEX_HAVE_PREV][__USE_GNU](PTHREAD_ADAPTIVE_MUTEX_INITIALIZER_NP): Remove.
	[__PTHREAD_MUTEX_HAVE_PREV](PTHREAD_MUTEX_INITIALIZER): Remove.
	[__USE_GNU](PTHREAD_RECURSIVE_MUTEX_INITIALIZER_NP): New.
	[__USE_GNU](PTHREAD_ERRORCHECK_MUTEX_INITIALIZER_NP): New.
	[__USE_GNU](PTHREAD_ADAPTIVE_MUTEX_INITIALIZER_NP): New.
	(PTHREAD_MUTEX_INITIALIZER): New.
	* sysdeps/powerpc/nptl/bits/pthreadtypes-arch.h: Modified.
	(__PTHREAD_COMPAT_PADDING_MID): Remove.
	(__PTHREAD_COMPAT_PADDING_END): Remove.
	(__PTHREAD_MUTEX_LOCK_ELISION): Remove.
	(__PTHREAD_MUTEX_NUSERS_AFTER_KIND): Remove.
	(__PTHREAD_MUTEX_USE_UNION): Remove.
	* sysdeps/powerpc/nptl/bits/struct_mutex.h: New file.
	* sysdeps/riscv/nptl/bits/pthreadtypes-arch.h: Modified.
	(__PTHREAD_COMPAT_PADDING_MID): Remove.
	(__PTHREAD_COMPAT_PADDING_END): Remove.
	(__PTHREAD_MUTEX_LOCK_ELISION): Remove.
	(__PTHREAD_MUTEX_USE_UNION): Remove.
	(__PTHREAD_MUTEX_NUSERS_AFTER_KIND): Remove.
	* sysdeps/s390/nptl/bits/pthreadtypes-arch.h: Modified.
	(__PTHREAD_COMPAT_PADDING_MID): Remove.
	(__PTHREAD_COMPAT_PADDING_END): Remove.
	(__PTHREAD_MUTEX_LOCK_ELISION): Remove.
	(__PTHREAD_MUTEX_NUSERS_AFTER_KIND): Remove.
	(__PTHREAD_MUTEX_USE_UNION): Remove.
	* sysdeps/s390/nptl/bits/struct_mutex.h: New file.
	* sysdeps/sh/nptl/bits/pthreadtypes-arch.h: Modified.
	(__PTHREAD_COMPAT_PADDING_MID): Remove.
	(__PTHREAD_COMPAT_PADDING_END): Remove.
	(__PTHREAD_MUTEX_LOCK_ELISION): Remove.
	(__PTHREAD_MUTEX_NUSERS_AFTER_KIND): Remove.
	(__PTHREAD_MUTEX_USE_UNION): Remove.
	* sysdeps/sparc/nptl/bits/pthreadtypes-arch.h: Modified.
	(__PTHREAD_COMPAT_PADDING_MID): Remove.
	(__PTHREAD_COMPAT_PADDING_END): Remove.
	(__PTHREAD_MUTEX_LOCK_ELISION): Remove.
	(__PTHREAD_MUTEX_NUSERS_AFTER_KIND): Remove.
	(__PTHREAD_MUTEX_USE_UNION): Remove.
	* sysdeps/unix/sysv/linux/hppa/pthread.h: Modified.
	[__USE_GNU](PTHREAD_RECURSIVE_MUTEX_INITIALIZER_NP): Modified.
	[__USE_GNU](PTHREAD_ERRORCHECK_MUTEX_INITIALIZER_NP): Modified.
	[__USE_GNU](PTHREAD_ADAPTIVE_MUTEX_INITIALIZER_NP): Modified.
	(PTHREAD_MUTEX_INITIALIZER): Modified.
	* sysdeps/x86/nptl/bits/pthreadtypes-arch.h: Modified.
	[! __x86_64__](__PTHREAD_MUTEX_NUSERS_AFTER_KIND): Remove.
	[! __x86_64__](__PTHREAD_MUTEX_USE_UNION): Remove.
	[__x86_64__](__PTHREAD_MUTEX_NUSERS_AFTER_KIND): Remove.
	[__x86_64__](__PTHREAD_MUTEX_USE_UNION): Remove.
	(__PTHREAD_COMPAT_PADDING_MID): Remove.
	(__PTHREAD_COMPAT_PADDING_END): Remove.
	(__PTHREAD_MUTEX_LOCK_ELISION): Remove.
	* sysdeps/x86/nptl/bits/struct_mutex.h: New file.

2019-11-26  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 0377a7fde6dfcc078dda29a1225d7720a0931357
	nptl: Remove rwlock elision definitions

	* sysdeps/aarch64/nptl/bits/pthreadtypes-arch.h: Modified.
	(__PTHREAD_RWLOCK_ELISION_EXTRA): Remove.
	* sysdeps/alpha/nptl/bits/pthreadtypes-arch.h: Modified.
	(__PTHREAD_RWLOCK_ELISION_EXTRA): Remove.
	* sysdeps/arm/nptl/bits/pthreadtypes-arch.h: Modified.
	(__PTHREAD_RWLOCK_ELISION_EXTRA): Remove.
	* sysdeps/csky/nptl/bits/pthreadtypes-arch.h: Modified.
	(__PTHREAD_RWLOCK_ELISION_EXTRA): Remove.
	* sysdeps/hppa/nptl/bits/pthreadtypes-arch.h: Modified.
	(__PTHREAD_RWLOCK_ELISION_EXTRA): Remove.
	* sysdeps/ia64/nptl/bits/pthreadtypes-arch.h: Modified.
	(__PTHREAD_RWLOCK_ELISION_EXTRA): Remove.
	* sysdeps/m68k/nptl/bits/pthreadtypes-arch.h: Modified.
	(__PTHREAD_RWLOCK_ELISION_EXTRA): Remove.
	* sysdeps/microblaze/nptl/bits/pthreadtypes-arch.h: Modified.
	(__PTHREAD_RWLOCK_ELISION_EXTRA): Remove.
	* sysdeps/mips/nptl/bits/pthreadtypes-arch.h: Modified.
	(__PTHREAD_RWLOCK_ELISION_EXTRA): Remove.
	* sysdeps/nios2/nptl/bits/pthreadtypes-arch.h: Modified.
	(__PTHREAD_RWLOCK_ELISION_EXTRA): Remove.
	* sysdeps/nptl/pthread.h: Modified.
	[__USE_UNIX98 ||  __USE_XOPEN2K][__USE_GNU][! __PTHREAD_RWLOCK_INT_FLAGS_SHARED][__BYTE_ORDER == __LITTLE_ENDIAN](PTHREAD_RWLOCK_WRITER_NONRECURSIVE_INITIALIZER_NP): Modified.
	[__USE_UNIX98 ||  __USE_XOPEN2K][__USE_GNU][__PTHREAD_RWLOCK_INT_FLAGS_SHARED](PTHREAD_RWLOCK_WRITER_NONRECURSIVE_INITIALIZER_NP): Modified.
	[__USE_UNIX98 ||  __USE_XOPEN2K](PTHREAD_RWLOCK_INITIALIZER): Modified.
	* sysdeps/powerpc/nptl/bits/pthreadtypes-arch.h: Modified.
	(__pthread_rwlock_arch_t): Modified.
	* sysdeps/riscv/nptl/bits/pthreadtypes-arch.h: Modified.
	(__PTHREAD_RWLOCK_ELISION_EXTRA): Remove.
	* sysdeps/s390/nptl/bits/pthreadtypes-arch.h: Modified.
	(__PTHREAD_RWLOCK_ELISION_EXTRA): Remove.
	* sysdeps/sh/nptl/bits/pthreadtypes-arch.h: Modified.
	(__PTHREAD_RWLOCK_ELISION_EXTRA): Remove.
	* sysdeps/sparc/nptl/bits/pthreadtypes-arch.h: Modified.
	(__PTHREAD_RWLOCK_ELISION_EXTRA): Remove.
	* sysdeps/x86/nptl/bits/pthreadtypes-arch.h: Modified.
	(__pthread_rwlock_arch_t): Modified.

2019-11-26  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 48dbce60cfdd328b671aaa9ee0c54ded3246ece9
	nptl: Add tests for internal pthread_rwlock_t offsets

	* nptl/pthread_rwlock_init.c: Modified.
	(__pthread_rwlock_init): Modified function.
	(pthread-offsets.h): Include file.
	* sysdeps/aarch64/nptl/pthread-offsets.h: Modified.
	(__PTHREAD_RWLOCK_FLAGS_OFFSET): New.
	* sysdeps/alpha/nptl/pthread-offsets.h: Modified.
	(__PTHREAD_RWLOCK_FLAGS_OFFSET): New.
	* sysdeps/arm/nptl/pthread-offsets.h: Modified.
	[__BYTE_ORDER != __BIG_ENDIAN](__PTHREAD_RWLOCK_FLAGS_OFFSET): New.
	[__BYTE_ORDER == __BIG_ENDIAN](__PTHREAD_RWLOCK_FLAGS_OFFSET): New.
	* sysdeps/csky/nptl/pthread-offsets.h: Modified.
	(__PTHREAD_RWLOCK_FLAGS_OFFSET): New.
	* sysdeps/hppa/nptl/pthread-offsets.h: Modified.
	(__PTHREAD_RWLOCK_FLAGS_OFFSET): New.
	* sysdeps/i386/nptl/pthread-offsets.h: Modified.
	(__PTHREAD_RWLOCK_FLAGS_OFFSET): New.
	* sysdeps/ia64/nptl/pthread-offsets.h: Modified.
	(__PTHREAD_RWLOCK_FLAGS_OFFSET): New.
	* sysdeps/m68k/nptl/pthread-offsets.h: Modified.
	(__PTHREAD_RWLOCK_FLAGS_OFFSET): New.
	* sysdeps/microblaze/nptl/pthread-offsets.h: Modified.
	[__BYTE_ORDER != __BIG_ENDIAN](__PTHREAD_RWLOCK_FLAGS_OFFSET): New.
	[__BYTE_ORDER == __BIG_ENDIAN](__PTHREAD_RWLOCK_FLAGS_OFFSET): New.
	* sysdeps/mips/nptl/pthread-offsets.h: Modified.
	[_MIPS_SIM != _ABI64][__BYTE_ORDER != __BIG_ENDIAN](__PTHREAD_RWLOCK_FLAGS_OFFSET): New.
	[_MIPS_SIM != _ABI64][__BYTE_ORDER == __BIG_ENDIAN](__PTHREAD_RWLOCK_FLAGS_OFFSET): New.
	[_MIPS_SIM == _ABI64](__PTHREAD_RWLOCK_FLAGS_OFFSET): New.
	* sysdeps/nios2/nptl/pthread-offsets.h: Modified.
	(__PTHREAD_RWLOCK_FLAGS_OFFSET): New.
	* sysdeps/powerpc/nptl/pthread-offsets.h: Modified.
	[__WORDSIZE != 64](__PTHREAD_RWLOCK_FLAGS_OFFSET): New.
	[__WORDSIZE == 64](__PTHREAD_RWLOCK_FLAGS_OFFSET): New.
	* sysdeps/riscv/nptl/pthread-offsets.h: Modified.
	(__PTHREAD_RWLOCK_FLAGS_OFFSET): New.
	* sysdeps/s390/nptl/pthread-offsets.h: Modified.
	[__WORDSIZE != 64](__PTHREAD_RWLOCK_FLAGS_OFFSET): New.
	[__WORDSIZE == 64](__PTHREAD_RWLOCK_FLAGS_OFFSET): New.
	* sysdeps/sh/nptl/pthread-offsets.h: Modified.
	[__BYTE_ORDER != __BIG_ENDIAN](__PTHREAD_RWLOCK_FLAGS_OFFSET): New.
	[__BYTE_ORDER == __BIG_ENDIAN](__PTHREAD_RWLOCK_FLAGS_OFFSET): New.
	* sysdeps/sparc/nptl/pthread-offsets.h: Modified.
	[__WORDSIZE != 64](__PTHREAD_RWLOCK_FLAGS_OFFSET): New.
	[__WORDSIZE == 64](__PTHREAD_RWLOCK_FLAGS_OFFSET): New.
	* sysdeps/x86_64/nptl/pthread-offsets.h: Modified.
	[! __ILP32__](__PTHREAD_RWLOCK_FLAGS_OFFSET): New.
	[__ILP32__](__PTHREAD_RWLOCK_FLAGS_OFFSET): New.

2019-11-26  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 71d260c1077ce7ab1530809fc826756bdcd032b0
	nptl: Cleanup mutex internal offset tests

	* nptl/pthreadP.h: Modified.
	(ASSERT_PTHREAD_INTERNAL_MEMBER_SIZE): New.
	* nptl/pthread_mutex_init.c: Modified.
	(__pthread_mutex_init): Modified function.
	* sysdeps/aarch64/nptl/pthread-offsets.h: Modified.
	(__PTHREAD_MUTEX_NUSERS_OFFSET): Remove.
	(__PTHREAD_MUTEX_SPINS_OFFSET): Remove.
	(__PTHREAD_MUTEX_ELISION_OFFSET): Remove.
	(__PTHREAD_MUTEX_LIST_OFFSET): Remove.
	* sysdeps/alpha/nptl/pthread-offsets.h: Modified.
	(__PTHREAD_MUTEX_NUSERS_OFFSET): Remove.
	(__PTHREAD_MUTEX_SPINS_OFFSET): Remove.
	(__PTHREAD_MUTEX_ELISION_OFFSET): Remove.
	(__PTHREAD_MUTEX_LIST_OFFSET): Remove.
	* sysdeps/arm/nptl/pthread-offsets.h: Modified.
	(__PTHREAD_MUTEX_NUSERS_OFFSET): Remove.
	(__PTHREAD_MUTEX_SPINS_OFFSET): Remove.
	(__PTHREAD_MUTEX_ELISION_OFFSET): Remove.
	(__PTHREAD_MUTEX_LIST_OFFSET): Remove.
	* sysdeps/csky/nptl/pthread-offsets.h: Modified.
	(__PTHREAD_MUTEX_NUSERS_OFFSET): Remove.
	(__PTHREAD_MUTEX_SPINS_OFFSET): Remove.
	(__PTHREAD_MUTEX_ELISION_OFFSET): Remove.
	(__PTHREAD_MUTEX_LIST_OFFSET): Remove.
	* sysdeps/hppa/nptl/pthread-offsets.h: Modified.
	(__PTHREAD_MUTEX_NUSERS_OFFSET): Remove.
	(__PTHREAD_MUTEX_SPINS_OFFSET): Remove.
	(__PTHREAD_MUTEX_ELISION_OFFSET): Remove.
	(__PTHREAD_MUTEX_LIST_OFFSET): Remove.
	* sysdeps/i386/nptl/pthread-offsets.h: Modified.
	(__PTHREAD_MUTEX_NUSERS_OFFSET): Remove.
	(__PTHREAD_MUTEX_SPINS_OFFSET): Remove.
	(__PTHREAD_MUTEX_ELISION_OFFSET): Remove.
	(__PTHREAD_MUTEX_LIST_OFFSET): Remove.
	* sysdeps/ia64/nptl/pthread-offsets.h: Modified.
	(__PTHREAD_MUTEX_NUSERS_OFFSET): Remove.
	(__PTHREAD_MUTEX_SPINS_OFFSET): Remove.
	(__PTHREAD_MUTEX_ELISION_OFFSET): Remove.
	(__PTHREAD_MUTEX_LIST_OFFSET): Remove.
	* sysdeps/m68k/nptl/pthread-offsets.h: Modified.
	(__PTHREAD_MUTEX_NUSERS_OFFSET): Remove.
	(__PTHREAD_MUTEX_SPINS_OFFSET): Remove.
	(__PTHREAD_MUTEX_ELISION_OFFSET): Remove.
	(__PTHREAD_MUTEX_LIST_OFFSET): Remove.
	* sysdeps/microblaze/nptl/pthread-offsets.h: Modified.
	(__PTHREAD_MUTEX_NUSERS_OFFSET): Remove.
	(__PTHREAD_MUTEX_SPINS_OFFSET): Remove.
	(__PTHREAD_MUTEX_ELISION_OFFSET): Remove.
	(__PTHREAD_MUTEX_LIST_OFFSET): Remove.
	* sysdeps/mips/nptl/pthread-offsets.h: Modified.
	[_MIPS_SIM != _ABI64](__PTHREAD_MUTEX_NUSERS_OFFSET): Remove.
	[_MIPS_SIM != _ABI64](__PTHREAD_MUTEX_SPINS_OFFSET): Remove.
	[_MIPS_SIM != _ABI64](__PTHREAD_MUTEX_ELISION_OFFSET): Remove.
	[_MIPS_SIM != _ABI64](__PTHREAD_MUTEX_LIST_OFFSET): Remove.
	[_MIPS_SIM == _ABI64](__PTHREAD_MUTEX_NUSERS_OFFSET): Remove.
	[_MIPS_SIM == _ABI64](__PTHREAD_MUTEX_SPINS_OFFSET): Remove.
	[_MIPS_SIM == _ABI64](__PTHREAD_MUTEX_ELISION_OFFSET): Remove.
	[_MIPS_SIM == _ABI64](__PTHREAD_MUTEX_LIST_OFFSET): Remove.
	* sysdeps/nios2/nptl/pthread-offsets.h: Modified.
	(__PTHREAD_MUTEX_NUSERS_OFFSET): Remove.
	(__PTHREAD_MUTEX_SPINS_OFFSET): Remove.
	(__PTHREAD_MUTEX_ELISION_OFFSET): Remove.
	(__PTHREAD_MUTEX_LIST_OFFSET): Remove.
	* sysdeps/powerpc/nptl/pthread-offsets.h: Modified.
	[__WORDSIZE != 64](__PTHREAD_MUTEX_NUSERS_OFFSET): Remove.
	[__WORDSIZE != 64](__PTHREAD_MUTEX_SPINS_OFFSET): Remove.
	[__WORDSIZE != 64](__PTHREAD_MUTEX_ELISION_OFFSET): Remove.
	[__WORDSIZE != 64](__PTHREAD_MUTEX_LIST_OFFSET): Remove.
	[__WORDSIZE == 64](__PTHREAD_MUTEX_NUSERS_OFFSET): Remove.
	[__WORDSIZE == 64](__PTHREAD_MUTEX_SPINS_OFFSET): Remove.
	[__WORDSIZE == 64](__PTHREAD_MUTEX_ELISION_OFFSET): Remove.
	[__WORDSIZE == 64](__PTHREAD_MUTEX_LIST_OFFSET): Remove.
	* sysdeps/riscv/nptl/pthread-offsets.h: Modified.
	(__PTHREAD_MUTEX_NUSERS_OFFSET): Remove.
	(__PTHREAD_MUTEX_SPINS_OFFSET): Remove.
	(__PTHREAD_MUTEX_ELISION_OFFSET): Remove.
	(__PTHREAD_MUTEX_LIST_OFFSET): Remove.
	* sysdeps/s390/nptl/pthread-offsets.h: Modified.
	[__WORDSIZE != 64](__PTHREAD_MUTEX_NUSERS_OFFSET): Remove.
	[__WORDSIZE != 64](__PTHREAD_MUTEX_SPINS_OFFSET): Remove.
	[__WORDSIZE != 64](__PTHREAD_MUTEX_ELISION_OFFSET): Remove.
	[__WORDSIZE != 64](__PTHREAD_MUTEX_LIST_OFFSET): Remove.
	[__WORDSIZE == 64](__PTHREAD_MUTEX_NUSERS_OFFSET): Remove.
	[__WORDSIZE == 64](__PTHREAD_MUTEX_SPINS_OFFSET): Remove.
	[__WORDSIZE == 64](__PTHREAD_MUTEX_ELISION_OFFSET): Remove.
	[__WORDSIZE == 64](__PTHREAD_MUTEX_LIST_OFFSET): Remove.
	* sysdeps/sh/nptl/pthread-offsets.h: Modified.
	(__PTHREAD_MUTEX_NUSERS_OFFSET): Remove.
	(__PTHREAD_MUTEX_SPINS_OFFSET): Remove.
	(__PTHREAD_MUTEX_ELISION_OFFSET): Remove.
	(__PTHREAD_MUTEX_LIST_OFFSET): Remove.
	* sysdeps/sparc/nptl/pthread-offsets.h: Modified.
	[__WORDSIZE != 64](__PTHREAD_MUTEX_NUSERS_OFFSET): Remove.
	[__WORDSIZE != 64](__PTHREAD_MUTEX_SPINS_OFFSET): Remove.
	[__WORDSIZE != 64](__PTHREAD_MUTEX_ELISION_OFFSET): Remove.
	[__WORDSIZE != 64](__PTHREAD_MUTEX_LIST_OFFSET): Remove.
	[__WORDSIZE == 64](__PTHREAD_MUTEX_NUSERS_OFFSET): Remove.
	[__WORDSIZE == 64](__PTHREAD_MUTEX_SPINS_OFFSET): Remove.
	[__WORDSIZE == 64](__PTHREAD_MUTEX_ELISION_OFFSET): Remove.
	[__WORDSIZE == 64](__PTHREAD_MUTEX_LIST_OFFSET): Remove.
	* sysdeps/x86_64/nptl/pthread-offsets.h: Modified.
	(__PTHREAD_MUTEX_NUSERS_OFFSET): Remove.
	(__PTHREAD_MUTEX_SPINS_OFFSET): Remove.
	(__PTHREAD_MUTEX_ELISION_OFFSET): Remove.
	(__PTHREAD_MUTEX_LIST_OFFSET): Remove.

2019-11-26  Egor Kobylkin  <egor@kobylkin.com>

	COMMIT: 7fc8c286e31a336caa008a8bcfb00aac1e47cdc8
	locale: Greek -> ASCII transliteration table [BZ #12031]

	* locale/C-translit.h.in: Modified.

2019-11-26  Rafał Lużyński  <digitalfreak@lingonborough.com>

	COMMIT: c372d2e863075cbc4b24141743026954b6e2457e
	ru_UA locale: use copy "ru_RU" in LC_TIME (bug 25044)

	* localedata/locales/ru_UA: Modified.

2019-11-26  Tim Rühsen  <tim.ruehsen@gmx.de>

	COMMIT: c1de872c8cdfadb077b4c0a04b1a4bd8c18f3894
	sysdeps/posix/getaddrinfo: Return early on invalid address family

	* sysdeps/posix/getaddrinfo.c: Modified.
	(getaddrinfo): Modified function.

2019-11-26  Tim Rühsen  <tim.ruehsen@gmx.de>

	COMMIT: cceb038ac0ea552d5eb81759572a358179fa0fc1
	sysdeps/posix: Simplify if expression in getaddrinfo

	* sysdeps/posix/getaddrinfo.c: Modified.
	(getaddrinfo): Modified function.

2019-11-26  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 17832eefeeafbd448c9e721819a7490f33b0f009
	Use Linux 5.4 in build-many-glibcs.py.

	* scripts/build-many-glibcs.py: Modified.

2019-11-25  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: d9202f1883e86f12b7a371035867be455da09907
	arm: Fix armv7 selection after 'Split BE/LE abilist'

	* sysdeps/arm/be/armv7/multiarch/Implies: New file.
	* sysdeps/arm/le/armv6/Implies: New file.
	* sysdeps/arm/le/armv6t2/Implies: New file.
	* sysdeps/arm/le/armv7/Implies: New file.
	* sysdeps/arm/le/armv7/multiarch/Implies: New file.

2019-11-22  Gabriel F. T. Gomes  <gabrielftg@linux.ibm.com>

	COMMIT: b370c5f014031b2d06bc54a6436e31b46ed0bf43
	ldbl-128ibm-compat: Add wide character scanning functions

	* sysdeps/ieee754/ldbl-128ibm-compat/Makefile: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/Versions: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-fwscanf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-swscanf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vfwscanf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vswscanf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vwscanf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-wscanf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-wscanf-ibm128.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-wscanf-ieee128.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-wscanf-ldbl-compat.c: New file.

2019-11-22  Gabriel F. T. Gomes  <gabrielftg@linux.ibm.com>

	COMMIT: a5b15bdec8015bac998f727d97667acfb17e90c0
	ldbl-128ibm-compat: Add regular character scanning functions

	* sysdeps/ieee754/ldbl-128ibm-compat/Makefile: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/Versions: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-fscanf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-scanf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-sscanf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vfscanf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vscanf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vsscanf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-scanf-ibm128.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-scanf-ieee128.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-scanf-ldbl-compat-template.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-scanf-ldbl-compat.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-scanf-ldbl-compat.sh: New file.

2019-11-22  Gabriel F. T. Gomes  <gabrielftg@linux.ibm.com>

	COMMIT: c2f959ed5f244dd4130bcbaab53e0f3ffc49831e
	ldbl-128ibm-compat: Test positional arguments

	* sysdeps/ieee754/ldbl-128ibm-compat/test-printf-chk-ldbl-compat.c: Modified.
	(do_test_call): Modified function.
	(do_test): Modified function.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-printf-ldbl-compat.c: Modified.
	(do_test_call): Modified function.
	(do_test): Modified function.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-wprintf-chk-ldbl-compat.c: Modified.
	(do_test_call): Modified function.
	(do_test): Modified function.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-wprintf-ldbl-compat.c: Modified.
	(do_test_call): Modified function.
	(do_test): Modified function.

2019-11-22  Gabriel F. T. Gomes  <gabrielftg@linux.ibm.com>

	COMMIT: 5bbbd5ae057c8f862e65d9a230bccb2364f48f96
	ldbl-128ibm-compat: Test double values

	* sysdeps/ieee754/ldbl-128ibm-compat/test-printf-chk-ldbl-compat.c: Modified.
	(do_test_call_rarg): Modified function.
	(do_test_call): Modified function.
	(do_test): Modified function.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-printf-ldbl-compat.c: Modified.
	(do_test_call_rarg): Modified function.
	(do_test_call): Modified function.
	(do_test): Modified function.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-wprintf-chk-ldbl-compat.c: Modified.
	(do_test_call_rarg): Modified function.
	(do_test_call): Modified function.
	(do_test): Modified function.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-wprintf-ldbl-compat.c: Modified.
	(do_test_call_rarg): Modified function.
	(do_test_call): Modified function.
	(do_test): Modified function.

2019-11-22  Gabriel F. T. Gomes  <gabrielftg@linux.ibm.com>

	COMMIT: 329037cead5f7930c6081d130b22e03b0ff5e3a8
	ldbl-128ibm-compat: Add wide character, fortified printing functions

	* sysdeps/ieee754/ldbl-128ibm-compat/Makefile: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/Versions: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-fwprintf_chk.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-swprintf_chk.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vfwprintf_chk.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vswprintf_chk.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vwprintf_chk.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-wprintf_chk.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-wprintf-chk-ibm128.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-wprintf-chk-ieee128.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-wprintf-chk-ldbl-compat.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-wprintf-chk-redir-ibm128.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-wprintf-chk-redir-ieee128.c: New file.

2019-11-22  Gabriel F. T. Gomes  <gabrielftg@linux.ibm.com>

	COMMIT: 5aa64dbc298c3ba0dfbeae984bc0915e41464e00
	ldbl-128ibm-compat: Add regular character, fortified printing functions

	* sysdeps/ieee754/ldbl-128ibm-compat/Makefile: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/Versions: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-asprintf_chk.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-dprintf_chk.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-fprintf_chk.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-printf_chk.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-snprintf_chk.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-sprintf_chk.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vasprintf_chk.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vdprintf_chk.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vfprintf_chk.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vprintf_chk.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vsnprintf_chk.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vsprintf_chk.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-printf-chk-ibm128.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-printf-chk-ieee128.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-printf-chk-ldbl-compat.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-printf-chk-redir-ibm128.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-printf-chk-redir-ieee128.c: New file.

2019-11-22  Gabriel F. T. Gomes  <gabrielftg@linux.ibm.com>

	COMMIT: 1771a5cf0eb58b44adcd3d3fba12c4781a5015af
	ldbl-128ibm-compat: Add wide character printing functions

	* sysdeps/ieee754/ldbl-128ibm-compat/Makefile: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/Versions: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-fwprintf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-swprintf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vfwprintf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vswprintf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vwprintf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-wprintf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-wprintf-ibm128.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-wprintf-ieee128.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-wprintf-ldbl-compat.c: New file.

2019-11-22  Gabriel F. T. Gomes  <gabrielftg@linux.ibm.com>

	COMMIT: 421a1d34bffab52263706b6332333e45fc10ab2f
	ldbl-128ibm-compat: Add regular character printing functions

	* sysdeps/ieee754/ldbl-128ibm-compat/Makefile: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/Versions: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-asprintf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-dprintf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-fprintf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-printf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-snprintf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-sprintf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vasprintf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vdprintf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vfprintf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vprintf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vsnprintf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/ieee128-vsprintf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-printf-ibm128.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-printf-ieee128.c: New file.
	* sysdeps/ieee754/ldbl-128ibm-compat/test-printf-ldbl-compat.c: New file.

2019-11-22  Gabriel F. T. Gomes  <gabrielftg@linux.ibm.com>
            Zack Weinberg  <zackw@panix.com>

	COMMIT: 93486ba583ecef1ba17357cfeb658ce3bea583bd
	Use DEPRECATED_SCANF macro for remaining C99-compliant scanf functions

	* include/wchar.h: Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](__vswscanf): Remove.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Remove.
	[! _ISOMAC](libc_hidden_proto): Remove.
	* libio/iovswscanf.c: Modified.
	(libc_hidden_def): Remove.
	* wcsmbs/wchar.h: Modified.
	[__USE_ISOC99][! __USE_GNU  && (! __LDBL_COMPAT || ! __REDIRECT)  && ( __STRICT_ANSI__ ||  __USE_XOPEN2K)][! __REDIRECT](__isoc99_vfwscanf): Remove.
	[__USE_ISOC99][! __USE_GNU  && (! __LDBL_COMPAT || ! __REDIRECT)  && ( __STRICT_ANSI__ ||  __USE_XOPEN2K)][! __REDIRECT](__isoc99_vwscanf): Remove.
	[__USE_ISOC99][! __USE_GNU  && (! __LDBL_COMPAT || ! __REDIRECT)  && ( __STRICT_ANSI__ ||  __USE_XOPEN2K)][! __REDIRECT](__isoc99_vswscanf): Remove.
	[__USE_ISOC99][! __USE_GNU  && (! __LDBL_COMPAT || ! __REDIRECT)  && ( __STRICT_ANSI__ ||  __USE_XOPEN2K)][! __REDIRECT](vfwscanf): Remove.
	[__USE_ISOC99][! __USE_GNU  && (! __LDBL_COMPAT || ! __REDIRECT)  && ( __STRICT_ANSI__ ||  __USE_XOPEN2K)][! __REDIRECT](vwscanf): Remove.
	[__USE_ISOC99][! __USE_GNU  && (! __LDBL_COMPAT || ! __REDIRECT)  && ( __STRICT_ANSI__ ||  __USE_XOPEN2K)][! __REDIRECT](vswscanf): Remove.
	[__USE_ISOC99][! __USE_GNU  && (! __LDBL_COMPAT || ! __REDIRECT)  && ( __STRICT_ANSI__ ||  __USE_XOPEN2K)][__REDIRECT](__REDIRECT): Remove.
	[__USE_ISOC99][! __USE_GNU  && (! __LDBL_COMPAT || ! __REDIRECT)  && ( __STRICT_ANSI__ ||  __USE_XOPEN2K)][__REDIRECT](__REDIRECT): Remove.
	[__USE_ISOC99][! __USE_GNU  && (! __LDBL_COMPAT || ! __REDIRECT)  && ( __STRICT_ANSI__ ||  __USE_XOPEN2K)][__REDIRECT](__REDIRECT_NTH): Remove.
	[__USE_ISOC99][!__GLIBC_USE (DEPRECATED_SCANF)  && (! __LDBL_COMPAT || ! __REDIRECT)  && ( __STRICT_ANSI__ ||  __USE_XOPEN2K)][! __REDIRECT](__isoc99_vfwscanf): New.
	[__USE_ISOC99][!__GLIBC_USE (DEPRECATED_SCANF)  && (! __LDBL_COMPAT || ! __REDIRECT)  && ( __STRICT_ANSI__ ||  __USE_XOPEN2K)][! __REDIRECT](__isoc99_vwscanf): New.
	[__USE_ISOC99][!__GLIBC_USE (DEPRECATED_SCANF)  && (! __LDBL_COMPAT || ! __REDIRECT)  && ( __STRICT_ANSI__ ||  __USE_XOPEN2K)][! __REDIRECT](__isoc99_vswscanf): New.
	[__USE_ISOC99][!__GLIBC_USE (DEPRECATED_SCANF)  && (! __LDBL_COMPAT || ! __REDIRECT)  && ( __STRICT_ANSI__ ||  __USE_XOPEN2K)][! __REDIRECT](vfwscanf): New.
	[__USE_ISOC99][!__GLIBC_USE (DEPRECATED_SCANF)  && (! __LDBL_COMPAT || ! __REDIRECT)  && ( __STRICT_ANSI__ ||  __USE_XOPEN2K)][! __REDIRECT](vwscanf): New.
	[__USE_ISOC99][!__GLIBC_USE (DEPRECATED_SCANF)  && (! __LDBL_COMPAT || ! __REDIRECT)  && ( __STRICT_ANSI__ ||  __USE_XOPEN2K)][! __REDIRECT](vswscanf): New.
	[__USE_ISOC99][!__GLIBC_USE (DEPRECATED_SCANF)  && (! __LDBL_COMPAT || ! __REDIRECT)  && ( __STRICT_ANSI__ ||  __USE_XOPEN2K)][__REDIRECT](__REDIRECT): New.
	[__USE_ISOC99][!__GLIBC_USE (DEPRECATED_SCANF)  && (! __LDBL_COMPAT || ! __REDIRECT)  && ( __STRICT_ANSI__ ||  __USE_XOPEN2K)][__REDIRECT](__REDIRECT): New.
	[__USE_ISOC99][!__GLIBC_USE (DEPRECATED_SCANF)  && (! __LDBL_COMPAT || ! __REDIRECT)  && ( __STRICT_ANSI__ ||  __USE_XOPEN2K)][__REDIRECT](__REDIRECT_NTH): New.

2019-11-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 8781c1301d55db0a95398eb24c11b99205706bae
	misc: Set generic pselect as ENOSYS

	* misc/pselect.c: Modified.
	[! __pselect](weak_alias): Remove.
	(signal.h): Remove include.
	(stddef.h): Remove include.
	(sys/time.h): Remove include.
	(sysdep-cancel.h): Remove include.
	(__pselect): Modified function.
	(weak_alias): New.
	* sysdeps/unix/sysv/linux/microblaze/pselect.c: New file.
	* sysdeps/unix/sysv/linux/pselect.c: Modified.
	[! __ASSUME_PSELECT](misc/pselect.c): Remove.
	[__NR_pselect6][! __ASSUME_PSELECT](__generic_pselect): Remove.
	[__NR_pselect6][! __ASSUME_PSELECT](__pselect): Remove.
	[__NR_pselect6](__pselect): Remove.
	[__NR_pselect6](weak_alias): Remove.
	(errno.h): Remove include.
	(signal.h): Remove include.
	(time.h): Remove include.
	(sys/poll.h): Remove include.
	(kernel-features.h): Remove include.
	[! __pselect](weak_alias): New.
	(sys/select.h): Include file.
	(__pselect): New function.

2019-11-22  Paul A. Clarke  <pc@us.ibm.com>

	COMMIT: 102b5b0cafaf09758a62f62a53fafb6db2f71136
	Remove duplicate inline implementation of issignalingf

	* sysdeps/ieee754/flt-32/e_powf.c: Modified.
	(__powf): Modified function.
	* sysdeps/ieee754/flt-32/math_config.h: Modified.
	(issignalingf_inline): Remove function.

2019-11-21  Emilio Cobos Álvarez  <emilio@crisal.io>

	COMMIT: bfa864e1645e140da2e1aae3cf0d0ba0674f6eb5
	Don't use a custom wrapper macro around __has_include (bug 25189).

	* misc/sys/cdefs.h: Modified.
	[! __has_include](__glibc_has_include): Remove.
	[__has_include](__glibc_has_include): Remove.
	* sysdeps/unix/sysv/linux/bits/statx.h: Modified.
	[__glibc_has_include ("linux/stat.h")][STATX_TYPE](__statx_timestamp_defined): Remove.
	[__glibc_has_include ("linux/stat.h")][STATX_TYPE](__statx_defined): Remove.
	[__glibc_has_include ("linux/stat.h")](linux/stat.h): Remove.
	[__has_include][__has_include ("linux/stat.h")][STATX_TYPE](__statx_timestamp_defined): New.
	[__has_include][__has_include ("linux/stat.h")][STATX_TYPE](__statx_defined): New.
	[__has_include][__has_include ("linux/stat.h")](linux/stat.h): New.

2019-11-21  Paul A. Clarke  <pc@us.ibm.com>

	COMMIT: 854e91bf6b4221f424ffa13b9ef50f35623b7b74
	Enable inlining issignalingf within glibc

	* include/math.h: Modified.
	[! _ISOMAC][! GET_FLOAT_WORD](GET_FLOAT_WORD): New.
	[! _ISOMAC][! SET_FLOAT_WORD](SET_FLOAT_WORD): New.
	[! _ISOMAC](stdint.h): Include file.
	[! _ISOMAC](nan-high-order-bit.h): Include file.
	[! _ISOMAC](ieee_float_shape_type): New.
	[! _ISOMAC](__issignalingf): New function.
	* sysdeps/generic/math_private.h: Modified.
	[! GET_FLOAT_WORD](GET_FLOAT_WORD): Remove.
	[! SET_FLOAT_WORD](SET_FLOAT_WORD): Remove.
	(ieee_float_shape_type): Remove.

2019-11-21  Florian Weimer  <fweimer@redhat.com>

	COMMIT: fcb04b9aed26a737159ef7be9c5a6ad0994437dc
	Introduce DL_LOOKUP_FOR_RELOCATE flag for _dl_lookup_symbol_x

	* elf/dl-reloc.c: Modified.
	(_dl_relocate_object): Modified function.
	* sysdeps/generic/ldsodefs.h: Modified.
	[IS_IN (rtld)](<anoymous>): Modified.

2019-11-21  Marcin Kościelnicki  <mwk@0x04.net>

	COMMIT: d5dfad4326fc683c813df1e37bbf5cf920591c8e
	rtld: Check __libc_enable_secure before honoring LD_PREFER_MAP_32BIT_EXEC (CVE-2019-19126) [BZ #25204]

	* NEWS: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/dl-librecon.h: Modified.
	(EXTRA_LD_ENVVARS): Modified.

2019-11-16  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 2a764c6ee848dfe92cb2921ed3b14085f15d9e79
	Enhance _dl_catch_exception to allow disabling exception handling

	* elf/dl-error-skeleton.c: Modified.
	(_dl_catch_exception): Modified function.
	* sysdeps/generic/ldsodefs.h: Modified.

2019-11-16  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 84df7a4637be8ecb545df3501cc724f3a4d53c46
	hurd: Suppress GCC 10 -Warray-bounds warning in init-first.c [BZ #25097]

	* sysdeps/mach/hurd/i386/init-first.c: Modified.
	(init): Modified function.
	(libc-diag.h): Include file.

2019-11-15  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 9e3e27c4e32c02e93d9779e41356adfb357957e3
	linux: Add comment on affinity set sizes to tst-skeleton-affinity.c

	* sysdeps/unix/sysv/linux/tst-skeleton-affinity.c: Modified.

2019-11-15  Florian Weimer  <fweimer@redhat.com>

	COMMIT: e21a7867713c87d0b0698254685d414d811d72b2
	Avoid zero-length array at the end of struct link_map [BZ #25097]

	* include/link.h: Modified.
	[! _ISOMAC](link_map): Modified.
	[! _ISOMAC](auditstate): New.
	* sysdeps/generic/ldsodefs.h: Modified.
	[IS_IN (rtld)][SHARED](link_map_audit_state): Modified function.
	[SHARED](rtld_global): Modified.

2019-11-15  Florian Weimer  <fweimer@redhat.com>

	COMMIT: e1d559f337de2c8ab68a6749dfe873477c883807
	Introduce link_map_audit_state accessor function

	* csu/libc-start.c: Modified.
	[! LIBC_START_MAIN_AUXVEC_ARG](LIBC_START_MAIN): Modified function.
	[LIBC_START_MAIN_AUXVEC_ARG](LIBC_START_MAIN): Modified function.
	* elf/dl-close.c: Modified.
	(_dl_close_worker): Modified function.
	* elf/dl-fini.c: Modified.
	(_dl_fini): Modified function.
	* elf/dl-load.c: Modified.
	[! EXTERNAL_MAP_FROM_FD](_dl_map_object_from_fd): Modified function.
	(open_verify): Modified function.
	(_dl_map_object): Modified function.
	* elf/dl-object.c: Modified.
	(_dl_new_object): Modified function.
	* elf/dl-open.c: Modified.
	(dl_open_worker): Modified function.
	* elf/dl-runtime.c: Modified.
	[! PROF][! ELF_MACHINE_RUNTIME_FIXUP_ARGS](_dl_fixup): Modified function.
	[! PROF][ELF_MACHINE_RUNTIME_FIXUP_ARGS](_dl_fixup): Modified function.
	[PROF](_dl_fixup): Modified function.
	* elf/dl-sym.c: Modified.
	(do_sym): Modified function.
	* elf/rtld.c: Modified.
	(load_audit_module): Modified function.
	(notify_audit_modules_of_loaded_object): Modified function.
	(dl_main): Modified function.
	* sysdeps/generic/ldsodefs.h: Modified.
	[IS_IN (rtld)][SHARED](link_map_audit_state): New function.

2019-11-15  Florian Weimer  <fweimer@redhat.com>

	COMMIT: c7bf5ceab6ec776ac7350d3b0190776bf532ac54
	Properly initialize audit cookie for the dynamic loader [BZ #25157]

	* elf/Makefile: Modified.
	* elf/rtld.c: Modified.
	(load_audit_module): Modified function.
	* elf/tst-auditmany.c: New file.
	* elf/tst-auditmanymod.h: New file.
	* elf/tst-auditmanymod1.c: New file.
	* elf/tst-auditmanymod2.c: New file.
	* elf/tst-auditmanymod3.c: New file.
	* elf/tst-auditmanymod4.c: New file.
	* elf/tst-auditmanymod5.c: New file.
	* elf/tst-auditmanymod6.c: New file.
	* elf/tst-auditmanymod7.c: New file.
	* elf/tst-auditmanymod8.c: New file.
	* elf/tst-auditmanymod9.c: New file.

2019-11-14  Florian Weimer  <fweimer@redhat.com>

	COMMIT: c9bf28d625ad1533935d40ae94b15453d0c98508
	nios2: Work around backend bug triggered by csu/libc-tls.c (GCC PR 92499)

	* sysdeps/unix/sysv/linux/nios2/Makefile: Modified.

2019-11-13  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 70c6e15654928c603c6d24bd01cf62e7a8e2ce9b
	Redefine _IO_iconv_t to store a single gconv step pointer [BZ #25097]

	* libio/fileops.c: Modified.
	(_IO_new_file_fopen): Modified function.
	* libio/iofclose.c: Modified.
	(_IO_new_fclose): Modified function.
	* libio/iofwide.c: Modified.
	(_IO_fwide): Modified function.
	(__libio_codecvt_out): Modified function.
	(__libio_codecvt_in): Modified function.
	(__libio_codecvt_encoding): Modified function.
	(__libio_codecvt_length): Modified function.
	* libio/libio.h: Modified.
	(_IO_iconv_t): Modified.

2019-11-13  Krzysztof Koch  <Krzysztof.Koch@arm.com>

	COMMIT: 15740788d79447d863b88a5434f09d488d4088d3
	Add new script for plotting string benchmark JSON output

	* benchtests/scripts/plot_strings.py: New file.

2019-11-13  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 02132c0f4c78f77d4a8cdbdea8f02956347e29ab
	support: Fix support_set_small_thread_stack_size to build on Hurd

	* support/support_set_small_thread_stack_size.c: Modified.
	(sys/param.h): Remove include.
	(support_set_small_thread_stack_size): Modified function.
	(limits.h): Include file.

2019-11-12  Florian Weimer  <fweimer@redhat.com>

	COMMIT: d4625a19fe64f664119a541b317fb83de01bb273
	login: Use pread64 in utmp implementation

	* login/utmp_file.c: Modified.
	(__libc_getutent_r): Modified function.
	(internal_getut_nolock): Modified function.
	(__libc_getutid_r): Modified function.
	(__libc_getutline_r): Modified function.
	(__libc_pututline): Modified function.
	(read_last_entry): New function.

2019-11-12  Florian Weimer  <fweimer@redhat.com>

	COMMIT: ca136bb0a36d0a7056c926bfe5126873566efe40
	Clarify purpose of assert in _dl_lookup_symbol_x

	* elf/dl-lookup.c: Modified.
	(_dl_lookup_symbol_x): Modified function.

2019-11-12  Krzysztof Koch  <Krzysztof.Koch@arm.com>

	COMMIT: b9f145df85145506f8e61bac38b792584a38d88f
	aarch64: Increase small and medium cases for __memcpy_generic

	* sysdeps/aarch64/memcpy.S: Modified.

2019-11-12  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 76a7c103eb9060f9e3ba01d073ae4621a17d8b46
	login: Introduce matches_last_entry to utmp processing

	* login/utmp_file.c: Modified.
	(__libc_setutent): Modified function.
	(internal_getut_nolock): Modified function.
	(__libc_pututline): Modified function.
	(matches_last_entry): New function.

2019-11-12  Florian Weimer  <fweimer@redhat.com>

	COMMIT: cba932a5a9e91cffd7f4172d7e91f9b2efb1f84b
	slotinfo in struct dtv_slotinfo_list should be flexible array [BZ #25097]

	* csu/libc-tls.c: Modified.
	(<anoymous>): Remove.
	(init_slotinfo): Modified function.
	(__libc_setup_tls): Modified function.
	(array_length.h): Include file.
	(static_slotinfo): New.
	(slotinfo): New.
	* nptl_db/db-symbols.h: Modified.
	(DB_STRUCT_FLEXIBLE_ARRAY): New.
	(DB_STRUCT_FIELD): New.
	(DB_STRUCT_FLEXIBLE_ARRAY): New.
	* nptl_db/db_info.c: Modified.
	[TLS_DTV_AT_TP](DB_STRUCT_FLEXIBLE_ARRAY): New.
	(FLEXIBLE_ARRAY_DESC): New.
	* nptl_db/structs.def: Modified.
	* nptl_db/thread_dbP.h: Modified.
	(<anoymous>): Modified.
	(td_thragent): Modified.
	* sysdeps/generic/ldsodefs.h: Modified.
	[SHARED](rtld_global): Modified.

2019-11-11  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 42b926d303e571d5f9a4e97ffdb8e05d1eabae66
	Fix clock_nanosleep when interrupted by a signal

	* sysdeps/unix/sysv/linux/clock_nanosleep.c: Modified.
	[__TIMESIZE != 64](__clock_nanosleep): Modified function.
	(__clock_nanosleep_time64): Modified function.

2019-11-11  Arjun Shankar  <arjun@redhat.com>

	COMMIT: f0f0d79ac3a2ed7b4e2b99ff993027172068446e
	libio/tst-fopenloc: Use xsetlocale, xfopen, and xfclose

	* libio/tst-fopenloc.c: Modified.
	(do_test): Remove.
	(TEST_FUNCTION): Remove.
	(../test-skeleton.c): Remove include.
	(do_test): Modified function.
	(support/support.h): Include file.
	(support/xstdio.h): Include file.
	(support/test-driver.c): Include file.

2019-11-11  Arjun Shankar  <arjun@redhat.com>

	COMMIT: cce35a50c1de0cec5cd1f6c18979ff6ee3ea1dd1
	support: Add xsetlocale function

	* support/Makefile: Modified.
	* support/support.h: Modified.
	(xsetlocale): New function.
	* support/xsetlocale.c: New file.

2019-11-11  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 80a5f8b1569bdecd8d517ae312a98e3c8f224f4b
	Declare asctime_r, ctime_r, gmtime_r, localtime_r for C2X.

	* time/time.h: Modified.
	[__USE_POSIX](gmtime_r): Remove.
	[__USE_POSIX](localtime_r): Remove.
	[__USE_POSIX](asctime_r): Remove.
	[__USE_POSIX](ctime_r): Remove.
	[__USE_POSIX || __GLIBC_USE (ISOC2X)](gmtime_r): New.
	[__USE_POSIX || __GLIBC_USE (ISOC2X)](localtime_r): New.
	[__USE_POSIX || __GLIBC_USE (ISOC2X)](asctime_r): New.
	[__USE_POSIX || __GLIBC_USE (ISOC2X)](ctime_r): New.

2019-11-11  Lukasz Majewski  <lukma@denx.de>

	COMMIT: 258c242128a35e7fc17aff34c9dc23cd7576e88f
	y2038: linux: Provide __ppoll64 implementation

	* include/sys/poll.h: Modified.
	[! _ISOMAC][__TIMESIZE != 64](time.h): New.
	[! _ISOMAC][__TIMESIZE != 64](signal.h): New.
	[! _ISOMAC][__TIMESIZE != 64](__ppoll64): New.
	[! _ISOMAC][__TIMESIZE != 64](libc_hidden_proto): New.
	[! _ISOMAC][__TIMESIZE == 64](__ppoll64): New.
	* sysdeps/unix/sysv/linux/ppoll.c: Modified.
	(ppoll): Remove function.
	[__TIMESIZE != 64](__ppoll): New.
	(kernel-features.h): Include file.
	(__ppoll64): New function.
	(strong_alias): New.

2019-11-11  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 10cf7f52c60209f34199d216ef6710568d6297bf
	linux: Reduce stack size for nptl/tst-thread-affinity-pthread

	* sysdeps/unix/sysv/linux/tst-skeleton-thread-affinity.c: Modified.
	(early_test): Modified function.
	(support/xthread.h): Include file.

2019-11-11  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 36ada9ee2cd3b686df6952446b92816584eacbb8
	support: Add support_set_small_thread_stack_size

	* support/Makefile: Modified.
	* support/support_set_small_thread_stack_size.c: New file.
	* support/support_small_stack_thread_attribute.c: New file.
	* support/xthread.h: Modified.
	(support_set_small_thread_stack_size): New function.
	(support_small_stack_thread_attribute): New function.

2019-11-11  Andreas Schwab  <schwab@suse.de>

	COMMIT: fc141ea78ee3d87c67b18488827fe2d89c9343e7
	Fix array bounds violation in regex matcher (bug 25149)

	* posix/regexec.c: Modified.
	(proceed_next_node): Modified function.

2019-11-08  Alistair Francis  <alistair.francis@wdc.com>

	COMMIT: 2e44b10b42d68d9887ccab17b76db5d7bbae4fb6
	sysdeps/clock_nanosleep: Use clock_nanosleep_time64 if avaliable

	* include/time.h: Modified.
	[! _ISOMAC][__TIMESIZE != 64](__clock_nanosleep_time64): New function.
	[! _ISOMAC][__TIMESIZE != 64](libc_hidden_proto): New.
	[! _ISOMAC][__TIMESIZE == 64](__clock_nanosleep_time64): New.
	* sysdeps/unix/sysv/linux/clock_nanosleep.c: Modified.
	(__clock_nanosleep): Remove function.
	[__TIMESIZE != 64](__clock_nanosleep): New.
	(kernel-features.h): Include file.
	(__clock_nanosleep_time64): New function.

2019-11-08  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 31f000a8a65932bb34f8995f54297486c91648c3
	Remove hppa pthreadP.h

	* sysdeps/unix/sysv/linux/hppa/pthreadP.h: Delete file.

2019-11-07  Florian Weimer  <fweimer@redhat.com>

	COMMIT: be6b16d975683e6cca57852cd4cfe715b2a9d8b1
	login: Acquire write lock early in pututline [BZ #24882]

	* login/Makefile: Modified.
	* login/tst-pututxline-cache.c: New file.
	* login/utmp_file.c: Modified.
	(internal_getut_r): Modified function.
	(__libc_pututline): Modified function.
	(internal_getut_nolock): New function.

2019-11-07  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 4f4bb489e0ddd2f24b2a5d352bb39f8dcdb38050
	nptl: Add missing placeholder abi symbol from nanosleep move

	* sysdeps/unix/sysv/linux/hppa/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libpthread.abilist: Modified.

2019-11-07  Florian Weimer  <fweimer@redhat.com>

	COMMIT: b0a83ae71b2588bd2a9e6b40f95191602940e01e
	login: Remove double-assignment of fl.l_whence in try_file_lock

	* login/utmp_file.c: Modified.
	(try_file_lock): Modified function.

2019-11-07  Florian Weimer  <fweimer@redhat.com>

	COMMIT: a673c07af3bcfa24432c3fd8a1dea12f931ee903
	hurd: Use __clock_gettime in _hurd_select

	* hurd/hurdselect.c: Modified.
	(_hurd_select): Modified function.

2019-11-07  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 50471a8613dc487dce8b7cabc35a01b4b5b242ea
	hurd: Remove lingering references to the time function

	* sysdeps/mach/sleep.c: Modified.
	(__sleep): Modified function.

2019-11-07  liqingqing  <liqingqing3@huawei.com>

	COMMIT: dae7bf38978294f7d1aeece7f31c738281a3ba04
	math: enhance the endloop condition of function handle_input_flag

	* math/gen-auto-libm-tests.c: Modified.
	(handle_input_flag): Modified function.

2019-11-06  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 807edded258e888dbfa0d19ca967d6e42882d069
	nptl: Refactor thrd_sleep in terms of clock_nanosleep

	* nptl/thrd_sleep.c: Modified.
	(thrd_sleep): Modified function.

2019-11-06  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 3537ecb49cf7177274607004c562d6f9ecc99474
	Refactor nanosleep in terms of clock_nanosleep

	* include/time.h: Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](__clock_nanosleep): New.
	[! _ISOMAC](libc_hidden_proto): New function.
	* posix/nanosleep.c: Modified.
	(__nanosleep): Modified function.
	(libc_hidden_def): New.
	(weak_alias): New.
	* sysdeps/unix/clock_nanosleep.c: Move to...
	* sysdeps/mach/clock_nanosleep.c: ... here.
	(assert.h): Remove include.
	(sysdep-cancel.h): Remove include.
	(__clock_nanosleep): Modified function.
	(mach.h): Include file.
	(unistd.h): Include file.
	(posix-timer.h): Include file.
	(nanosleep_call): New function.
	(libc_hidden_def): New.
	* sysdeps/mach/nanosleep.c: Delete file.
	* sysdeps/unix/sysv/linux/clock_nanosleep.c: Modified.
	(libc_hidden_def): New.
	* sysdeps/unix/sysv/linux/nanosleep.c: Delete file.
	* time/clock_nanosleep.c: Modified.
	(libc_hidden_def): New.

2019-11-06  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 79a547b162657b3fa34d31917cc29f0e7af19e4c
	nptl: Move nanosleep implementation to libc

	* nptl/Makefile: Modified.
	* nptl/Versions: Modified.
	* nptl/libpthread-compat.c: Modified.
	[(SHLIB_COMPAT (libpthread, GLIBC_2_1_2, GLIBC_2_2))](__libpthread_version_placeholder): Remove.
	[(SHLIB_COMPAT (libpthread, GLIBC_2_1_2, GLIBC_2_2))](compat_symbol): Remove.
	[(SHLIB_COMPAT (libpthread, GLIBC_2_1_2, GLIBC_2_2_6))](__libpthread_version_placeholder): New.
	[(SHLIB_COMPAT (libpthread, GLIBC_2_1_2, GLIBC_2_2_6))](compat_symbol): New.
	* sysdeps/unix/sysv/linux/aarch64/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libpthread.abilist: Modified.
	* time/Makefile: Modified.

2019-11-06  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 2a0356e1191804d57005e1cfe2a72f019b7a8cce
	posix: Sync regex with gnulib

	* include/verify.h: Modified.
	(assume): New.
	* posix/regcomp.c: Modified.
	[_REGEX_RE_COMP ||  _LIBC][! _LIBC][! _LIBC](parse_bracket_exp): Modified function.
	[_REGEX_RE_COMP ||  _LIBC][! _LIBC][_LIBC](parse_bracket_exp): Modified function.
	[_REGEX_RE_COMP ||  _LIBC][! _LIBC](build_charclass_op): Modified function.
	[_REGEX_RE_COMP ||  _LIBC][! _LIBC](create_tree): Modified function.
	[_REGEX_RE_COMP ||  _LIBC](link_nfa_nodes): Modified function.
	[_REGEX_RE_COMP ||  _LIBC](calc_eclosure): Modified function.
	[_REGEX_RE_COMP ||  _LIBC](parse_expression): Modified function.
	* posix/regex_internal.c: Modified.
	[RE_ENABLE_I18N](build_wcs_buffer): Modified function.
	[RE_ENABLE_I18N](build_wcs_upper_buffer): Modified function.
	(re_string_reconstruct): Modified function.
	(re_string_context_at): Modified function.
	* posix/regex_internal.h: Modified.
	[GNULIB_LOCK && ! USE_UNLOCKED_IO][! USE_WINDOWS_THREADS](lock_define): Remove.
	[GNULIB_LOCK && ! USE_UNLOCKED_IO][(( __GNUC__ && ! __STRICT_ANSI__)  || ( __STDC_VERSION__ && 199901L <= __STDC_VERSION__))](lock_define): Remove.
	[GNULIB_LOCK && ! USE_UNLOCKED_IO][USE_POSIX_THREADS](lock_define): Remove.
	[GNULIB_LOCK && ! USE_UNLOCKED_IO][USE_PTH_THREADS](lock_define): Remove.
	[GNULIB_LOCK && ! USE_UNLOCKED_IO][USE_SOLARIS_THREADS](lock_define): Remove.
	[GNULIB_LOCK && ! USE_UNLOCKED_IO][USE_WINDOWS_THREADS](lock_define): Remove.
	[GNULIB_LOCK && ! USE_UNLOCKED_IO](lock_define): New.
	(assert.h): Remove include.
	(re_match_context_t): Modified.
	[!(DEBUG && DEBUG != 0)](DEBUG_ASSERT): New.
	[DEBUG && DEBUG != 0](assert.h): New.
	[DEBUG && DEBUG != 0](DEBUG_ASSERT): New.
	(verify.h): Include file.
	* posix/regexec.c: Modified.
	[RE_ENABLE_I18N](transit_state_mb): Modified function.
	[_REGEX_RE_COMP ||  _LIBC](re_search_internal): Modified function.
	(re_search_stub): Modified function.
	(re_copy_regs): Modified function.
	(prune_impossible_nodes): Modified function.
	(check_matching): Modified function.
	(check_halt_state_context): Modified function.
	(pop_fail_stack): Modified function.
	(set_regs): Modified function.
	(sift_states_backward): Modified function.
	(build_sifted_states): Modified function.
	(transit_state_bkref): Modified function.
	(check_arrival_add_next_nodes): Modified function.
	(check_arrival_expand_ecl): Modified function.
	(group_nodes_into_DFAstates): Modified function.
	(match_ctx_add_subtop): Modified function.

2019-11-06  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: 4ecd584908109db3ac9bf4aca307ddd44e029275
	Add mnw language code [BZ #25139]

	* locale/iso-639.def: Modified.

2019-11-06  Talachan Mon  <talachanmon@gmail.com>

	COMMIT: c5fbd7c3ea4d3f8863e8d195feda64c4a8c29e8a
	Add new locale: mnw_MM (Mon language spoken in Myanmar) [BZ #25139]

	* NEWS: Modified.
	* localedata/SUPPORTED: Modified.
	* localedata/locales/mnw_MM: New file.

2019-11-06  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 64bca76f42a82e6a9ea2b0166deab7aa2b7efbea
	S390: Fp comparison are now raising FE_INVALID with gcc 10.

	* sysdeps/s390/fpu/fix-fp-int-compare-invalid.h: Modified.
	(FIX_COMPARE_INVALID): Remove.
	[!(__GNUC_PREREQ (10, 0))](FIX_COMPARE_INVALID): New.
	[__GNUC_PREREQ (10, 0)](FIX_COMPARE_INVALID): New.

2019-11-05  Lukasz Majewski  <lukma@denx.de>

	COMMIT: f2e30cc0f89f348a154c5c09d21a1de561c7b2f8
	linux: pselect: Remove CALL_PSELECT6 macro

	* sysdeps/unix/sysv/linux/pselect.c: Modified.
	[__NR_pselect6](__pselect): Modified function.

2019-11-05  Arjun Shankar  <arjun@redhat.com>

	COMMIT: 81a1fa6cbfef5ca33e7eeb11f8f9a528f4dc0117
	Fix run-one-test so that it runs elf tests

	* Makefile: Modified.

2019-11-04  Mike Crowe  <mac@mcrowe.com>

	COMMIT: 3ef5e118f2684bdc3f8e5776269557038705cefb
	nptl: Fix niggles with pthread_clockjoin_np

	* NEWS: Modified.
	* manual/threads.texi: Modified.
	* sysdeps/nptl/pthread.h: Modified.
	[__USE_GNU](pthread_clockjoin_np): Modified.
	* sysdeps/unix/sysv/linux/hppa/pthread.h: Modified.
	[__USE_GNU](pthread_clockjoin_np): New function.

2019-11-03  John David Anglin  <danglin@gcc.gnu.org>

	COMMIT: e4c23a029a54c8c7788eff9ca771a01cccaaa0ce
	hppa: Align __clone stack argument to 8 bytes (Bug 25066)

	* sysdeps/unix/sysv/linux/hppa/clone.S: Modified.

2019-11-02  Lukasz Majewski  <lukma@denx.de>

	COMMIT: 42893aa38fd6041d349ea0427c4d5ccbacd9a2be
	y2038: linux: Provide __futimens64 implementation

	* include/time.h: Modified.
	[! _ISOMAC][__TIMESIZE != 64](__futimens64): New function.
	[! _ISOMAC][__TIMESIZE != 64](libc_hidden_proto): New function.
	[! _ISOMAC][__TIMESIZE == 64](__futimens64): New.
	* sysdeps/unix/sysv/linux/futimens.c: Modified.
	(futimens): Remove function.
	[__TIMESIZE != 64](__futimens): New.
	(__futimens64): New function.
	(weak_alias): New.

2019-11-02  Lukasz Majewski  <lukma@denx.de>

	COMMIT: f5b6fd258b6dd520403a20024e58cb491aca4cbd
	y2038: linux: Provide __utimensat64 implementation

	* include/time.h: Modified.
	[! _ISOMAC][__TIMESIZE != 64](__utimensat64): New function.
	[! _ISOMAC][__TIMESIZE != 64](libc_hidden_proto): New function.
	[! _ISOMAC][__TIMESIZE == 64](__utimensat64): New.
	[! _ISOMAC](__utimensat64_helper): New function.
	[! _ISOMAC](libc_hidden_proto): New function.
	* sysdeps/unix/sysv/linux/utimensat.c: Modified.
	(utimensat): Remove function.
	[__TIMESIZE != 64](__utimensat): New.
	(time.h): Include file.
	(kernel-features.h): Include file.
	(__utimensat64_helper): New function.
	(libc_hidden_def): New.
	(__utimensat64): New function.
	(weak_alias): New.

2019-11-01  Mike Crowe  <mac@mcrowe.com>

	COMMIT: 7aeab82edb38390c2a02519d312e098f4049e867
	nptl: Add pthread_timedjoin_np, pthread_clockjoin_np NULL timeout test

	* nptl/Makefile: Modified.
	* nptl/tst-join14.c: New file.

2019-11-01  Mike Crowe  <mac@mcrowe.com>

	COMMIT: 69ca4b54c151cec42ccca5e05790efc1a8206b47
	nptl: Add pthread_clockjoin_np

	* NEWS: Modified.
	* manual/threads.texi: Modified.
	* nptl/Makefile: Modified.
	* nptl/Versions: Modified.
	* nptl/pthreadP.h: Modified.
	[IS_IN (libpthread)](hidden_proto): Remove.
	(__pthread_timedjoin_ex): Remove.
	(__pthread_clockjoin_ex): New function.
	* nptl/pthread_clockjoin.c: New file.
	* nptl/pthread_join.c: Modified.
	(__pthread_join): Modified function.
	* nptl/pthread_join_common.c: Modified.
	(timedwait_tid): Remove function.
	(__pthread_timedjoin_ex): Remove function.
	(hidden_def): Remove.
	(clockwait_tid): New function.
	(__pthread_clockjoin_ex): New function.
	* nptl/pthread_timedjoin.c: Modified.
	(__pthread_timedjoin_np): Modified function.
	* nptl/pthread_tryjoin.c: Modified.
	(pthread_tryjoin_np): Modified function.
	* nptl/thrd_join.c: Modified.
	(thrd_join): Modified function.
	* nptl/tst-join10.c: New file.
	* nptl/tst-join11.c: New file.
	* nptl/tst-join12.c: New file.
	* nptl/tst-join13.c: New file.
	* nptl/tst-join3.c: Modified.
	(tf): Modified function.
	(do_test): Modified function.
	(CLOCK_USE_TIMEDJOIN): New.
	(do_test_clock): New function.
	* nptl/tst-join5.c: Modified.
	(thread_join): Modified function.
	(support/timespec.h): Include file.
	(support/xtime.h): Include file.
	* sysdeps/nptl/pthread.h: Modified.
	[__USE_GNU](pthread_clockjoin_np): New function.
	* sysdeps/unix/sysv/linux/aarch64/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libpthread.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libpthread.abilist: Modified.

2019-11-01  Mike Crowe  <mac@mcrowe.com>

	COMMIT: 893bbdd0072fbf96808e66af04b970e5b39171fb
	manual: Add documentation for pthread_tryjoin_np and pthread_timedjoin_np

	* manual/threads.texi: Modified.

2019-11-01  Mike Crowe  <mac@mcrowe.com>

	COMMIT: 22434b2f0360212d6c3ae775f425a0dbc97b2a4d
	nptl: Convert tst-join3 to use libsupport

	* nptl/tst-join3.c: Modified.
	(tf): Modified function.
	(do_test): Modified function.
	(TEST_FUNCTION): Remove.
	(../test-skeleton.c): Remove include.
	(support/check.h): Include file.
	(support/timespec.h): Include file.
	(support/xthread.h): Include file.
	(support/xtime.h): Include file.
	(support/test-driver.c): Include file.

2019-10-31  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: f8042536dcdef2543b9506500ed22564df12dcd1
	Sync time/mktime.c with gnulib

	* time/mktime.c: Modified.

2019-10-31  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: c1dac8f83ecda0d23f92ddacad52818f658988a4
	Sync timespec-{add,sub} with gnulib

	* support/timespec-add.c: Modified.
	(timespec_add): Modified function.
	* support/timespec-sub.c: Modified.
	(timespec_sub): Modified function.

2019-10-31  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 356ced8dcb2c65f2d61eaa0fec32fa4b6628be16
	Sync intprops.h with gnulib

	* include/intprops.h: Modified.
	[!(201112 <= __STDC_VERSION__ && !_GL__GENERIC_BOGUS)][! LLONG_MAX](_GL_INT_OP_WRAPV_LONGISH): Modified.
	[!(201112 <= __STDC_VERSION__ && !_GL__GENERIC_BOGUS)][LLONG_MAX](_GL_INT_OP_WRAPV_LONGISH): Modified.
	[!(201112 <= __STDC_VERSION__ && !_GL__GENERIC_BOGUS)](_GL_INT_OP_WRAPV): Modified.
	[!(201112 <= __STDC_VERSION__ && !_GL__GENERIC_BOGUS)][! _GL_HAVE___TYPEOF__](_GL_INT_OP_WRAPV_SMALLISH): New.
	[!(201112 <= __STDC_VERSION__ && !_GL__GENERIC_BOGUS)][_GL_HAVE___TYPEOF__](_GL_INT_OP_WRAPV_SMALLISH): New.
	[!(5 <= __GNUC__ && ! __ICC)](_GL_HAS_BUILTIN_OVERFLOW): Remove.
	[201112 <= __STDC_VERSION__ && !_GL__GENERIC_BOGUS](_GL_INT_OP_WRAPV): Modified.
	[5 <= __GNUC__ && ! __ICC](_GL_HAS_BUILTIN_OVERFLOW): Remove.
	[5 <= __GNUC__ && ! __ICC](_GL_HAS_BUILTIN_ADD_OVERFLOW): New.
	[_GL_HAS_BUILTIN_OVERFLOW](_GL_INT_OP_WRAPV): Remove.
	(INT_ADD_WRAPV): Remove.
	(INT_SUBTRACT_WRAPV): Remove.
	(INT_MULTIPLY_WRAPV): Remove.
	(_GL_INT_OP_CALC): Modified.
	(_GL_INT_OP_CALC1): Remove.
	[! _GL_HAS_BUILTIN_ADD_OVERFLOW](INT_ADD_WRAPV): New.
	[! _GL_HAS_BUILTIN_ADD_OVERFLOW](INT_SUBTRACT_WRAPV): New.
	[! _GL_HAS_BUILTIN_MUL_OVERFLOW](INT_MULTIPLY_WRAPV): New.
	[! __clang__](_GL_HAS_BUILTIN_MUL_OVERFLOW): New.
	[! __has_builtin](_GL_HAS_BUILTIN_ADD_OVERFLOW): New.
	[_GL_HAS_BUILTIN_ADD_OVERFLOW](INT_ADD_WRAPV): New.
	[_GL_HAS_BUILTIN_ADD_OVERFLOW](INT_SUBTRACT_WRAPV): New.
	[_GL_HAS_BUILTIN_MUL_OVERFLOW](INT_MULTIPLY_WRAPV): New.
	[__clang__](_GL_HAS_BUILTIN_MUL_OVERFLOW): New.
	[__has_builtin](_GL_HAS_BUILTIN_ADD_OVERFLOW): New.
	(_GL_INT_ADD_RANGE_OVERFLOW): New.
	(_GL_INT_SUBTRACT_RANGE_OVERFLOW): New.
	(_GL_INT_MULTIPLY_RANGE_OVERFLOW): New.

2019-10-31  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: c81aa64e81826c308c4ecbd1982fa086ca6e647b
	Refactor adjtimex based on clock_adjtime

	* include/time.h: Modified.
	[! _ISOMAC][__linux__](__clock_adjtime): New.
	[! _ISOMAC][__linux__](libc_hidden_proto): New.
	* sysdeps/unix/sysv/linux/adjtimex.c: Modified.
	(___adjtimex): Modified function.
	* sysdeps/unix/sysv/linux/syscalls.list: Modified.

2019-10-31  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 6b1472eb2ea16f99c4729f975ca25af980ce3894
	Refactor PI mutexes internal definitions

	* nptl/pthread_mutex_init.c: Modified.
	(prio_inherit_missing): Modified function.
	(futex-internal.h): Include file.
	* nptl/pthread_mutex_lock.c: Modified.
	(lowlevellock.h): Remove include.
	(__pthread_mutex_lock_full): Modified function.
	(futex-internal.h): Include file.
	* nptl/pthread_mutex_timedlock.c: Modified.
	(__pthread_mutex_clocklock_common): Modified function.
	(futex-internal.h): Include file.
	* nptl/pthread_mutex_trylock.c: Modified.
	(__pthread_mutex_trylock): Modified function.
	(futex-internal.h): Include file.
	* nptl/pthread_mutex_unlock.c: Modified.
	(__pthread_mutex_unlock_full): Modified function.
	(futex-internal.h): Include file.
	* sysdeps/nptl/futex-internal.h: Modified.
	(futex_lock_pi): New function.
	(futex_unlock_pi): New function.
	* sysdeps/nptl/lowlevellock-futex.h: Modified.
	[! __ASSEMBLER__](lll_futex_timed_lock_pi): New.
	[! __ASSEMBLER__](lll_futex_timed_unlock_pi): New.

2019-10-31  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: fbb4a3143724ef3f044a4f05351fe041300ee382
	Remove pause and nanosleep not cancel wrappers

	* sysdeps/generic/not-cancel.h: Modified.
	(__pause_nocancel): Remove.
	(__nanosleep_nocancel): Remove.
	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/nanosleep_nocancel.c: Delete file.
	* sysdeps/unix/sysv/linux/not-cancel.h: Modified.
	[IS_IN (libc) || IS_IN (rtld)](hidden_proto): Modified.
	[IS_IN (libc) || IS_IN (rtld)](hidden_proto): Remove.
	[IS_IN (libc) || IS_IN (rtld)](hidden_proto): Remove.
	(__pause_nocancel): Remove.
	(__nanosleep_nocancel): Remove.
	* sysdeps/unix/sysv/linux/pause_nocancel.c: Delete file.

2019-10-31  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 215078017fd25fd64074e25ccd3dde0f6f19d4fe
	nptl: Replace non cancellable pause/nanosleep with futex

	* nptl/lll_timedlock_wait.c: Modified.
	(__lll_clocklock_wait): Modified function.
	* nptl/pthread_mutex_lock.c: Modified.
	(__pthread_mutex_lock_full): Modified function.
	* nptl/pthread_mutex_timedlock.c: Modified.
	(__pthread_mutex_clocklock_common): Modified function.
	* sysdeps/nptl/lowlevellock.h: Modified.
	(__lll_clocklock_wait): Modified.
	(__lll_clocklock): Modified.
	(time.h): Include file.
	(lll_timedwait): New.
	* sysdeps/sparc/sparc32/lll_timedlock_wait.c: Delete file.
	* sysdeps/sparc/sparc32/lowlevellock.c: Modified.
	[IS_IN (libpthread)](__lll_clocklock_wait): Remove function.
	* sysdeps/unix/sysv/linux/sparc/lowlevellock.h: Modified.
	(__lll_clocklock_wait): Modified.
	(__lll_clocklock): Modified function.
	(errno.h): Include file.
	(lll_timedwait): New.

2019-10-31  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: b58032743415575661dddd4e813440b6b9430327
	Consolidate lowlevellock-futex.h

	* sysdeps/nptl/lowlevellock-futex.h: Modified.
	(errno.h): Remove include.
	(LLL_SHARED): Modified.
	(lll_futex_wait): Remove.
	(lll_futex_timed_wait): Remove.
	(lll_futex_supported_clockid): Remove.
	(lll_futex_clock_wait_bitset): Remove.
	(lll_futex_wake): Remove.
	(lll_futex_requeue): Remove.
	(lll_futex_wake_unlock): Remove.
	(lll_futex_wait_requeue_pi): Remove.
	(lll_futex_timed_wait_requeue_pi): Remove.
	(lll_futex_cmp_requeue_pi): Remove.
	(lll_futex_wait_cancel): Remove.
	(lll_futex_timed_wait_cancel): Remove.
	[! __ASSEMBLER__][!(IS_IN (libc) || IS_IN (rtld))](__lll_private_flag): New.
	[! __ASSEMBLER__][IS_IN (libc) || IS_IN (rtld)](__lll_private_flag): New.
	[! __ASSEMBLER__](sysdep.h): New.
	[! __ASSEMBLER__](sysdep-cancel.h): New.
	[! __ASSEMBLER__](kernel-features.h): New.
	[! __ASSEMBLER__](lll_futex_syscall): New.
	[! __ASSEMBLER__](lll_futex_wait): New.
	[! __ASSEMBLER__](lll_futex_timed_wait): New.
	[! __ASSEMBLER__](lll_futex_supported_clockid): New.
	[! __ASSEMBLER__](lll_futex_clock_wait_bitset): New.
	[! __ASSEMBLER__](lll_futex_wake): New.
	[! __ASSEMBLER__](lll_futex_requeue): New.
	[! __ASSEMBLER__](lll_futex_wake_unlock): New.
	[! __ASSEMBLER__](lll_futex_wait_requeue_pi): New.
	[! __ASSEMBLER__](lll_futex_timed_wait_requeue_pi): New.
	[! __ASSEMBLER__](lll_futex_cmp_requeue_pi): New.
	[! __ASSEMBLER__](lll_futex_wait_cancel): New.
	[! __ASSEMBLER__](lll_futex_timed_wait_cancel): New.
	(FUTEX_WAIT): New.
	(FUTEX_WAKE): New.
	(FUTEX_REQUEUE): New.
	(FUTEX_CMP_REQUEUE): New.
	(FUTEX_WAKE_OP): New.
	(FUTEX_OP_CLEAR_WAKE_IF_GT_ONE): New.
	(FUTEX_LOCK_PI): New.
	(FUTEX_UNLOCK_PI): New.
	(FUTEX_TRYLOCK_PI): New.
	(FUTEX_WAIT_BITSET): New.
	(FUTEX_WAKE_BITSET): New.
	(FUTEX_WAIT_REQUEUE_PI): New.
	(FUTEX_CMP_REQUEUE_PI): New.
	(FUTEX_PRIVATE_FLAG): New.
	(FUTEX_CLOCK_REALTIME): New.
	(FUTEX_BITSET_MATCH_ANY): New.
	* sysdeps/unix/sysv/linux/lowlevellock-futex.h: Delete file.

2019-10-31  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: b865eed0ac73e385b32de7f97003f44e4798b8d4
	Consolidate futex-internal.h

	* sysdeps/nptl/futex-internal.h: Modified.
	(futex_supports_pshared): Remove.
	(futex_wait): Remove.
	(futex_wait_cancelable): Remove.
	(futex_reltimed_wait): Remove.
	(futex_reltimed_wait_cancelable): Remove.
	(futex_abstimed_supported_clockid): Remove.
	(futex_abstimed_wait): Remove.
	(futex_abstimed_wait_cancelable): Remove.
	(futex_wake): Remove.
	(futex_supports_pshared): New function.
	(futex_wait): New function.
	(futex_wait_cancelable): New function.
	(futex_reltimed_wait): New function.
	(futex_reltimed_wait_cancelable): New function.
	(futex_abstimed_supported_clockid): New function.
	(futex_abstimed_wait): New function.
	(futex_abstimed_wait_cancelable): New function.
	(futex_wake): New function.
	* sysdeps/unix/sysv/linux/futex-internal.h: Delete file.

2019-10-30  DJ Delorie  <dj@redhat.com>

	COMMIT: ff12e0fb91b9072800f031cb21fb2651ee7b6251
	Base max_fast on alignment, not width, of bins (Bug 24903)

	* malloc/malloc.c: Modified.
	(set_max_fast): Modified.

2019-10-30  Zack Weinberg  <zackw@panix.com>

	COMMIT: 62193c4a3af9c1e15c039b323f45ccd2fddc119f
	Revise the documentation of simple calendar time.

	* manual/filesys.texi: Modified.
	* manual/llio.texi: Modified.
	* manual/threads.texi: Modified.
	* manual/time.texi: Modified.

2019-10-30  Zack Weinberg  <zackw@panix.com>
            Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 2f2c76e1c8d8c4431c6395afeee420b71a4d772a
	Make second argument of gettimeofday as 'void *'

	* include/sys/time.h: Modified.
	[! _ISOMAC](__gettimeofday): Modified.
	* sysdeps/unix/sysv/linux/aarch64/gettimeofday.c: Modified.
	[! SHARED](__gettimeofday): Modified function.
	(__gettimeofday_vsyscall): Modified function.
	* sysdeps/unix/sysv/linux/powerpc/gettimeofday.c: Modified.
	[! SHARED](__gettimeofday): Modified function.
	(__gettimeofday_syscall): Modified function.
	* sysdeps/unix/sysv/linux/x86/gettimeofday.c: Modified.
	[! SHARED](__gettimeofday): Modified function.
	(__gettimeofday_syscall): Modified function.
	* time/gettimeofday.c: Modified.
	(___gettimeofday): Modified function.
	* time/sys/time.h: Modified.
	[! __USE_MISC](__timezone_ptr_t): Remove.
	[__USE_MISC](__timezone_ptr_t): Remove.
	(gettimeofday): Modified.

2019-10-30  Adhemerval Zanella  <adhemerval.zanella@linaro.org>
            Zack Weinberg  <zackw@panix.com>

	COMMIT: 5e46749c64d51f50f8511ed99c1266d7c13e182b
	Use clock_gettime to implement gettimeofday.

	* NEWS: Modified.
	* include/sys/time.h: Modified.
	[! _ISOMAC](libc_hidden_proto): Remove.
	[! _ISOMAC](libc_hidden_proto): Remove.
	* sysdeps/unix/clock_gettime.c: Move to...
	* sysdeps/mach/clock_gettime.c: ... here.
	(sys/time.h): Remove include.
	(__clock_gettime): Modified function.
	(mach.h): Include file.
	* sysdeps/mach/gettimeofday.c: Delete file.
	* sysdeps/posix/gettimeofday.c: Delete file.
	* sysdeps/unix/syscalls.list: Modified.
	* sysdeps/unix/sysv/linux/aarch64/gettimeofday.c: Modified.
	[! SHARED](sysdep.h): Remove include.
	[! SHARED](__gettimeofday): Modified function.
	[! SHARED](libc_hidden_def): Remove.
	[SHARED](__gettimeofday_vsyscall): Remove function.
	[SHARED](libc_ifunc_hidden): Remove.
	[SHARED](libc_hidden_def): Remove.
	[SHARED](libc_ifunc): New.
	(sys/time.h): Remove include.
	(libc_hidden_weak): Remove.
	[HAVE_GETTIMEOFDAY_VSYSCALL](HAVE_VSYSCALL): New.
	(time.h): Include file.
	(sysdep.h): Include file.
	(sysdep-vdso.h): Include file.
	(__gettimeofday_vsyscall): New function.
	* sysdeps/unix/sysv/linux/i386/gettimeofday.c: Move to...
	* sysdeps/unix/sysv/linux/alpha/gettimeofday.c: ... here.
	[SHARED](__gettimeofday): Remove.
	[SHARED](__gettimeofday): Remove.
	[SHARED](__gettimeofday_type): Remove.
	[SHARED](libc_hidden_def): Remove.
	(sys/time.h): Remove include.
	(sysdeps/unix/sysv/linux/x86/gettimeofday.c): Remove include.
	(VERSION_gettimeofday): New.
	(time/gettimeofday.c): Include file.
	* sysdeps/unix/sysv/linux/alpha/osf_gettimeofday.c: Modified.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_1)](__gettimeofday_tv32): Modified function.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_1)](string.h): Include file.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_1)](time.h): Include file.
	* sysdeps/unix/sysv/linux/alpha/tv32-compat.h: Modified.
	(valid_timespec_to_timeval32): New function.
	* sysdeps/unix/sysv/linux/gettimeofday.c: Delete file.
	* sysdeps/unix/sysv/linux/powerpc/gettimeofday.c: Modified.
	[! SHARED](sysdep.h): Remove include.
	[! SHARED](errno.h): Remove include.
	[! SHARED](__gettimeofday): Modified function.
	[! SHARED](libc_hidden_def): Remove.
	[!(SHARED && ! __powerpc64__)](__redirect___gettimeofday): Remove.
	[SHARED][! __powerpc64__](__gettimeofday): Remove.
	[SHARED][! __powerpc64__](__gettimeofday_vsyscall): Remove.
	[SHARED][! __powerpc64__](libc_hidden_def): Remove.
	[SHARED](dl-machine.h): Remove include.
	[SHARED](sysdep.h): Remove include.
	[SHARED](__gettimeofday_syscall): Remove function.
	[SHARED](libc_ifunc_hidden): Remove.
	[SHARED](libc_hidden_def): Remove.
	[SHARED](libc_ifunc): New function.
	[SHARED && ! __powerpc64__](__gettimeofday): Remove.
	(sys/time.h): Remove include.
	(libc_hidden_weak): Remove.
	[HAVE_GETTIMEOFDAY_VSYSCALL](HAVE_VSYSCALL): New.
	(time.h): Include file.
	(sysdep.h): Include file.
	(sysdep-vdso.h): Include file.
	(__gettimeofday_syscall): New function.
	* sysdeps/unix/sysv/linux/x86/gettimeofday.c: Modified.
	[! SHARED](sysdep.h): Remove include.
	[! SHARED](errno.h): Remove include.
	[! SHARED](__gettimeofday): Modified function.
	[! SHARED](libc_hidden_def): Remove.
	[SHARED][! __gettimeofday_type](__gettimeofday_type): Remove.
	[SHARED](errno.h): Remove include.
	[SHARED](sysdep-vdso.h): Remove include.
	[SHARED](sysdep-vdso.h): Remove include.
	[SHARED](__gettimeofday_syscall): Remove function.
	[SHARED](libc_ifunc_hidden): Remove.
	[SHARED](libc_hidden_def): Remove.
	[SHARED](libc-vdso.h): Include file.
	[SHARED](libc_ifunc): New function.
	(sys/time.h): Remove include.
	(libc_hidden_weak): Remove.
	[HAVE_GETTIMEOFDAY_VSYSCALL](HAVE_VSYSCALL): New.
	(time.h): Include file.
	(sysdep.h): Include file.
	(sysdep-vdso.h): Include file.
	(__gettimeofday_syscall): New function.
	* sysdeps/unix/sysv/linux/x86_64/x32/gettimeofday.c: New file.
	* sysdeps/unix/sysv/linux/x86_64/x32/syscalls.list: Modified.
	* time/gettimeofday.c: Modified.
	(errno.h): Remove include.
	(__gettimeofday): Remove function.
	(libc_hidden_def): Remove.
	(weak_alias): Remove.
	(libc_hidden_weak): Remove.
	[! VERSION_gettimeofday](strong_alias): New.
	[! VERSION_gettimeofday](weak_alias): New.
	[VERSION_gettimeofday](weak_alias): New.
	[VERSION_gettimeofday](default_symbol_version): New.
	[VERSION_gettimeofday](default_symbol_version): New.
	(string.h): Include file.
	(time.h): Include file.
	(___gettimeofday): New function.

2019-10-30  Zack Weinberg  <zackw@panix.com>

	COMMIT: 40a36935fff4eac83b9676b04048990ccb3c4754
	Use clock_gettime to implement timespec_get.

	* sysdeps/posix/timespec_get.c: Delete file.
	* sysdeps/unix/sysv/linux/timespec_get.c: Delete file.
	* time/timespec_get.c: Modified.
	(timespec_get): Modified function.

2019-10-30  Zack Weinberg  <zackw@panix.com>
            Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 2b5fea833bcd0f651579afd16ed7842770ecbae1
	Consolidate and deprecate ftime

	* NEWS: Modified.
	* sysdeps/unix/bsd/ftime.c: Delete file.
	* sysdeps/unix/sysv/linux/ftime.c: Delete file.
	* time/ftime.c: Modified.
	(errno.h): Remove include.
	(ftime): Modified function.
	* time/sys/timeb.h: Modified.
	(ftime): Remove.
